commit 000product for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package 000product for openSUSE:Factory 
checked in at 2020-04-18 06:19:48

Comparing /work/SRC/openSUSE:Factory/000product (Old)
 and  /work/SRC/openSUSE:Factory/.000product.new.2738 (New)


Package is "000product"

Sat Apr 18 06:19:48 2020 rev:2208 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ openSUSE-Addon-NonOss-ftp-ftp-i586_x86_64.kiwi ++
--- /var/tmp/diff_new_pack.hlmxOH/_old  2020-04-18 06:19:51.876741267 +0200
+++ /var/tmp/diff_new_pack.hlmxOH/_new  2020-04-18 06:19:51.876741267 +0200
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -36,11 +36,11 @@
   true
   -x -2
   openSUSE
-  20200416
+  20200417
   11
-  cpe:/o:opensuse:opensuse-addon-nonoss:20200416,openSUSE NonOSS 
Addon
+  cpe:/o:opensuse:opensuse-addon-nonoss:20200417,openSUSE NonOSS 
Addon
   af ar be_BY bg br ca cy el et ga gl gu_IN he 
hi_IN hr ka km ko lt mk nn pa_IN rw sk sl sr_CS ss st tg th tr uk ve vi xh zu 

-  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE-Addon-NonOss/20200416/i586
 
obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE-Addon-NonOss/20200416/x86_64
+  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE-Addon-NonOss/20200417/i586
 
obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE-Addon-NonOss/20200417/x86_64
   openSUSE
   /usr/share/kiwi/modules/plugins/openSUSE
   /usr/share/kiwi/modules/plugins/openSUSE

++ openSUSE-MicroOS-dvd5-dvd-x86_64.kiwi ++
--- /var/tmp/diff_new_pack.hlmxOH/_old  2020-04-18 06:19:51.896741309 +0200
+++ /var/tmp/diff_new_pack.hlmxOH/_new  2020-04-18 06:19:51.900741317 +0200
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -35,11 +35,11 @@
   true
   -x -2
   openSUSE
-  20200416
+  20200417
   11
-  cpe:/o:opensuse:opensuse-microos:20200416,openSUSE 
MicroOS
+  cpe:/o:opensuse:opensuse-microos:20200417,openSUSE 
MicroOS
   en_US 
-  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE-MicroOS/20200416/x86_64
+  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE-MicroOS/20200417/x86_64
   openSUSE
   /usr/share/kiwi/modules/plugins/openSUSE
   /usr/share/kiwi/modules/plugins/openSUSE
@@ -788,7 +788,7 @@
   
   
   
-  
+  
   
   
   

++ openSUSE-MicroOS-dvd5-kubic-dvd-x86_64.kiwi ++
--- /var/tmp/diff_new_pack.hlmxOH/_old  2020-04-18 06:19:51.916741351 +0200
+++ /var/tmp/diff_new_pack.hlmxOH/_new  2020-04-18 06:19:51.916741351 +0200
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -35,11 +35,11 @@
   true
   -x -2
   openSUSE
-  20200416
+  20200417
   11
-  cpe:/o:opensuse:opensuse-microos:20200416,openSUSE 
MicroOS
+  cpe:/o:opensuse:opensuse-microos:20200417,openSUSE 
MicroOS
   en_US 
-  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE-MicroOS/20200416/x86_64
+  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE-MicroOS/20200417/x86_64
   openSUSE
   /usr/share/kiwi/modules/plugins/openSUSE
   /usr/share/kiwi/modules/plugins/openSUSE
@@ -61,8 +61,6 @@
   
   
   
-  
-  
   
   
   
@@ -73,30 +71,22 @@
   
   
   
-  
   
   
   
-  
-  
   
   
   
-  
   
   
   
   
   
-  
   
   
   
   
   
-  
-  
-  
   
   
   
@@ -112,11 +102,8 @@
   
   
   
-  
   
   
-  
-  
   
   
   
@@ -124,7 +111,6 @@
   
   
   
-  
   
   
   
@@ -146,9 +132,7 @@
   
   
   
-  
   
-  
   
   
   
@@ -205,19 +189,9 @@
   
   
   
-  
   
-  
-  
-  
-  
-  
   
   
-  
-  
-  
-  
   
   
   
@@ -238,7 +212,6 @@
   
   
   
-  
   
   
   
@@ -254,14 +227,11 @@
   
   
   
-  
   
   
-  
   
   
   
-  
   
   
   
@@ -283,8 +253,6 @@
   
   
   
-  
-  
   
   
   
@@ -300,16 +268,12 @@
   
   
   
-  
   
-  
   
   
   
   
   
-  
-  
   
   
   
@@ -317,10 +281,7 @@
   
   
   
-  
-  
   
-  
   
   
   
@@ -329,7 +290,6 @@
   
   
   
-  
   
   
   
@@ -349,

commit 000release-packages for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package 000release-packages for 
openSUSE:Factory checked in at 2020-04-18 06:19:42

Comparing /work/SRC/openSUSE:Factory/000release-packages (Old)
 and  /work/SRC/openSUSE:Factory/.000release-packages.new.2738 (New)


Package is "000release-packages"

Sat Apr 18 06:19:42 2020 rev:530 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ openSUSE-Addon-NonOss-release.spec ++
--- /var/tmp/diff_new_pack.ST0hPk/_old  2020-04-18 06:19:45.148727227 +0200
+++ /var/tmp/diff_new_pack.ST0hPk/_new  2020-04-18 06:19:45.152727235 +0200
@@ -1,5 +1,5 @@
 #
-# spec file for package openSUSE-Addon-NonOss-release (Version 20200416)
+# spec file for package openSUSE-Addon-NonOss-release (Version 20200417)
 #
 # Copyright (c) 2020 openSUSE.
 #
@@ -16,16 +16,16 @@
 Name:   openSUSE-Addon-NonOss-release
 %define product openSUSE-Addon-NonOss
 Summary:openSUSE NonOSS Addon%{?betaversion: %{betaversion}}
-Version:20200416
+Version:    20200417
 Release:0
 License:BSD-3-Clause
 Group:  System/Fhs
 
 Provides:   %name-%version
 Provides:   product() = openSUSE-Addon-NonOss
-Provides:   product(openSUSE-Addon-NonOss) = 20200416-0
+Provides:   product(openSUSE-Addon-NonOss) = 20200417-0
 Provides:   product-label() = non%20oss%20addon
-Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Daddon%2Dnonoss%3A20200416
+Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Daddon%2Dnonoss%3A20200417
 
 
 AutoReqProv:on
@@ -49,10 +49,10 @@
 
   openSUSE
   openSUSE-Addon-NonOss
-  20200416
+  20200417
   0
   %{_target_cpu}
-  cpe:/o:opensuse:opensuse-addon-nonoss:20200416
+  cpe:/o:opensuse:opensuse-addon-nonoss:20200417
   
 
 

++ openSUSE-MicroOS-release.spec ++
--- /var/tmp/diff_new_pack.ST0hPk/_old  2020-04-18 06:19:45.168727268 +0200
+++ /var/tmp/diff_new_pack.ST0hPk/_new  2020-04-18 06:19:45.172727277 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   openSUSE-MicroOS-release
-Version:20200416
+Version:    20200417
 Release:0
 Summary:openSUSE MicroOS 
 License:GPL-2.0-or-later
@@ -169,9 +169,9 @@
 %include %{SOURCE100}
 Provides:   %name-%version
 Provides:   product() = openSUSE-MicroOS
-Provides:   product(openSUSE-MicroOS) = 20200416-0
+Provides:   product(openSUSE-MicroOS) = 20200417-0
 Provides:   product-label() = openSUSE%20MicroOS
-Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Dmicroos%3A20200416
+Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Dmicroos%3A20200417
 Provides:   product-url(releasenotes) = 
http%3A%2F%2Fdoc.opensuse.org%2Frelease%2Dnotes%2Fx86_64%2FopenSUSE%2FTumbleweed%2Frelease%2Dnotes%2DopenSUSE.rpm
 Provides:   product-endoflife()
 Requires:   product_flavor(openSUSE-MicroOS)
@@ -187,7 +187,7 @@
 Group:  System/Fhs
 Provides:   product_flavor()
 Provides:   flavor(dvd)
-Provides:   product_flavor(openSUSE-MicroOS) = 20200416-0
+Provides:   product_flavor(openSUSE-MicroOS) = 20200417-0
 Summary:openSUSE MicroOS%{?betaversion: %{betaversion}}
 
 %description dvd
@@ -203,7 +203,7 @@
 Group:  System/Fhs
 Provides:   product_flavor()
 Provides:   flavor(kubic-dvd)
-Provides:   product_flavor(openSUSE-MicroOS) = 20200416-0
+Provides:   product_flavor(openSUSE-MicroOS) = 20200417-0
 Summary:openSUSE MicroOS%{?betaversion: %{betaversion}}
 
 %description kubic-dvd
@@ -219,7 +219,7 @@
 Group:  System/Fhs
 Provides:   product_flavor()
 Provides:   flavor(appliance)
-Provides:   product_flavor(openSUSE-MicroOS) = 20200416-0
+Provides:   product_flavor(openSUSE-MicroOS) = 20200417-0
 Summary:openSUSE MicroOS%{?betaversion: %{betaversion}}
 
 %description appliance
@@ -235,7 +235,7 @@
 Group:  System/Fhs
 Provides:   product_flavor()
 Provides:   flavor(appliance-kubic)
-Provides:   product_flavor(openSUSE-MicroOS) = 20200416-0
+Provides:   product_flavor(openSUSE-MicroOS) = 20200417-0
 Summary:openSUSE MicroOS%{?betaversion: %{betaversion}}
 
 %description appliance-kubic
@@ -293,11 +293,11 @@
 
   openSUSE
   openSUSE-MicroOS
-  20200416
+  20200417
   0
   
   %{_target_cpu}
-  cpe:/o:opensuse:opensuse-microos:20200416
+  cpe:/o:opensuse:opensuse-microos:20200417
   openSUSE-MicroOS
   
 

++ openSUSE-release.spec ++
--- /var/tmp/diff_new_pack.ST0hPk/_old  2020-04-18 06:19:45.188727310 +0200
+++ /var/tmp/diff_new_pack.ST0hPk/_new  2020-04-18 06:19:45.192727318 +0200
@@ -20,7 +20,7 @

commit 00Meta for openSUSE:Leap:15.2:Images

2020-04-17 Thread root
Hello community,

here is the log from the commit of package 00Meta for openSUSE:Leap:15.2:Images 
checked in at 2020-04-18 03:15:50

Comparing /work/SRC/openSUSE:Leap:15.2:Images/00Meta (Old)
 and  /work/SRC/openSUSE:Leap:15.2:Images/.00Meta.new.2738 (New)


Package is "00Meta"

Sat Apr 18 03:15:50 2020 rev:331 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ version_totest ++
--- /var/tmp/diff_new_pack.JeE7v6/_old  2020-04-18 03:15:51.906995285 +0200
+++ /var/tmp/diff_new_pack.JeE7v6/_new  2020-04-18 03:15:51.910995294 +0200
@@ -1 +1 @@
-29.10
\ No newline at end of file
+29.11
\ No newline at end of file




commit nsd for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package nsd for openSUSE:Factory checked in 
at 2020-04-18 00:32:05

Comparing /work/SRC/openSUSE:Factory/nsd (Old)
 and  /work/SRC/openSUSE:Factory/.nsd.new.2738 (New)


Package is "nsd"

Sat Apr 18 00:32:05 2020 rev:16 rq:794852 version:4.3.1

Changes:

--- /work/SRC/openSUSE:Factory/nsd/nsd.changes  2020-03-18 12:52:23.217210351 
+0100
+++ /work/SRC/openSUSE:Factory/.nsd.new.2738/nsd.changes2020-04-18 
00:33:24.790422897 +0200
@@ -1,0 +2,32 @@
+Thu Apr 16 19:04:58 UTC 2020 - Michael Ströder 
+
+- New upstream release 4.3.1
+
+BUG FIXES:
+- Fix #70: error: 'fd_set' undeclared.
+- Fix #71: error: 'for' loop initial declaration used outside C99
+  mode.
+- Fix to move declarations out of for loops in event test too.
+- Fix #76: cpuid typedef for Hurd, DragonflyBSD compile.
+- Fix #75: configure test for sched_setaffinity, and use
+  cpuset_setaffinity otherwise.  Also test for presence of sysconf.
+- Fix #74: GNU Hurd fix cast from pointer to integer of different size.
+- Fix for #74, #75: cpuset test for header contents and provide code.
+- Fix #78: Fix SO_SETFIB error on FreeBSD.
+- Merge PR #83 from noloader: Fix GNU HURD sched_setaffinity compile.
+- Fix #80: NetBSD and implicit declaration of reallocarray.
+- Fix unknown u_long in util.c for Issue #80 .
+- Merge PR #86 from noloader: Use precious variables for GREP, EGREP,
+  SED, AWK, LEX and YACC.
+- For PR #86: Fix that programs loaded after CFLAGS and stuff is
+  set, specifically the compiler, so that it can work if it needs
+  special flags from that.  Fix that lex only needs to support -i
+  if actually defined, otherwise the output included in the source
+  tarball can be used.
+- Merge PR #90 by phicoh: O_CLOEXEC should be FD_CLOEXEC.
+- Merge PR #92 by tonysgi: Fix typo.
+- Merge PR #91 by gearnode: nsd-control-setup recreate certificates.
+  The '-r' option recreates certificates.  Without it it creates them
+  if they do not exist, and does not modify them otherwise.
+
+---

Old:

  nsd-4.3.0.tar.gz
  nsd-4.3.0.tar.gz.asc

New:

  nsd-4.3.1.tar.gz
  nsd-4.3.1.tar.gz.asc



Other differences:
--
++ nsd.spec ++
--- /var/tmp/diff_new_pack.oKW8Oj/_old  2020-04-18 00:33:25.842425075 +0200
+++ /var/tmp/diff_new_pack.oKW8Oj/_new  2020-04-18 00:33:25.842425075 +0200
@@ -23,7 +23,7 @@
 %define zonesdir   %{configdir}/zones
 %define pidfile%{_rundir}/nsd/nsd.pid
 Name:   nsd
-Version:4.3.0
+Version:4.3.1
 Release:0
 #
 Summary:An authoritative-only domain name server

++ nsd-4.3.0.tar.gz -> nsd-4.3.1.tar.gz ++
 2531 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/nsd-4.3.0/.buildkite/pipeline.yml new/nsd-4.3.1/.buildkite/pipeline.yml
--- old/nsd-4.3.0/.buildkite/pipeline.yml   2020-03-17 11:00:17.0 
+0100
+++ new/nsd-4.3.1/.buildkite/pipeline.yml   1970-01-01 01:00:00.0 
+0100
@@ -1,7 +0,0 @@
-steps:
-  - label: Build
-commands:
-- autoconf && autoheader
-- ./configure --enable-checking --disable-flto
-- make
-- make cutest && ./cutest
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/nsd-4.3.0/.cirrus.yml new/nsd-4.3.1/.cirrus.yml
--- old/nsd-4.3.0/.cirrus.yml   1970-01-01 01:00:00.0 +0100
+++ new/nsd-4.3.1/.cirrus.yml   2020-04-16 10:09:33.0 +0200
@@ -0,0 +1,139 @@
+# Cirrus CI instructions for building NSD
+#
+# These build instructions are based on the existing instructions and
+# suggestions made by Jeffrey Walton (noloader) about using the Undefined
+# Behavior sanitizer (UBSan) and the Address sanitizer (ASan).
+#
+# For now builds are limited to Linux, FreeBSD and macOS builds on AMD64, more
+# may be added in the future.
+
+ubuntu_1804: _1804
+  container:
+image: ubuntu:bionic
+  env:
+UBUNTU_CODENAME: bionic
+COV_COMPTYPE: gcc
+COV_PLATFORM: linux64
+
+ubuntu_1804_gcc9: _1804_gcc9
+  <<: *ubuntu_1804
+  env:
+CC: gcc-9
+  bootstrap_script:
+- apt-get update
+- apt-get install -y gnupg2 ca-certificates wget curl
+- |
+  cat << EOF > 

commit libgpiod for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package libgpiod for openSUSE:Factory 
checked in at 2020-04-18 00:32:58

Comparing /work/SRC/openSUSE:Factory/libgpiod (Old)
 and  /work/SRC/openSUSE:Factory/.libgpiod.new.2738 (New)


Package is "libgpiod"

Sat Apr 18 00:32:58 2020 rev:12 rq:794919 version:1.4.3

Changes:

--- /work/SRC/openSUSE:Factory/libgpiod/libgpiod.changes2020-03-20 
23:59:52.969040379 +0100
+++ /work/SRC/openSUSE:Factory/.libgpiod.new.2738/libgpiod.changes  
2020-04-18 00:33:49.114473264 +0200
@@ -1,0 +2,7 @@
+Fri Apr 17 12:54:32 UTC 2020 - Guillaume GARDET 
+
+- Update to v1.4.3:
+  * Bug fixes:
+- relax gpiod_chip_open() for symbolic links
+
+---

Old:

  libgpiod-1.4.2.tar.gz

New:

  libgpiod-1.4.3.tar.gz



Other differences:
--
++ libgpiod.spec ++
--- /var/tmp/diff_new_pack.dfSyvr/_old  2020-04-18 00:33:49.730474540 +0200
+++ /var/tmp/diff_new_pack.dfSyvr/_new  2020-04-18 00:33:49.730474540 +0200
@@ -26,7 +26,7 @@
 %bcond_with libgpiod_tests
 %endif
 Name:   libgpiod
-Version:1.4.2
+Version:1.4.3
 Release:0
 Summary:C library and tools for interacting with the linux GPIO 
character device
 License:LGPL-2.1-or-later

++ libgpiod-1.4.2.tar.gz -> libgpiod-1.4.3.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libgpiod-1.4.2/NEWS new/libgpiod-1.4.3/NEWS
--- old/libgpiod-1.4.2/NEWS 2020-01-27 17:35:09.0 +0100
+++ new/libgpiod-1.4.3/NEWS 2020-03-31 10:26:46.0 +0200
@@ -1,3 +1,9 @@
+libgpiod v1.4.3
+===
+
+Bug fixes:
+- relax gpiod_chip_open() for symbolic links
+
 libgpiod v1.4.2
 ===
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libgpiod-1.4.2/configure.ac 
new/libgpiod-1.4.3/configure.ac
--- old/libgpiod-1.4.2/configure.ac 2020-01-27 17:35:09.0 +0100
+++ new/libgpiod-1.4.3/configure.ac 2020-03-31 10:26:46.0 +0200
@@ -8,7 +8,7 @@
 
 AC_PREREQ(2.61)
 
-AC_INIT([libgpiod], 1.4.2)
+AC_INIT([libgpiod], 1.4.3)
 AC_SUBST(EXTRA_VERSION, [])
 
 AC_DEFINE_UNQUOTED([GPIOD_VERSION_STR],
@@ -30,7 +30,7 @@
 #
 # Define the libtool version as (C.R.A):
 # NOTE: this version only applies to the core C library.
-AC_SUBST(ABI_VERSION, [3.2.1])
+AC_SUBST(ABI_VERSION, [3.3.1])
 # Have a separate ABI version for C++ bindings:
 AC_SUBST(ABI_CXX_VERSION, [1.4.0])
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libgpiod-1.4.2/lib/core.c 
new/libgpiod-1.4.3/lib/core.c
--- old/libgpiod-1.4.2/lib/core.c   2020-01-27 17:35:09.0 +0100
+++ new/libgpiod-1.4.3/lib/core.c   2020-03-31 10:26:46.0 +0200
@@ -10,6 +10,7 @@
 #include 
 #include 
 #include 
+#include 
 #include 
 #include 
 #include 
@@ -62,7 +63,7 @@
 
 static bool is_gpiochip_cdev(const char *path)
 {
-   char *name, *pathcpy, *sysfsp, sysfsdev[16], devstr[16];
+   char *name, *realname, *sysfsp, sysfsdev[16], devstr[16];
struct stat statbuf;
bool ret = false;
int rv, fd;
@@ -72,6 +73,19 @@
if (rv)
goto out;
 
+   /*
+* Is it a symbolic link? We have to resolve symbolic link before
+* checking the rest.
+*/
+   realname = S_ISLNK(statbuf.st_mode) ? realpath(path, NULL)
+   : strdup(path);
+   if (realname == NULL)
+   goto out;
+
+   rv = stat(realname, );
+   if (rv)
+   goto out_free_realname;
+
/* Is it a character device? */
if (!S_ISCHR(statbuf.st_mode)) {
/*
@@ -81,20 +95,16 @@
 * libgpiod from before the introduction of this routine.
 */
errno = ENOTTY;
-   goto out;
+   goto out_free_realname;
}
 
/* Get the basename. */
-   pathcpy = strdup(path);
-   if (!pathcpy)
-   goto out;
-
-   name = basename(pathcpy);
+   name = basename(realname);
 
/* Do we have a corresponding sysfs attribute? */
rv = asprintf(, "/sys/bus/gpio/devices/%s/dev", name);
if (rv < 0)
-   goto out_free_pathcpy;
+   goto out_free_realname;
 
if (access(sysfsp, R_OK) != 0) {
/*
@@ -136,8 +146,8 @@
 
 out_free_sysfsp:
free(sysfsp);
-out_free_pathcpy:
-   free(pathcpy);
+out_free_realname:
+   free(realname);
 out:
return ret;
 }




commit lollypop for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package lollypop for openSUSE:Factory 
checked in at 2020-04-18 00:33:22

Comparing /work/SRC/openSUSE:Factory/lollypop (Old)
 and  /work/SRC/openSUSE:Factory/.lollypop.new.2738 (New)


Package is "lollypop"

Sat Apr 18 00:33:22 2020 rev:127 rq:794984 version:1.2.35

Changes:

--- /work/SRC/openSUSE:Factory/lollypop/lollypop.changes2020-04-07 
10:32:38.838602236 +0200
+++ /work/SRC/openSUSE:Factory/.lollypop.new.2738/lollypop.changes  
2020-04-18 00:33:54.806485051 +0200
@@ -1,0 +2,11 @@
+Fri Apr 17 19:12:57 UTC 2020 - antoine.belv...@opensuse.org
+
+- Update to version 1.2.35:
+  * Fix an issue with smart playlists.
+  * Do not show genres without albums (glgo#World/lollypop#2301).
+  * Fix bug preventing deletion of empty playlist
+(glgo#World/lollypop#2299).
+  * Fix an issue with Ctrl+I filter in album view
+(glgo#World/lollypop#2291).
+
+---

Old:

  lollypop-1.2.34.tar.xz

New:

  lollypop-1.2.35.tar.xz



Other differences:
--
++ lollypop.spec ++
--- /var/tmp/diff_new_pack.uKX1r6/_old  2020-04-18 00:33:55.666486832 +0200
+++ /var/tmp/diff_new_pack.uKX1r6/_new  2020-04-18 00:33:55.670486840 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   lollypop
-Version:1.2.34
+Version:1.2.35
 Release:0
 Summary:GNOME music playing application
 License:GPL-3.0-or-later

++ _service ++
--- /var/tmp/diff_new_pack.uKX1r6/_old  2020-04-18 00:33:55.702486906 +0200
+++ /var/tmp/diff_new_pack.uKX1r6/_new  2020-04-18 00:33:55.706486915 +0200
@@ -1,7 +1,7 @@
 
   
 enable
-1.2.34
+1.2.35
 git
 https://gitlab.gnome.org/World/lollypop.git
 @PARENT_TAG@

++ _servicedata ++
--- /var/tmp/diff_new_pack.uKX1r6/_old  2020-04-18 00:33:55.726486956 +0200
+++ /var/tmp/diff_new_pack.uKX1r6/_new  2020-04-18 00:33:55.726486956 +0200
@@ -1,4 +1,4 @@
 
 
 https://gitlab.gnome.org/World/lollypop.git
-  f838d252985edcbeb4a3161b4163f0d5eb14d486
\ No newline at end of file
+  279742c4ead01d4b66ee42778dca735ca0eb38ad
\ No newline at end of file

++ lollypop-1.2.34.tar.xz -> lollypop-1.2.35.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lollypop-1.2.34/README.md 
new/lollypop-1.2.35/README.md
--- old/lollypop-1.2.34/README.md   2020-04-06 00:05:08.0 +0200
+++ new/lollypop-1.2.35/README.md   2020-04-17 09:58:08.0 +0200
@@ -43,6 +43,7 @@
 - `python-gobject`
 - `python-sqlite`
 - `python-pylast >= 1.0`
+- `beautifulsoup4`
 
 ## Building from Git
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/lollypop-1.2.34/data/org.gnome.Lollypop.appdata.xml.in 
new/lollypop-1.2.35/data/org.gnome.Lollypop.appdata.xml.in
--- old/lollypop-1.2.34/data/org.gnome.Lollypop.appdata.xml.in  2020-04-06 
00:05:08.0 +0200
+++ new/lollypop-1.2.35/data/org.gnome.Lollypop.appdata.xml.in  2020-04-17 
09:58:08.0 +0200
@@ -17,7 +17,7 @@
 
   
   
-
+
   
   
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/lollypop-1.2.34/lollypop/database_genres.py 
new/lollypop-1.2.35/lollypop/database_genres.py
--- old/lollypop-1.2.34/lollypop/database_genres.py 2020-04-06 
00:05:08.0 +0200
+++ new/lollypop-1.2.35/lollypop/database_genres.py 2020-04-17 
09:58:08.0 +0200
@@ -122,13 +122,16 @@
 result = sql.execute("SELECT DISTINCT\
   genres.rowid, genres.name, genres.name\
   FROM genres\
-  WHERE genres.rowid IN (\
-SELECT album_genres.genre_id\
-FROM album_genres, albums\
-WHERE album_genres.album_id=albums.rowid\
-AND albums.mtime!=0)\
+  WHERE EXISTS (\
+SELECT *\
+FROM album_genres, album_artists\
+WHERE album_genres.album_id=\
+album_artists.album_id AND\
+album_artists.artist_id != ? AND\
+album_genres.genre_id=genres.rowid)\
   ORDER BY genres.name\
-  COLLATE NOCASE COLLATE LOCALIZED")
+  COLLATE NOCASE COLLATE LOCALIZED",
+

commit python-transip for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package python-transip for openSUSE:Factory 
checked in at 2020-04-18 00:32:28

Comparing /work/SRC/openSUSE:Factory/python-transip (Old)
 and  /work/SRC/openSUSE:Factory/.python-transip.new.2738 (New)


Package is "python-transip"

Sat Apr 18 00:32:28 2020 rev:5 rq:794884 version:2.1.2

Changes:

--- /work/SRC/openSUSE:Factory/python-transip/python-transip.changes
2020-03-25 23:49:54.836026641 +0100
+++ /work/SRC/openSUSE:Factory/.python-transip.new.2738/python-transip.changes  
2020-04-18 00:33:41.778458074 +0200
@@ -1,0 +2,7 @@
+Fri Apr 17 11:00:06 UTC 2020 - pgaj...@suse.com
+
+- version update to 2.1.2
+  * Fix --api-key CLI argument.
+  * Test on Python 3.7 & 3.8.
+
+---

Old:

  2.1.1.tar.gz

New:

  2.1.2.tar.gz



Other differences:
--
++ python-transip.spec ++
--- /var/tmp/diff_new_pack.z7Djh3/_old  2020-04-18 00:33:42.598459772 +0200
+++ /var/tmp/diff_new_pack.z7Djh3/_new  2020-04-18 00:33:42.598459772 +0200
@@ -18,7 +18,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-transip
-Version:2.1.1
+Version:2.1.2
 Release:0
 Summary:TransIP API Connector
 License:MIT

++ 2.1.1.tar.gz -> 2.1.2.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/transip-api-2.1.1/.travis.yml 
new/transip-api-2.1.2/.travis.yml
--- old/transip-api-2.1.1/.travis.yml   2020-03-15 22:16:41.0 +0100
+++ new/transip-api-2.1.2/.travis.yml   2020-03-29 15:27:50.0 +0200
@@ -1,8 +1,10 @@
-sudo: no
+sudo: false
 language: python
 cache: pip
 
 python:
+  - "3.8"
+  - "3.7"
   - "3.6"
   - "3.5"
   - "3.4"
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/transip-api-2.1.1/CHANGELOG.rst 
new/transip-api-2.1.2/CHANGELOG.rst
--- old/transip-api-2.1.1/CHANGELOG.rst 2020-03-15 22:16:41.0 +0100
+++ new/transip-api-2.1.2/CHANGELOG.rst 2020-03-29 15:27:50.0 +0200
@@ -5,6 +5,12 @@
 This document records all notable changes to `transip-api 
`_.
 This project adheres to `Semantic Versioning `_.
 
+`2.1.2`_ (2020-03-29)
+-
+
+* Fix --api-key CLI argument.
+* Test on Python 3.7 & 3.8.
+
 `2.1.1`_ (2020-03-15)
 -
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/transip-api-2.1.1/dev_requirements.txt 
new/transip-api-2.1.2/dev_requirements.txt
--- old/transip-api-2.1.1/dev_requirements.txt  2020-03-15 22:16:41.0 
+0100
+++ new/transip-api-2.1.2/dev_requirements.txt  2020-03-29 15:27:50.0 
+0200
@@ -8,5 +8,5 @@
 rsa
 # colorama dropped Python 3.4 in releases >= 0.4.2
 colorama==0.4.1
-pylint==1.9.2
+pylint==2.4.4
 -e .
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/transip-api-2.1.1/setup.py 
new/transip-api-2.1.2/setup.py
--- old/transip-api-2.1.1/setup.py  2020-03-15 22:16:41.0 +0100
+++ new/transip-api-2.1.2/setup.py  2020-03-29 15:27:50.0 +0200
@@ -56,6 +56,8 @@
 'Programming Language :: Python :: 3.4',
 'Programming Language :: Python :: 3.5',
 'Programming Language :: Python :: 3.6',
+'Programming Language :: Python :: 3.7',
+'Programming Language :: Python :: 3.8',
 'Topic :: Utilities',
 ],
 )
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/transip-api-2.1.1/transip/__init__.py 
new/transip-api-2.1.2/transip/__init__.py
--- old/transip-api-2.1.1/transip/__init__.py   2020-03-15 22:16:41.0 
+0100
+++ new/transip-api-2.1.2/transip/__init__.py   2020-03-29 15:27:50.0 
+0200
@@ -6,4 +6,4 @@
 For usage of the API itself, please see https://www.transip.eu/transip/api/
 """
 
-__version__ = '2.1.1'
+__version__ = '2.1.2'
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/transip-api-2.1.1/transip/client.py 
new/transip-api-2.1.2/transip/client.py
--- old/transip-api-2.1.1/transip/client.py 2020-03-15 22:16:41.0 
+0100
+++ new/transip-api-2.1.2/transip/client.py 2020-03-29 15:27:50.0 
+0200
@@ -53,6 +53,7 @@
 
 return value
 
+
 class WSDLFixPlugin(DocumentPlugin):
 # pylint: disable=W0232
 """
@@ -66,7 +67,9 @@
 """
 context.document = context.document.replace(b'xsd:array', 
b'soapenc:Array')
 
+
 class Client(object):
+# pylint: disable=R0205
 """
 A client-base class, for other classes to base 

commit hypre for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package hypre for openSUSE:Factory checked 
in at 2020-04-18 00:33:18

Comparing /work/SRC/openSUSE:Factory/hypre (Old)
 and  /work/SRC/openSUSE:Factory/.hypre.new.2738 (New)


Package is "hypre"

Sat Apr 18 00:33:18 2020 rev:7 rq:794971 version:2.18.2

Changes:

--- /work/SRC/openSUSE:Factory/hypre/hypre.changes  2019-12-12 
23:18:58.314209128 +0100
+++ /work/SRC/openSUSE:Factory/.hypre.new.2738/hypre.changes2020-04-18 
00:33:53.682482723 +0200
@@ -1,0 +2,7 @@
+Fri Apr 17 17:03:34 UTC 2020 - Egbert Eich 
+
+- Enable non-HPC openmpi3 build (boo#1169792).
+- Remove bogus %undefine suffix - suffix is a RPM builtin, and
+  trying to undefine it is an error since RPM 4.15.
+
+---



Other differences:
--
++ hypre.spec ++
--- /var/tmp/diff_new_pack.1e1D6v/_old  2020-04-18 00:33:54.402484215 +0200
+++ /var/tmp/diff_new_pack.1e1D6v/_new  2020-04-18 00:33:54.406484222 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package hypre
 #
-# Copyright (c) 2019 SUSE LLC
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -39,7 +39,6 @@
 %endif
 
 %if "%{flavor}" == "serial"
-%undefine suffix
 %undefine mpi_family
 %bcond_with hpc
 %endif

++ _multibuild ++
--- /var/tmp/diff_new_pack.1e1D6v/_old  2020-04-18 00:33:54.438484289 +0200
+++ /var/tmp/diff_new_pack.1e1D6v/_new  2020-04-18 00:33:54.438484289 +0200
@@ -2,6 +2,7 @@
   serial
   openmpi
   openmpi2
+  openmpi3
   mvapich2
   mpich
   gnu-openmpi-hpc




commit gdal for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package gdal for openSUSE:Factory checked in 
at 2020-04-18 00:32:09

Comparing /work/SRC/openSUSE:Factory/gdal (Old)
 and  /work/SRC/openSUSE:Factory/.gdal.new.2738 (New)


Package is "gdal"

Sat Apr 18 00:32:09 2020 rev:49 rq:794864 version:3.0.4

Changes:

--- /work/SRC/openSUSE:Factory/gdal/gdal.changes2020-04-11 
23:46:54.603105806 +0200
+++ /work/SRC/openSUSE:Factory/.gdal.new.2738/gdal.changes  2020-04-18 
00:33:28.130429812 +0200
@@ -1,0 +2,5 @@
+Fri Apr 17 09:58:35 UTC 2020 - Guillaume GARDET 
+
+- Fixes for previous commit "Rework ECW5 SDK handling"
+
+---



Other differences:
--
++ gdal.spec ++
--- /var/tmp/diff_new_pack.7A1jQg/_old  2020-04-18 00:33:29.190432007 +0200
+++ /var/tmp/diff_new_pack.7A1jQg/_new  2020-04-18 00:33:29.190432007 +0200
@@ -184,9 +184,12 @@
 find . -iname "*.py" -exec sed -i 's,^#!%{_bindir}/env 
python$,#!%{_bindir}/python3,' {} \;
 %if %{with ecw5_support}
 # gdal configure script looks for a given layout, so reproduce what is 
expected.
-mkdir -p ../ECW/Desktop_Read-Only/lib/x64/
-ln -s %{_libdir} ../ECW/Desktop_Read-Only/lib/x64/release
-ln -s %{_includedir} ../ECW/Desktop_Read-Only/include
+export ECW_PATH="../ECW/Desktop_Read-Only"
+export ECW_LIB_PATH="$ECW_PATH/lib/cpp11abi/x64/release"
+export ECW_INC_PATH="$ECW_PATH/include"
+mkdir -p $ECW_PATH/lib/cpp11abi/x64/
+ln -s %{_libdir} $ECW_LIB_PATH
+ln -s %{_includedir} $ECW_INC_PATH
 %endif
 
 %build




commit hdf5 for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package hdf5 for openSUSE:Factory checked in 
at 2020-04-18 00:33:14

Comparing /work/SRC/openSUSE:Factory/hdf5 (Old)
 and  /work/SRC/openSUSE:Factory/.hdf5.new.2738 (New)


Package is "hdf5"

Sat Apr 18 00:33:14 2020 rev:66 rq:794967 version:1.10.5

Changes:

--- /work/SRC/openSUSE:Factory/hdf5/hdf5.changes2020-04-02 
17:44:11.533445030 +0200
+++ /work/SRC/openSUSE:Factory/.hdf5.new.2738/hdf5.changes  2020-04-18 
00:33:52.474480222 +0200
@@ -1,0 +2,5 @@
+Fri Apr 17 14:54:44 UTC 2020 - Egbert Eich 
+
+- Fix .so number in baselibs.conf for libhdf5_fortran libs (boo#1169793).
+
+---



Other differences:
--
++ hdf5.spec ++
--- /var/tmp/diff_new_pack.pP0NVI/_old  2020-04-18 00:33:53.414482168 +0200
+++ /var/tmp/diff_new_pack.pP0NVI/_new  2020-04-18 00:33:53.418482177 +0200
@@ -588,7 +588,7 @@
 cat >  %{_sourcedir}/baselibs.conf <
requires "libhdf5-%{sonum}%{?my_suffix}- = "
requires "libhdf5_hl%{sonum_HL}%{?my_suffix}- = "
-   requires "libhdf5_fortran%{sonum_HL_F}%{?my_suffix}- = 
"
+   requires "libhdf5_fortran%{sonum_F}%{?my_suffix}- = "
requires "libhdf5hl_fortran%{sonum_HL_F}%{?my_suffix}- = 
"
requires "libhdf5_cpp%{sonum_CXX}%{?my_suffix}- = "
requires "libhdf5_hl_cpp%{sonum_HL_CXX}%{?my_suffix}- = 
"




commit python-TxSNI for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package python-TxSNI for openSUSE:Factory 
checked in at 2020-04-18 00:32:00

Comparing /work/SRC/openSUSE:Factory/python-TxSNI (Old)
 and  /work/SRC/openSUSE:Factory/.python-TxSNI.new.2738 (New)


Package is "python-TxSNI"

Sat Apr 18 00:32:00 2020 rev:3 rq:794853 version:0.2.0

Changes:

--- /work/SRC/openSUSE:Factory/python-TxSNI/python-TxSNI.changes
2019-06-13 23:01:32.823509924 +0200
+++ /work/SRC/openSUSE:Factory/.python-TxSNI.new.2738/python-TxSNI.changes  
2020-04-18 00:33:21.490416063 +0200
@@ -1,0 +2,9 @@
+Fri Apr 17 09:38:39 UTC 2020 - Marketa Calabkova 
+
+- Update to 0.20.0
+  * Support new OpenSSL
+  * Test ALPN and NPN separately.
+  * Switch cert_builder from print to twisted.logger. 
+- Drop unneeded openssl111.patch
+
+---

Old:

  openssl111.patch
  python-TxSNI-0.1.9.tar.gz

New:

  python-TxSNI-0.2.0.tar.gz



Other differences:
--
++ python-TxSNI.spec ++
--- /var/tmp/diff_new_pack.bxa2Kl/_old  2020-04-18 00:33:22.178417488 +0200
+++ /var/tmp/diff_new_pack.bxa2Kl/_new  2020-04-18 00:33:22.182417497 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-TxSNI
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,14 +18,13 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-TxSNI
-Version:0.1.9
+Version:0.2.0
 Release:0
 Summary:Python module for running a TLS server with Twisted
 License:MIT
 Group:  Development/Languages/Python
 URL:https://github.com/glyph/txsni
 Source0:
https://github.com/glyph/txsni/archive/v%{version}/%{name}-%{version}.tar.gz
-Patch0: openssl111.patch
 BuildRequires:  %{python_module Twisted} >= 14.0.0
 BuildRequires:  %{python_module pyOpenSSL} >= 0.14
 BuildRequires:  fdupes
@@ -40,7 +39,6 @@
 
 %prep
 %setup -q -n txsni-%{version}
-%patch0 -p1
 
 %build
 %python_build

++ python-TxSNI-0.1.9.tar.gz -> python-TxSNI-0.2.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/txsni-0.1.9/.travis/install.sh 
new/txsni-0.2.0/.travis/install.sh
--- old/txsni-0.1.9/.travis/install.sh  2017-05-25 04:03:50.0 +0200
+++ new/txsni-0.2.0/.travis/install.sh  1970-01-01 01:00:00.0 +0100
@@ -1,34 +0,0 @@
-#!/bin/bash
-
-set -e
-set -x
-
-# Upgrade packaging tools separately, so that other installations are
-# performed with the upgraded tools.
-pip install -U pip setuptools wheel
-pip install tox codecov
-
-if [ "${TOXENV::5}" == "pypy-" ]; then
-git clone --depth 1 https://github.com/yyuu/pyenv.git ~/.pyenv
-PYENV_ROOT="$HOME/.pyenv"
-PATH="$PYENV_ROOT/bin:$PATH"
-eval "$(pyenv init -)"
-pyenv install pypy-4.0.1
-pyenv global pypy-4.0.1
-fi
-
-if [[ -v OPENSSL_VERSION ]]; then
-OPENSSL_DIR="${HOME}/ossl"
-mkdir -p "${OPENSSL_DIR}"
-curl -O https://www.openssl.org/source/openssl-$OPENSSL_VERSION.tar.gz
-tar zxf openssl-$OPENSSL_VERSION.tar.gz
-cd openssl-$OPENSSL_VERSION
-./config shared no-asm no-ssl2 -fPIC --prefix="${OPENSSL_DIR}"
-# modify the shlib version to a unique one to make sure the dynamic
-# linker doesn't load the system one.
-sed -i "s/^SHLIB_MAJOR=.*/SHLIB_MAJOR=100/" Makefile
-sed -i "s/^SHLIB_MINOR=.*/SHLIB_MINOR=0.0/" Makefile
-sed -i "s/^SHLIB_VERSION_NUMBER=.*/SHLIB_VERSION_NUMBER=100.0.0/" Makefile
-make depend
-make install
-fi
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/txsni-0.1.9/.travis/run.sh 
new/txsni-0.2.0/.travis/run.sh
--- old/txsni-0.1.9/.travis/run.sh  2017-05-25 04:03:50.0 +0200
+++ new/txsni-0.2.0/.travis/run.sh  1970-01-01 01:00:00.0 +0100
@@ -1,21 +0,0 @@
-#!/bin/bash
-
-set -e
-set -x
-
-if [ "${TOXENV::5}" == "pypy-" ]; then
-PYENV_ROOT="$HOME/.pyenv"
-PATH="$PYENV_ROOT/bin:$PATH"
-eval "$(pyenv init -)"
-fi
-
-if [[ -v OPENSSL_VERSION ]]; then
-OPENSSL_DIR="${HOME}/ossl"
-
-export PATH="$HOME/$OPENSSL_DIR/bin:$PATH"
-export CFLAGS="-I$HOME/$OPENSSL_DIR/include"
-# rpath on linux will cause it to use an absolute path so we don't need to 
do LD_LIBRARY_PATH
-export LDFLAGS="-L$HOME/$OPENSSL_DIR/lib -Wl,-rpath=$HOME/$OPENSSL_DIR/lib"
-fi
-
-tox
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/txsni-0.1.9/.travis.yml 

commit python-pysrt for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package python-pysrt for openSUSE:Factory 
checked in at 2020-04-18 00:32:52

Comparing /work/SRC/openSUSE:Factory/python-pysrt (Old)
 and  /work/SRC/openSUSE:Factory/.python-pysrt.new.2738 (New)


Package is "python-pysrt"

Sat Apr 18 00:32:52 2020 rev:4 rq:794912 version:1.1.2

Changes:

--- /work/SRC/openSUSE:Factory/python-pysrt/python-pysrt.changes
2020-01-20 22:57:37.887394035 +0100
+++ /work/SRC/openSUSE:Factory/.python-pysrt.new.2738/python-pysrt.changes  
2020-04-18 00:33:48.122471210 +0200
@@ -1,0 +2,5 @@
+Fri Apr 17 11:45:05 UTC 2020 - Paolo Stivanin 
+
+- Use pytest instead of nose 
+
+---



Other differences:
--
++ python-pysrt.spec ++
--- /var/tmp/diff_new_pack.5ImcLA/_old  2020-04-18 00:33:48.758472527 +0200
+++ /var/tmp/diff_new_pack.5ImcLA/_new  2020-04-18 00:33:48.758472527 +0200
@@ -26,7 +26,7 @@
 Source0:
https://files.pythonhosted.org/packages/source/p/pysrt/pysrt-%{version}.tar.gz
 BuildRequires:  %{python_module base}
 BuildRequires:  %{python_module chardet}
-BuildRequires:  %{python_module nose}
+BuildRequires:  %{python_module pytest}
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
@@ -51,7 +51,7 @@
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 
 %check
-%python_exec %{_bindir}/nosetests
+%pytest
 
 %files %{python_files}
 %doc README.rst




commit opentoonz for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package opentoonz for openSUSE:Factory 
checked in at 2020-04-18 00:31:50

Comparing /work/SRC/openSUSE:Factory/opentoonz (Old)
 and  /work/SRC/openSUSE:Factory/.opentoonz.new.2738 (New)


Package is "opentoonz"

Sat Apr 18 00:31:50 2020 rev:8 rq:794840 version:1.4.0

Changes:

--- /work/SRC/openSUSE:Factory/opentoonz/opentoonz.changes  2020-03-27 
22:01:46.474949008 +0100
+++ /work/SRC/openSUSE:Factory/.opentoonz.new.2738/opentoonz.changes
2020-04-18 00:33:14.558401710 +0200
@@ -1,0 +2,10 @@
+Mon Apr 13 18:35:09 UTC 2020 - Christophe Giboudeaux 
+
+- Drop p_add-zlo-to-cmake-include-path-suffixes.patch, no
+  longer needed
+- Add patches:
+  * 0001-Fix-linker-errors-on-Linux.patch
+  * 0001-Use-the-system-mypaint-brushes.patch
+- Small spec cleanup
+
+---

Old:

  p_add-zlo-to-cmake-include-path-suffixes.patch

New:

  0001-Fix-linker-errors-on-Linux.patch
  0001-Use-the-system-mypaint-brushes.patch



Other differences:
--
++ opentoonz.spec ++
--- /var/tmp/diff_new_pack.meujrR/_old  2020-04-18 00:33:17.018406803 +0200
+++ /var/tmp/diff_new_pack.meujrR/_new  2020-04-18 00:33:17.022406812 +0200
@@ -16,8 +16,6 @@
 #
 
 
-%global __requires_exclude ^(libcolorfx|libimage|libsound|libtif).*
-%global __provides_exclude ^(libcolorfx|libimage|libsound|libtif).*
 Name:   opentoonz
 Version:1.4.0
 Release:0
@@ -29,7 +27,10 @@
 Source0:%{name}-%{version}.tar.xz
 Source3:%{name}-rpmlintrc
 Patch1: p_handle-no-return-in-nonvoid-function.patch
-Patch2: p_add-zlo-to-cmake-include-path-suffixes.patch
+# PATCH-FIX-UPSTREAM
+Patch2: 0001-Fix-linker-errors-on-Linux.patch
+# PATCH-FIX-OPENSUSE -- Use the system mypaint brushes
+Patch3: 0001-Use-the-system-mypaint-brushes.patch
 BuildRequires:  boost-devel >= 1.55
 BuildRequires:  cmake
 BuildRequires:  freeglut-devel
@@ -64,6 +65,13 @@
 BuildRequires:  pkgconfig(sdl2)
 BuildRequires:  pkgconfig(zlib)
 ExclusiveArch:  i586 x86_64
+# the package is called mypaint-brushes1 in the devel project,
+# but mypaint-brushes in the Leap:15.2 repo.
+%if 0%{?sle_version} == 150200
+Requires:   mypaint-brushes < 2.0
+%else
+Requires:   mypaint-brushes1
+%endif
 
 %description
 2D animation software previously known as Toonz.
@@ -76,21 +84,24 @@
 # Keep thirdparty/lzo/driver, but remove library.
 rm -r thirdparty/lzo/2.*
 
+# Use the mypaint brushes instead of the local copy
+rm -fr stuff/library/mypaint\ brushes
+
 %build
+
 # TODO upstream planning to replace custom thirdparty libs with system versions
 cd thirdparty/tiff-*
 export CFLAGS="%{optflags} -fPIC"
-%configure
+%configure --disable-jbig
 %make_build
 cd -
 
 cd toonz
 %define __sourcedir sources
 %cmake \
-  -DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-as-needed" \
-  -DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-as-needed" \
-  -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-as-needed" \
-  -DCMAKE_SKIP_RPATH=TRUE
+  -DCMAKE_SKIP_RPATH=TRUE \
+  -DWITH_SYSTEM_LZO=TRUE \
+  -DWITH_SYSTEM_SUPERLU=TRUE
 
 %cmake_build
 

++ 0001-Fix-linker-errors-on-Linux.patch ++
>From 8ce3c36cc6c7b311a8f970123798e8db0dca5393 Mon Sep 17 00:00:00 2001
From: Christophe Giboudeaux 
Date: Mon, 13 Apr 2020 10:14:42 +0200
Subject: [PATCH] Fix linker errors on Linux.

OpenToonz uses dlopen in a couple places, so it needs to link 'dl'.
---
 toonz/sources/tnzcore/CMakeLists.txt | 2 +-
 toonz/sources/toonzqt/CMakeLists.txt | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/toonz/sources/tnzcore/CMakeLists.txt 
b/toonz/sources/tnzcore/CMakeLists.txt
index d637cd26..12b4d5da 100644
--- a/toonz/sources/tnzcore/CMakeLists.txt
+++ b/toonz/sources/tnzcore/CMakeLists.txt
@@ -356,5 +356,5 @@ endif()
 target_link_libraries(tnzcore
 Qt5::OpenGL Qt5::Network Qt5::Multimedia
 ${GL_LIB} ${GLUT_LIB} ${QT_LIB} ${Z_LIB} ${JPEG_LIB} ${LZ4_LIB}
-${EXTRA_LIBS}
+${EXTRA_LIBS} ${CMAKE_DL_LIBS}
 )
diff --git a/toonz/sources/toonzqt/CMakeLists.txt 
b/toonz/sources/toonzqt/CMakeLists.txt
index 3c1a329e..ee6a7139 100644
--- a/toonz/sources/toonzqt/CMakeLists.txt
+++ b/toonz/sources/toonzqt/CMakeLists.txt
@@ -246,4 +246,4 @@ elseif(BUILD_ENV_UNIXLIKE)
 endif()
 endif()
 
-target_link_libraries(toonzqt Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Network 
Qt5::OpenGL Qt5::Svg ${EXTRA_LIBS} ${GL_LIB})
+target_link_libraries(toonzqt Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Network 
Qt5::OpenGL Qt5::Svg ${EXTRA_LIBS} ${GL_LIB} ${CMAKE_DL_LIBS})
-- 
2.26.0

++ 0001-Use-the-system-mypaint-brushes.patch ++
>From 9ed962d41dce825c60df869c96f062b3906cbc8d Mon Sep 17 00:00:00 2001
From: Christophe Giboudeaux 
Date: Mon, 

commit scotch for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package scotch for openSUSE:Factory checked 
in at 2020-04-18 00:33:10

Comparing /work/SRC/openSUSE:Factory/scotch (Old)
 and  /work/SRC/openSUSE:Factory/.scotch.new.2738 (New)


Package is "scotch"

Sat Apr 18 00:33:10 2020 rev:12 rq:794965 version:6.0.9

Changes:

--- /work/SRC/openSUSE:Factory/scotch/scotch.changes2020-01-30 
22:37:18.696577902 +0100
+++ /work/SRC/openSUSE:Factory/.scotch.new.2738/scotch.changes  2020-04-18 
00:33:51.178477538 +0200
@@ -1,0 +2,6 @@
+Fri Apr 17 16:34:29 UTC 2020 - Egbert Eich 
+
+- only serial scotch-metis-devel package should conflict with
+  metis-devel (boo#1169791).
+
+---



Other differences:
--
++ scotch.spec ++
--- /var/tmp/diff_new_pack.VK7hx4/_old  2020-04-18 00:33:52.154479560 +0200
+++ /var/tmp/diff_new_pack.VK7hx4/_new  2020-04-18 00:33:52.154479560 +0200
@@ -411,7 +411,7 @@
 %package -n %{f_name -n -%{metis}}-devel
 Summary:Development libraries for scotch
 Group:  Development/Libraries/C and C++
-%{?!with_hpc:Conflicts:  metis-devel}
+%{?!with_hpc:%{?!with_mpi:Conflicts:  metis-devel}}
 Requires:   %{f_name -l -s %{so_ver}}
 Requires:   %{f_name}-devel = %{version}
 




commit python-altgraph for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package python-altgraph for openSUSE:Factory 
checked in at 2020-04-18 00:32:24

Comparing /work/SRC/openSUSE:Factory/python-altgraph (Old)
 and  /work/SRC/openSUSE:Factory/.python-altgraph.new.2738 (New)


Package is "python-altgraph"

Sat Apr 18 00:32:24 2020 rev:5 rq:794883 version:0.17

Changes:

--- /work/SRC/openSUSE:Factory/python-altgraph/python-altgraph.changes  
2019-11-13 13:14:51.142855967 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-altgraph.new.2738/python-altgraph.changes
2020-04-18 00:33:37.802449841 +0200
@@ -1,0 +2,8 @@
+Fri Apr 17 11:15:05 UTC 2020 - Marketa Calabkova 
+
+- Update to 0.17
+  * Explicitly mark Python 3.8 as supported in wheel metadata.
+  * Migrate from Bitbucket to GitHub
+  * Run black on the entire repository
+
+---

Old:

  altgraph-0.16.1.tar.gz

New:

  altgraph-0.17.tar.gz



Other differences:
--
++ python-altgraph.spec ++
--- /var/tmp/diff_new_pack.mBeqt2/_old  2020-04-18 00:33:39.066452458 +0200
+++ /var/tmp/diff_new_pack.mBeqt2/_new  2020-04-18 00:33:39.070452466 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-altgraph
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,11 +18,11 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-altgraph
-Version:0.16.1
+Version:0.17
 Release:0
 Summary:Python graph (network) package
 License:MIT
-URL:https://bitbucket.org/ronaldoussoren/altgraph/
+URL:https://github.com/ronaldoussoren/altgraph/
 Source: 
https://files.pythonhosted.org/packages/source/a/altgraph/altgraph-%{version}.tar.gz
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
@@ -60,7 +60,7 @@
 %python_exec setup.py test
 
 %files %{python_files}
-%doc README.txt
+%doc README.rst
 %license LICENSE
 %{python_sitelib}/*
 

++ altgraph-0.16.1.tar.gz -> altgraph-0.17.tar.gz ++
 22806 lines of diff (skipped)




commit vgrep for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package vgrep for openSUSE:Factory checked 
in at 2020-04-18 00:33:04

Comparing /work/SRC/openSUSE:Factory/vgrep (Old)
 and  /work/SRC/openSUSE:Factory/.vgrep.new.2738 (New)


Package is "vgrep"

Sat Apr 18 00:33:04 2020 rev:4 rq:794928 version:2.2.0

Changes:

--- /work/SRC/openSUSE:Factory/vgrep/vgrep.changes  2019-02-19 
11:58:10.221209490 +0100
+++ /work/SRC/openSUSE:Factory/.vgrep.new.2738/vgrep.changes2020-04-18 
00:33:49.998475095 +0200
@@ -1,0 +2,10 @@
+Fri Apr 17 14:05:43 UTC 2020 - Martin Pluskal 
+
+- Update to version 2.2.0:
+  * Changed yellow to magenta to improve readability on light color
+schemes (e.g., tango).
+  * Auto-detect VSCode terminal and print line column in a
+clickable format for easy browing.
+  * Vgrep has a logo.
+
+---

Old:

  v2.1.0.tar.gz

New:

  v2.2.0.tar.gz



Other differences:
--
++ vgrep.spec ++
--- /var/tmp/diff_new_pack.C3jbdM/_old  2020-04-18 00:33:50.702476553 +0200
+++ /var/tmp/diff_new_pack.C3jbdM/_new  2020-04-18 00:33:50.706476561 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package vgrep
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -21,12 +21,12 @@
 # Project name when using go tooling.
 %define project github.com/vrothberg/vgrep
 Name:   vgrep
-Version:2.1.0
+Version:2.2.0
 Release:0
 Summary:Frontend for git-grep and grep
 License:GPL-3.0-only
 Group:  Productivity/Text/Utilities
-Url:https://github.com/vrothberg/vgrep
+URL:https://github.com/vrothberg/vgrep
 Source0:https://github.com/vrothberg/vgrep/archive/v%{version}.tar.gz
 BuildRequires:  fdupes
 BuildRequires:  golang(API) >= 1.6

++ v2.1.0.tar.gz -> v2.2.0.tar.gz ++
 126521 lines of diff (skipped)




commit openbabel for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package openbabel for openSUSE:Factory 
checked in at 2020-04-18 00:33:27

Comparing /work/SRC/openSUSE:Factory/openbabel (Old)
 and  /work/SRC/openSUSE:Factory/.openbabel.new.2738 (New)


Package is "openbabel"

Sat Apr 18 00:33:27 2020 rev:36 rq:794985 version:2.4.1

Changes:

--- /work/SRC/openSUSE:Factory/openbabel/openbabel.changes  2018-05-16 
18:44:47.644354344 +0200
+++ /work/SRC/openSUSE:Factory/.openbabel.new.2738/openbabel.changes
2020-04-18 00:33:56.134487801 +0200
@@ -1,0 +2,8 @@
+Mon Mar 30 11:23:08 UTC 2020 - Martin Pluskal 
+
+- Modernise spec file
+- Drop old conditionals
+- Use ninja as builder
+- Build only python3 bindings
+
+---



Other differences:
--
++ openbabel.spec ++
--- /var/tmp/diff_new_pack.AQyBba/_old  2020-04-18 00:33:56.962489516 +0200
+++ /var/tmp/diff_new_pack.AQyBba/_new  2020-04-18 00:33:56.966489523 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package openbabel
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,33 +12,33 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 Name:   openbabel
 Version:2.4.1
-Release:1.5
+Release:0
 Summary:A chemistry toolbox
-License:GPL-2.0
+License:GPL-2.0-only
 Group:  Development/Libraries/C and C++
-Url:http://openbabel.sourceforge.net/
+URL:http://openbabel.sourceforge.net/
 Source0:
https://sourceforge.net/projects/openbabel/files/openbabel/%{version}/%{name}-%{version}.tar.gz
 Source1:%{name}.changes
 Source2:baselibs.conf
 Patch0: fix_narrowing.patch
 Patch1: fix_yasara.patch
-BuildRequires:  cairo-devel
 BuildRequires:  cmake >= 2.4.8
-BuildRequires:  eigen3-devel
+BuildRequires:  ninja
 BuildRequires:  gcc-c++
-BuildRequires:  libxml2-devel
 BuildRequires:  pkgconfig
-BuildRequires:  python-devel
 BuildRequires:  swig
-BuildRequires:  zlib-devel
 BuildRequires:  wxWidgets-devel
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
+BuildRequires:  pkgconfig(cairo)
+BuildRequires:  pkgconfig(eigen3)
+BuildRequires:  pkgconfig(libxml-2.0)
+BuildRequires:  pkgconfig(python3)
+BuildRequires:  pkgconfig(zlib)
 
 %description
 Open Babel is a chemical toolbox understanding many formats of
@@ -66,12 +66,11 @@
 from molecular modeling, chemistry, solid-state materials,
 biochemistry, or related areas.
 
-%package -n python-openbabel
+%package -n python3-openbabel
 Summary:Python bindings for Open Babel, a chemistry toolbox
 Group:  Productivity/Scientific/Chemistry
-%py_requires
 
-%description -n python-openbabel
+%description -n python3-openbabel
 Open Babel is a chemical toolbox understanding many formats of
 chemical data. It allows to search, convert, analyze, or store data
 from molecular modeling, chemistry, solid-state materials,
@@ -81,7 +80,7 @@
 Summary:Development files for Open Babel
 Group:  Development/Libraries/C and C++
 Requires:   libopenbabel5 = %{version}
-Requires:   zlib-devel
+Requires:   pkgconfig(zlib)
 Provides:   libopenbabel-devel = %{version}
 Obsoletes:  libopenbabel-devel < %{version}
 
@@ -104,32 +103,25 @@
 sed -e "s/__DATE__/\"$FAKE_BUILDDATE\"/" -i tools/babel.cpp tools/obabel.cpp
 
 %build
+%define __builder ninja
 %cmake \
-%if 0%{?suse_version} > 1320
-%ifarch ppc64 ppc64le
-  -DCMAKE_CXX_FLAGS="%{optflags} -std=gnu++98" \
-%endif
-%endif
-  -DCMAKE_BUILD_TYPE="Release" \
   -DRUN_SWIG=ON \
   -DPYTHON_BINDINGS=ON \
-  -DPYTHON_EXECUTABLE=%{_bindir}/python2 \
+  -DPYTHON_EXECUTABLE=%{_bindir}/python3 \
   -DBUILD_GUI=FALSE \
-  -ULIB_INSTALL_DIR
-make %{?_smp_mflags}
+  -ULIB_INSTALL_DIR \
+  -Wno-dev
+%cmake_build
 
 %install
-pushd build
-make %{?_smp_mflags} DESTDIR=%{buildroot} install
+%cmake_install
 
 %post -n libinchi0 -p /sbin/ldconfig
 %postun -n libinchi0 -p /sbin/ldconfig
-
 %post -n libopenbabel5 -p /sbin/ldconfig
 %postun -n libopenbabel5 -p /sbin/ldconfig
 
 %files
-%defattr(-,root,root,-)
 %{_bindir}/roundtrip
 %{_bindir}/ob*
 %{_bindir}/babel
@@ -138,17 +130,14 @@
 %{_datadir}/openbabel
 
 %files -n libinchi0
-%defattr(-,root,root,-)
 %{_libdir}/libinchi.so.0
 %{_libdir}/libinchi.so.0.4.1
 
 %files -n 

commit python-tri.declarative for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package python-tri.declarative for 
openSUSE:Factory checked in at 2020-04-18 00:32:33

Comparing /work/SRC/openSUSE:Factory/python-tri.declarative (Old)
 and  /work/SRC/openSUSE:Factory/.python-tri.declarative.new.2738 (New)


Package is "python-tri.declarative"

Sat Apr 18 00:32:33 2020 rev:3 rq:794885 version:5.3.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-tri.declarative/python-tri.declarative.changes
2020-03-11 18:55:44.855685645 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-tri.declarative.new.2738/python-tri.declarative.changes
  2020-04-18 00:33:43.062460733 +0200
@@ -1,0 +2,7 @@
+Fri Apr 17 11:19:26 UTC 2020 - pgaj...@suse.com
+
+- version update to 5.3.0
+  * Enable `@class_shortcut` to override baseclass shortcuts with the same 
name.
+  * Fix `@with_meta` failing on method declarations with `@staticmethod` 
declaration
+
+---

Old:

  tri.declarative-5.2.0.tar.gz

New:

  tri.declarative-5.3.0.tar.gz



Other differences:
--
++ python-tri.declarative.spec ++
--- /var/tmp/diff_new_pack.bN72qq/_old  2020-04-18 00:33:43.846462356 +0200
+++ /var/tmp/diff_new_pack.bN72qq/_new  2020-04-18 00:33:43.850462365 +0200
@@ -19,7 +19,7 @@
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 %define skip_python2 1
 Name:   python-tri.declarative
-Version:5.2.0
+Version:5.3.0
 Release:0
 Summary:Python class decorators in the style of Django model classes
 License:BSD-3-Clause

++ tri.declarative-5.2.0.tar.gz -> tri.declarative-5.3.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/tri.declarative-5.2.0/HISTORY.rst 
new/tri.declarative-5.3.0/HISTORY.rst
--- old/tri.declarative-5.2.0/HISTORY.rst   2020-02-28 08:37:57.0 
+0100
+++ new/tri.declarative-5.3.0/HISTORY.rst   2020-04-01 14:58:16.0 
+0200
@@ -1,6 +1,14 @@
 Changelog
 -
 
+5.3.0 (2020-04-01)
+--
+
+* Enable `@class_shortcut` to override baseclass shortcuts with the same name.
+
+* Fix `@with_meta` failing on method declarations with `@staticmethod` 
declaration
+
+
 5.2.0 (2020-02-28)
 --
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/tri.declarative-5.2.0/Makefile 
new/tri.declarative-5.3.0/Makefile
--- old/tri.declarative-5.2.0/Makefile  2020-02-28 08:37:57.0 +0100
+++ new/tri.declarative-5.3.0/Makefile  2020-04-01 14:58:16.0 +0200
@@ -1,5 +1,7 @@
 .PHONY: clean-pyc clean-build docs clean lint test coverage docs dist tag 
release-check
 
+PYTHON ?= python
+
 help:
@echo "clean-build - remove build artifacts"
@echo "clean-pyc - remove Python file artifacts"
@@ -41,12 +43,12 @@
tox -e docs
 
 dist: clean
-   python setup.py sdist
-   python setup.py bdist_wheel
+   $(PYTHON) setup.py sdist bdist_wheel
ls -l dist
 
 tag:
-   python setup.py tag
+   $(PYTHON) setup.py tag
 
 release-check:
-   python setup.py release_check
+   $(PYTHON) setup.py release_check
+
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/tri.declarative-5.2.0/lib/tri_declarative/__init__.py 
new/tri.declarative-5.3.0/lib/tri_declarative/__init__.py
--- old/tri.declarative-5.2.0/lib/tri_declarative/__init__.py   2020-02-28 
08:37:57.0 +0100
+++ new/tri.declarative-5.3.0/lib/tri_declarative/__init__.py   2020-04-01 
14:58:16.0 +0200
@@ -10,7 +10,7 @@
 Struct,
 )
 
-__version__ = '5.2.0'
+__version__ = '5.3.0'
 
 
 def with_meta(class_to_decorate=None, add_init_kwargs=True):
@@ -48,8 +48,9 @@
 merged_attributes = Namespace()
 for class_ in reversed(cls.mro()):
 if hasattr(class_, 'Meta'):
-for key, value in class_.Meta.__dict__.items():
+for key in class_.Meta.__dict__:
 if not key.startswith('__'):
+value = getattr(class_.Meta, key)
 merged_attributes.setitem_path(key, value)
 return merged_attributes
 
@@ -398,6 +399,7 @@
 
 
 class Namespace(Struct):
+# noinspection PyMissingConstructor
 def __init__(self, *dicts, **kwargs):
 if dicts or kwargs:
 for mappings in list(dicts) + [kwargs]:
@@ -494,23 +496,38 @@
 
 def class_shortcut(*args, **defaults):
 def decorator(__target__):
+@functools.wraps(__target__)
 @shortcut
 @dispatch(
 **defaults
 )
 def class_shortcut_wrapper(cls, *args, **kwargs):
 call_target = 

commit python-uncompyle6 for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package python-uncompyle6 for 
openSUSE:Factory checked in at 2020-04-18 00:32:02

Comparing /work/SRC/openSUSE:Factory/python-uncompyle6 (Old)
 and  /work/SRC/openSUSE:Factory/.python-uncompyle6.new.2738 (New)


Package is "python-uncompyle6"

Sat Apr 18 00:32:02 2020 rev:6 rq:794859 version:3.6.5

Changes:

--- /work/SRC/openSUSE:Factory/python-uncompyle6/python-uncompyle6.changes  
2020-03-17 13:11:38.601867982 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-uncompyle6.new.2738/python-uncompyle6.changes
2020-04-18 00:33:22.550418259 +0200
@@ -1,0 +2,13 @@
+Fri Apr 17 09:26:00 UTC 2020 - pgaj...@suse.com
+
+- version update to 3.6.5
+  * Handle nested async for in for... and better async comprehension detection 
via xdis. Still more work is needed.
+  * include token number in listings when -g and there is a parser error
+  * remove unneeded Makefiles now that remake 4.3+1.5dbg is a thing that has -c
+  * Bug in finding annotations in functions with docstrings
+  * Fix bug found by 2.4 sre_parse.py testing
+  * Fix transform module's ifelseif bugs
+  * Fix bug in 3.0 name module detection
+  * Fix docstring detection
+
+---

Old:

  uncompyle6-3.6.4.tar.gz

New:

  uncompyle6-3.6.5.tar.gz



Other differences:
--
++ python-uncompyle6.spec ++
--- /var/tmp/diff_new_pack.UTy9OB/_old  2020-04-18 00:33:23.522420271 +0200
+++ /var/tmp/diff_new_pack.UTy9OB/_new  2020-04-18 00:33:23.526420279 +0200
@@ -18,7 +18,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-uncompyle6
-Version:3.6.4
+Version:3.6.5
 Release:0
 Summary:Python cross-version byte-code decompiler
 License:GPL-3.0-only

++ uncompyle6-3.6.4.tar.gz -> uncompyle6-3.6.5.tar.gz ++
 1689 lines of diff (skipped)




commit spi-tools for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package spi-tools for openSUSE:Factory 
checked in at 2020-04-18 00:32:45

Comparing /work/SRC/openSUSE:Factory/spi-tools (Old)
 and  /work/SRC/openSUSE:Factory/.spi-tools.new.2738 (New)


Package is "spi-tools"

Sat Apr 18 00:32:45 2020 rev:3 rq:794899 version:0.8.4

Changes:

--- /work/SRC/openSUSE:Factory/spi-tools/spi-tools.changes  2019-12-09 
21:36:22.842070806 +0100
+++ /work/SRC/openSUSE:Factory/.spi-tools.new.2738/spi-tools.changes
2020-04-18 00:33:45.402465578 +0200
@@ -1,0 +2,7 @@
+Fri Apr 17 08:15:47 UTC 2020 - Martin Pluskal 
+
+- Update to versions 0.8.4:
+  * Add -S and -w options description in spi-config
+  * Various small improvements
+
+---

Old:

  spi-tools-0.8.3.tar.gz

New:

  spi-tools-0.8.4.tar.gz



Other differences:
--
++ spi-tools.spec ++
--- /var/tmp/diff_new_pack.itzbPj/_old  2020-04-18 00:33:46.154467135 +0200
+++ /var/tmp/diff_new_pack.itzbPj/_new  2020-04-18 00:33:46.158467144 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package spi-tools
 #
-# Copyright (c) 2019 SUSE LLC
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   spi-tools
-Version:0.8.3
+Version:0.8.4
 Release:0
 Summary:A set of SPI tools for Linux
 License:GPL-2.0-or-later

++ spi-tools-0.8.3.tar.gz -> spi-tools-0.8.4.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/spi-tools-0.8.3/README.md 
new/spi-tools-0.8.4/README.md
--- old/spi-tools-0.8.3/README.md   2018-08-10 10:48:04.0 +0200
+++ new/spi-tools-0.8.4/README.md   2019-12-09 07:13:24.0 +0100
@@ -41,8 +41,8 @@
 * `-m --mode=[0-3]`use the selected spi mode.
 * `-l --lsb={0,1}` LSB first (1) or MSB first (0).
 * `-b --bits=[7...]`   bits per word.
-* `-r --spirdy={0,1}`   set the SPI_READY spi mode flag.
 * `-s --speed=`   set the speed in Hz.
+* `-r --spirdy={0,1}`   set the SPI_READY spi mode flag.
 * `-w --wait`  block, keeping the file descriptor open.
 * `-h --help`  help screen.
 * `-v --version`   display the version number.
@@ -81,6 +81,7 @@
 ### spi-pipe usage
  Options
 * `-d --device=`use the given spi-dev character device.
+* `-s --speed=`   Maximum SPI clock rate (in Hz).
 * `-b --blocksize=` transfer block size in byte.
 * `-n --number=`number of blocks to transfer.
 * `-h --help`help screen.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/spi-tools-0.8.3/configure.ac 
new/spi-tools-0.8.4/configure.ac
--- old/spi-tools-0.8.3/configure.ac2018-08-10 10:48:04.0 +0200
+++ new/spi-tools-0.8.4/configure.ac2019-12-09 07:13:24.0 +0100
@@ -2,7 +2,7 @@
 # Process this file with autoconf to produce a configure script.
 
 AC_PREREQ([2.60])
-AC_INIT(spi-tools, 0.8.1, Christophe Blaess)
+AC_INIT(spi-tools, 0.8.4, Christophe Blaess)
 
 AM_INIT_AUTOMAKE([foreign])
 AM_MAINTAINER_MODE([disable])
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/spi-tools-0.8.3/man/spi-config.1 
new/spi-tools-0.8.4/man/spi-config.1
--- old/spi-tools-0.8.3/man/spi-config.12018-08-10 10:48:04.0 
+0200
+++ new/spi-tools-0.8.4/man/spi-config.12019-12-09 07:13:24.0 
+0100
@@ -26,6 +26,12 @@
 \fB\-s\fR, \fB\-\-speed\fR=\fIFREQUENCY\fR
 set clock frequency (in Hz).
 .TP
+\fB\-r\fR, \fB\-\-spirdy\fR=\fI{0,1}\fR
+set the SPI READY mode flag.
+.TP
+\fB\-s\fR, \fB\-\-wait
+block, keeping the file descriptor open. See \fBWAIT OPTION\fR below.
+.TP
 \fB\-h\fR, \fB\-\-help\fR
 display the help screen and exit.
 .TP
@@ -45,6 +51,11 @@
 .TP
 mode 3
 high iddle level, sample on trailing edge.
+
+.SS "WAIT OPTION"
+On some platforms, the speed is reset to a default value when the file 
descriptor is closed.
+To avoid this, one can use the \fB\-w\fR option that keeps the file descriptor 
open. See also
+last example below.
 .SH EXAMPLES
 .TP
 Get help:
@@ -55,6 +66,12 @@
 .TP
 Change clock frequency to 1 MHz:
 $ \fBspi\-config \-\-device=/dev/spidev0.0 \-\-speed=100\fR
+.TP
+Set a configuration and keep the device open:
+$ \fBspi\-config \-\-wait \-\-speed=100\fR & PID=$!
+.TP
+Close device previously open:
+$ \fBkill\fP $PID
 .SH AUTHOR
 Written by Christophe BLAESS .
 .SH "REPORTING BUGS"




commit geoipupdate for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package geoipupdate for openSUSE:Factory 
checked in at 2020-04-18 00:32:49

Comparing /work/SRC/openSUSE:Factory/geoipupdate (Old)
 and  /work/SRC/openSUSE:Factory/.geoipupdate.new.2738 (New)


Package is "geoipupdate"

Sat Apr 18 00:32:49 2020 rev:12 rq:794910 version:4.2.2

Changes:

--- /work/SRC/openSUSE:Factory/geoipupdate/geoipupdate.changes  2020-03-26 
23:35:00.222812511 +0100
+++ /work/SRC/openSUSE:Factory/.geoipupdate.new.2738/geoipupdate.changes
2020-04-18 00:33:46.502467856 +0200
@@ -1,0 +2,5 @@
+Fri Apr 17 12:35:42 UTC 2020 - Vítězslav Čížek 
+
+- Fix license, it's actually Apache-2.0 or MIT (bsc#1169766)
+
+---



Other differences:
--
++ geoipupdate.spec ++
--- /var/tmp/diff_new_pack.ARRjnZ/_old  2020-04-18 00:33:47.490469902 +0200
+++ /var/tmp/diff_new_pack.ARRjnZ/_new  2020-04-18 00:33:47.490469902 +0200
@@ -21,7 +21,7 @@
 Version:4.2.2
 Release:0
 Summary:GeoIP update client code
-License:GPL-2.0-only
+License:Apache-2.0 OR MIT
 Group:  Productivity/Networking/Other
 URL:https://github.com/maxmind/geoipupdate
 Source0:%{name}-%{version}.tar.gz




commit python-akismet for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package python-akismet for openSUSE:Factory 
checked in at 2020-04-18 00:32:20

Comparing /work/SRC/openSUSE:Factory/python-akismet (Old)
 and  /work/SRC/openSUSE:Factory/.python-akismet.new.2738 (New)


Package is "python-akismet"

Sat Apr 18 00:32:20 2020 rev:3 rq:794878 version:1.1

Changes:

--- /work/SRC/openSUSE:Factory/python-akismet/python-akismet.changes
2019-11-13 13:14:47.770852457 +0100
+++ /work/SRC/openSUSE:Factory/.python-akismet.new.2738/python-akismet.changes  
2020-04-18 00:33:34.310442610 +0200
@@ -1,0 +2,8 @@
+Fri Apr 17 11:08:49 UTC 2020 - Marketa Calabkova 
+
+- Update to 1.1
+  * akismet 1.1 and later do not support Python 2
+  * support for recheck_reason, used when a comment or other content 
+is being submitted a second or later time, and indicating the reason
+
+---

Old:

  akismet-1.0.1.tar.gz

New:

  akismet-1.1.tar.gz



Other differences:
--
++ python-akismet.spec ++
--- /var/tmp/diff_new_pack.tuyqGv/_old  2020-04-18 00:33:35.362444788 +0200
+++ /var/tmp/diff_new_pack.tuyqGv/_new  2020-04-18 00:33:35.366444796 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-akismet
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 # Copyright (c) 2017 Matthias Fehring 
 #
 # All modifications and additions to the file contributed by third parties
@@ -19,8 +19,9 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 %define mod_name akismet
+%define skip_python2 1
 Name:   python-%{mod_name}
-Version:1.0.1
+Version:1.1
 Release:0
 Summary:Interface to the Akismet Anti Comment-Spam API
 License:BSD-3-Clause

++ akismet-1.0.1.tar.gz -> akismet-1.1.tar.gz ++
 2513 lines of diff (skipped)




commit sesdev for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package sesdev for openSUSE:Factory checked 
in at 2020-04-18 00:32:39

Comparing /work/SRC/openSUSE:Factory/sesdev (Old)
 and  /work/SRC/openSUSE:Factory/.sesdev.new.2738 (New)


Package is "sesdev"

Sat Apr 18 00:32:39 2020 rev:7 rq:794896 version:1.1.10+1587124098.ga2f8189

Changes:

--- /work/SRC/openSUSE:Factory/sesdev/sesdev.changes2020-03-26 
23:35:16.834818509 +0100
+++ /work/SRC/openSUSE:Factory/.sesdev.new.2738/sesdev.changes  2020-04-18 
00:33:44.370463441 +0200
@@ -1,0 +2,34 @@
+Fri Apr 17 11:48:33 UTC 2020 - Nathan Cutler 
+
+- Update to 1.1.10+1587124098.ga2f8189:
+  + upstream 1.1.10 release (2020-04-17)
+* ceph_salt_deployment: sync clocks after deployment (PR #187)
+* ceph_salt_deployment: fetch GitHub PRs when needed (PR #197)
+* New deployment type "pacific" using packages/containers built from
+  upstream Ceph "master" branch (PR #200)
+* README.md: Needed packages for all major distros (PR #209)
+* sesdev: systemically vet roles on create (PR #215)
+* templates: extend --qa-test to DeepSea-deployed versions (PR #230)
+* sesdev: make deployment_id argument optional (PR#235)
+* sesdev: Globbing for "stop", "start", and "destroy" (PR #238)
+* new --synced-folder option to NFS mount directories (PR #247)
+* ses7, octopus, pacific: Deploy MDSs (PR #258)
+* deepsea_deployment: run Stage 4 only if justified by roles (PR #205)
+* seslib: install sesdev-generated keypair under non-default name (PR #207)
+* Jenkinsfile.integration: Retry jenkins slave deletion (PR #214)
+* ceph_salt_deployment: use --prefix /usr with "pip install" (PR #221)
+* deepsea_deployment: check if drive_groups.yml exists (PR #229)
+* seslib: force ses5 prometheus node to master (PR #232)
+* provision.sh: reinstall certain packages from the update repos (PR #243)
+* ceph_salt_deployment: do not provision client-only nodes (PR #246)
+* ceph_salt_deployment: move OSD deployment to sesdev (PR #186)
+* ceph_salt_deployment: use sesdev to deploy MONs and MGRs (PR #189)
+* sesdev: uniform --force/--non-interactive (PR #201)
+* ceph_salt_deployment: make it easier to install ceph-salt from source 
(PR #210)
+* seslib: make all str-type settings default to the empty string (PR #217)
+* ceph_salt_deployment: Use quoted string to set bootstrap configs (PR 
#224)
+* ceph_salt_deployment: use lower-case on config nodes (PR #226)
+* ceph_salt_deployment: do not refresh/sync pillar data (PR #227)
+* templates: move test.ping try-wait into a separate file (PR #234)
+
+---

Old:

  sesdev-1.1.9+1585227448.g3a7e36e.tar.gz

New:

  sesdev-1.1.10+1587124098.ga2f8189.tar.gz



Other differences:
--
++ sesdev.spec ++
--- /var/tmp/diff_new_pack.eZgH1q/_old  2020-04-18 00:33:45.106464965 +0200
+++ /var/tmp/diff_new_pack.eZgH1q/_new  2020-04-18 00:33:45.106464965 +0200
@@ -16,7 +16,7 @@
 #
 
 Name:   sesdev
-Version:1.1.9+1585227448.g3a7e36e
+Version:1.1.10+1587124098.ga2f8189
 Release:1%{?dist}
 Summary:CLI tool to deploy and manage SES clusters
 License:MIT

++ sesdev-1.1.9+1585227448.g3a7e36e.tar.gz -> 
sesdev-1.1.10+1587124098.ga2f8189.tar.gz ++
 3433 lines of diff (skipped)




commit sqlcipher for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package sqlcipher for openSUSE:Factory 
checked in at 2020-04-18 00:31:56

Comparing /work/SRC/openSUSE:Factory/sqlcipher (Old)
 and  /work/SRC/openSUSE:Factory/.sqlcipher.new.2738 (New)


Package is "sqlcipher"

Sat Apr 18 00:31:56 2020 rev:7 rq:794832 version:4.3.0

Changes:

--- /work/SRC/openSUSE:Factory/sqlcipher/sqlcipher.changes  2019-11-26 
16:50:38.544286668 +0100
+++ /work/SRC/openSUSE:Factory/.sqlcipher.new.2738/sqlcipher.changes
2020-04-18 00:33:19.726412410 +0200
@@ -1,0 +2,19 @@
+Fri Apr 17 09:04:13 UTC 2020 - Martin Pluskal 
+
+- Update to version 4.3.0:
+  * Updates baseline to upstream SQLite 3.30.1
+  * PRAGMA key now returns text result value "ok" after execution
+  * Adjusts backup API so that encrypted to encrypted backups are
+permitted
+  * Adds NSS crypto provider implementation
+  * Fixes OpenSSL provider compatibility with BoringSSL
+  * Separates memory related traces to reduce verbosity of logging
+  * Fixes output of PRAGMA cipher_integrity_check on big endian
+platforms
+  * Cryptograpic provider interface cleanup
+  * Rework of mutex allocation and management
+  * Resolves miscellaneous build warnings
+  * Force error state at database pager level if SQLCipher
+initialization fails
+
+---

Old:

  sqlcipher-4.2.0.tar.gz

New:

  sqlcipher-4.3.0.tar.gz



Other differences:
--
++ sqlcipher.spec ++
--- /var/tmp/diff_new_pack.ttCWie/_old  2020-04-18 00:33:20.826414688 +0200
+++ /var/tmp/diff_new_pack.ttCWie/_new  2020-04-18 00:33:20.830414696 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package sqlcipher
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,10 +16,10 @@
 #
 
 
-%define lib_version 3.28.0
-%define lib_name lib%{name}-3_28_0-0
+%define lib_version 3.30.1
+%define lib_name lib%{name}-3_30_1-0
 Name:   sqlcipher
-Version:4.2.0
+Version:4.3.0
 Release:0
 Summary:SQLite database encryption
 License:BSD-3-Clause

++ sqlcipher-4.2.0.tar.gz -> sqlcipher-4.3.0.tar.gz ++
/work/SRC/openSUSE:Factory/sqlcipher/sqlcipher-4.2.0.tar.gz 
/work/SRC/openSUSE:Factory/.sqlcipher.new.2738/sqlcipher-4.3.0.tar.gz differ: 
char 12, line 1




commit urh for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package urh for openSUSE:Factory checked in 
at 2020-04-18 00:32:15

Comparing /work/SRC/openSUSE:Factory/urh (Old)
 and  /work/SRC/openSUSE:Factory/.urh.new.2738 (New)


Package is "urh"

Sat Apr 18 00:32:15 2020 rev:33 rq:794862 version:2.8.6

Changes:

--- /work/SRC/openSUSE:Factory/urh/urh.changes  2020-03-25 23:47:17.788068216 
+0100
+++ /work/SRC/openSUSE:Factory/.urh.new.2738/urh.changes2020-04-18 
00:33:31.522436836 +0200
@@ -1,0 +2,10 @@
+Fri Apr 17 09:01:44 UTC 2020 - Martin Hauke 
+
+- Update to version 2.8.6
+  * remove superfluous os.join
+  * Improve appicon_big
+  * New logo and icon (#757)
+  * fix attribute assignment
+  * use more recent UHD version
+
+---

Old:

  urh-2.8.5.tar.gz

New:

  urh-2.8.6.tar.gz



Other differences:
--
++ urh.spec ++
--- /var/tmp/diff_new_pack.P9u51U/_old  2020-04-18 00:33:32.390438634 +0200
+++ /var/tmp/diff_new_pack.P9u51U/_new  2020-04-18 00:33:32.390438634 +0200
@@ -18,7 +18,7 @@
 
 
 Name:   urh
-Version:2.8.5
+Version:2.8.6
 Release:0
 Summary:Tool for investigating unknown wireless protocols
 License:GPL-3.0-only

++ urh-2.8.5.tar.gz -> urh-2.8.6.tar.gz ++
/work/SRC/openSUSE:Factory/urh/urh-2.8.5.tar.gz 
/work/SRC/openSUSE:Factory/.urh.new.2738/urh-2.8.6.tar.gz differ: char 14, line 
1




commit latte-dock for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package latte-dock for openSUSE:Factory 
checked in at 2020-04-18 00:31:38

Comparing /work/SRC/openSUSE:Factory/latte-dock (Old)
 and  /work/SRC/openSUSE:Factory/.latte-dock.new.2738 (New)


Package is "latte-dock"

Sat Apr 18 00:31:38 2020 rev:23 rq:794838 version:0.9.11

Changes:

--- /work/SRC/openSUSE:Factory/latte-dock/latte-dock.changes2020-03-29 
14:28:13.538175127 +0200
+++ /work/SRC/openSUSE:Factory/.latte-dock.new.2738/latte-dock.changes  
2020-04-18 00:33:01.318374293 +0200
@@ -1,0 +2,9 @@
+Wed Apr 15 10:35:27 UTC 2020 - wba...@tmo.at
+
+- Update to 0.9.11
+  * Fix context menu for classic systray items such as Viber and
+Telegram (kde#419263)
+  * Fix compatibility with KDE Frameworks 5.38 (kde#419657,
+kde#419678)
+
+---

Old:

  latte-dock-0.9.10.tar.xz

New:

  latte-dock-0.9.11.tar.xz



Other differences:
--
++ latte-dock.spec ++
--- /var/tmp/diff_new_pack.QtQouz/_old  2020-04-18 00:33:02.318376363 +0200
+++ /var/tmp/diff_new_pack.QtQouz/_new  2020-04-18 00:33:02.322376372 +0200
@@ -19,7 +19,7 @@
 
 %define kf5_version 5.38.0
 Name:   latte-dock
-Version:0.9.10
+Version:0.9.11
 Release:0
 Summary:Task manager
 License:GPL-2.0-or-later

++ latte-dock-0.9.10.tar.xz -> latte-dock-0.9.11.tar.xz ++
 5145 lines of diff (skipped)




commit python-DataProperty for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package python-DataProperty for 
openSUSE:Factory checked in at 2020-04-18 00:31:31

Comparing /work/SRC/openSUSE:Factory/python-DataProperty (Old)
 and  /work/SRC/openSUSE:Factory/.python-DataProperty.new.2738 (New)


Package is "python-DataProperty"

Sat Apr 18 00:31:31 2020 rev:4 rq:794824 version:0.48.1

Changes:

--- /work/SRC/openSUSE:Factory/python-DataProperty/python-DataProperty.changes  
2020-03-25 23:49:48.772028247 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-DataProperty.new.2738/python-DataProperty.changes
2020-04-18 00:32:52.482355997 +0200
@@ -1,0 +2,9 @@
+Fri Apr 17 08:41:37 UTC 2020 - Marketa Calabkova 
+
+- Update to version 0.48.1
+  * Drop Python 2 support
+  * Add metaclass to AbstractContainer class
+  * Improve dictionary type detection (=bump dependencies)
+  * Small fixes
+
+---

Old:

  DataProperty-0.46.4.tar.gz

New:

  DataProperty-0.48.1.tar.gz



Other differences:
--
++ python-DataProperty.spec ++
--- /var/tmp/diff_new_pack.mURtca/_old  2020-04-18 00:32:53.078357231 +0200
+++ /var/tmp/diff_new_pack.mURtca/_new  2020-04-18 00:32:53.082357239 +0200
@@ -17,8 +17,9 @@
 
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
+%define skip_python2 1
 Name:   python-DataProperty
-Version:0.46.4
+Version:0.48.1
 Release:0
 Summary:Python library for extract property from data
 License:MIT
@@ -28,28 +29,17 @@
 BuildRequires:  %{python_module setuptools >= 38.3.0}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
-Requires:   python-mbstrdecoder >= 0.8.3
-Requires:   python-setuptools >= 38.3.0
-Requires:   python-six >= 1.10.0
-Requires:   python-typepy >= 0.6.4
+Requires:   python-mbstrdecoder >= 1.0.0
+Requires:   python-typepy >= 1.1.0
 BuildArch:  noarch
 # SECTION test requirements
-BuildRequires:  %{python_module mbstrdecoder >= 0.8.3}
+BuildRequires:  %{python_module mbstrdecoder >= 1.0.0}
 BuildRequires:  %{python_module pytest}
 BuildRequires:  %{python_module python-dateutil >= 2.8.0}
 BuildRequires:  %{python_module pytz >= 2018.9}
-BuildRequires:  %{python_module six >= 1.10.0}
 BuildRequires:  %{python_module termcolor}
-BuildRequires:  %{python_module typepy >= 0.6.4}
-BuildRequires:  python-enum34
-BuildRequires:  python-futures
-BuildRequires:  python-ipaddress
+BuildRequires:  %{python_module typepy >= 1.1.0}
 # /SECTION
-%ifpython2
-Requires:   python-enum34
-Requires:   python-futures
-Requires:   python-ipaddress
-%endif
 %python_subpackages
 
 %description

++ DataProperty-0.46.4.tar.gz -> DataProperty-0.48.1.tar.gz ++
 3199 lines of diff (skipped)




commit gsequencer for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package gsequencer for openSUSE:Factory 
checked in at 2020-04-18 00:30:27

Comparing /work/SRC/openSUSE:Factory/gsequencer (Old)
 and  /work/SRC/openSUSE:Factory/.gsequencer.new.2738 (New)


Package is "gsequencer"

Sat Apr 18 00:30:27 2020 rev:62 rq:794773 version:3.2.15

Changes:

--- /work/SRC/openSUSE:Factory/gsequencer/gsequencer.changes2020-04-11 
23:47:04.415113284 +0200
+++ /work/SRC/openSUSE:Factory/.gsequencer.new.2738/gsequencer.changes  
2020-04-18 00:32:20.146289038 +0200
@@ -1,0 +2,21 @@
+Thu Apr 16 19:32:47 UTC 2020 - Joël Krähemann 
+
+- new upstream v3.2.15 improved AgsDial of AgsEffectBulk,
+  AgsEffectLine and AgsLine to apply page-size of adjustments.
+- improved AgsTurtle to check against unichar ranges.
+- improved AgsNotationEditor to queue resize.
+- other improvements.
+
+---
+Wed Apr 15 09:53:27 UTC 2020 - Joël Krähemann 
+
+- new upstream v3.2.14 fixed potential NULL pointer dereference and
+  wrong midi-end-mapping of AgsSimpleFile.
+
+---
+Mon Apr 13 09:50:01 UTC 2020 - Joël Krähemann 
+
+- new upstream v3.2.13 refactored and extended AgsTurtle, fixed
+  greedy ags-lv2 and ags-dssi recall.
+
+---

Old:

  gsequencer-3.2.10.tar.gz

New:

  gsequencer-3.2.15.tar.gz



Other differences:
--
++ gsequencer.spec ++
--- /var/tmp/diff_new_pack.sXjiQI/_old  2020-04-18 00:32:21.426291689 +0200
+++ /var/tmp/diff_new_pack.sXjiQI/_new  2020-04-18 00:32:21.430291696 +0200
@@ -22,7 +22,7 @@
 # activated with --with run_functional_tests command line switch.
 %bcond_with run_functional_tests
 Name:   gsequencer
-Version:3.2.10
+Version:3.2.15
 Release:0
 Summary:Audio processing engine
 License:GPL-3.0-or-later AND AGPL-3.0-or-later AND GFDL-1.3-only

++ gsequencer-3.2.10.tar.gz -> gsequencer-3.2.15.tar.gz ++
/work/SRC/openSUSE:Factory/gsequencer/gsequencer-3.2.10.tar.gz 
/work/SRC/openSUSE:Factory/.gsequencer.new.2738/gsequencer-3.2.15.tar.gz 
differ: char 12, line 1




commit livecd-openSUSE for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package livecd-openSUSE for openSUSE:Factory 
checked in at 2020-04-18 00:31:45

Comparing /work/SRC/openSUSE:Factory/livecd-openSUSE (Old)
 and  /work/SRC/openSUSE:Factory/.livecd-openSUSE.new.2738 (New)


Package is "livecd-openSUSE"

Sat Apr 18 00:31:45 2020 rev:103 rq:794849 version:unknown

Changes:

--- /work/SRC/openSUSE:Factory/livecd-openSUSE/livecd-openSUSE.changes  
2020-04-08 12:20:17.829538165 +0200
+++ 
/work/SRC/openSUSE:Factory/.livecd-openSUSE.new.2738/livecd-openSUSE.changes
2020-04-18 00:33:09.602391447 +0200
@@ -1,0 +2,6 @@
+Fri Apr 17 09:25:33 UTC 2020 - Fabian Vogt 
+
+- list-common: Ignore xorg-x11-fonts, LO no longer needs it
+- pkg-diff.sh: Also compare versions
+
+---



Other differences:
--
++ livecd-leap-gnome.kiwi ++
--- /var/tmp/diff_new_pack.LFA5RA/_old  2020-04-18 00:33:11.262394884 +0200
+++ /var/tmp/diff_new_pack.LFA5RA/_new  2020-04-18 00:33:11.262394884 +0200
@@ -215,6 +215,8 @@
 
 
 
+
+
 
 
 

++ livecd-leap-kde.kiwi ++
--- /var/tmp/diff_new_pack.LFA5RA/_old  2020-04-18 00:33:11.282394925 +0200
+++ /var/tmp/diff_new_pack.LFA5RA/_new  2020-04-18 00:33:11.286394934 +0200
@@ -215,6 +215,8 @@
 
 
 
+
+
 
 
 
@@ -437,8 +439,6 @@
 
 
 
-
-
 
 
 

++ livecd-leap-x11.kiwi ++
--- /var/tmp/diff_new_pack.LFA5RA/_old  2020-04-18 00:33:11.302394967 +0200
+++ /var/tmp/diff_new_pack.LFA5RA/_new  2020-04-18 00:33:11.302394967 +0200
@@ -215,6 +215,8 @@
 
 
 
+
+
 
 
 
@@ -466,8 +468,6 @@
 
 
 
-
-
 
 
 

++ livecd-tumbleweed-gnome.kiwi ++
--- /var/tmp/diff_new_pack.LFA5RA/_old  2020-04-18 00:33:11.334395033 +0200
+++ /var/tmp/diff_new_pack.LFA5RA/_new  2020-04-18 00:33:11.338395041 +0200
@@ -215,6 +215,8 @@
 
 
 
+
+
 
 
 

++ livecd-tumbleweed-kde.kiwi ++
--- /var/tmp/diff_new_pack.LFA5RA/_old  2020-04-18 00:33:11.358395083 +0200
+++ /var/tmp/diff_new_pack.LFA5RA/_new  2020-04-18 00:33:11.358395083 +0200
@@ -215,6 +215,8 @@
 
 
 
+
+
 
 
 
@@ -437,8 +439,6 @@
 
 
 
-
-
 
 
 

++ livecd-tumbleweed-x11.kiwi ++
--- /var/tmp/diff_new_pack.LFA5RA/_old  2020-04-18 00:33:11.378395124 +0200
+++ /var/tmp/diff_new_pack.LFA5RA/_new  2020-04-18 00:33:11.378395124 +0200
@@ -215,6 +215,8 @@
 
 
 
+
+
 
 
 
@@ -466,8 +468,6 @@
 
 
 
-
-
 
 
 

++ livecd-tumbleweed-xfce.kiwi ++
--- /var/tmp/diff_new_pack.LFA5RA/_old  2020-04-18 00:33:11.406395183 +0200
+++ /var/tmp/diff_new_pack.LFA5RA/_new  2020-04-18 00:33:11.410395190 +0200
@@ -215,6 +215,8 @@
 
 
 
+
+
 
 
 

++ list-common.sh ++
--- /var/tmp/diff_new_pack.LFA5RA/_old  2020-04-18 00:33:11.494395365 +0200
+++ /var/tmp/diff_new_pack.LFA5RA/_new  2020-04-18 00:33:11.498395372 +0200
@@ -94,6 +94,7 @@
 buildignore efont-unicode-bitmap-fonts
 buildignore baekmuk-bitmap-fonts
 buildignore intlfonts-chinese-big-bitmap-fonts
+buildignore xorg-x11-fonts
 
 buildignore strace
 buildignore tcsh

++ list-kde.sh ++
--- /var/tmp/diff_new_pack.LFA5RA/_old  2020-04-18 00:33:11.546395472 +0200
+++ /var/tmp/diff_new_pack.LFA5RA/_new  2020-04-18 00:33:11.550395481 +0200
@@ -19,8 +19,6 @@
 buildignore libreoffice
 buildignore libreoffice-icon-themes
 buildignore libreoffice-icon-theme-breeze
-# Required by LO, but otherwise too large
-buildignore xorg-x11-fonts
 buildignore kdenetwork4-filesharing
 buildignore gnome-keyring
 

++ list-x11.sh ++
--- /var/tmp/diff_new_pack.LFA5RA/_old  2020-04-18 00:33:11.566395514 +0200
+++ /var/tmp/diff_new_pack.LFA5RA/_new  2020-04-18 00:33:11.566395514 +0200
@@ -30,7 +30,6 @@
 buildignore awesfx
 buildignore sbl
 buildignore gnome-online-accounts
-buildignore xorg-x11-fonts
 buildignore snapper
 
 buildignore Mesa-libva

++ pkg-diff.sh ++
--- /var/tmp/diff_new_pack.LFA5RA/_old  2020-04-18 00:33:11.614395613 +0200
+++ /var/tmp/diff_new_pack.LFA5RA/_new  2020-04-18 00:33:11.614395613 +0200
@@ -14,7 +14,7 @@
local arch=$4
local binaryname=$(osc ls -b ${project} ${package} -a ${arch} -r 
${repo} | grep .packages | xargs)
 
-   osc api /build/${project}/${repo}/${arch}/${package}/${binaryname} | 
awk -F\| '{ print $1 }' | sort -u
+   osc api /build/${project}/${repo}/${arch}/${package}/${binaryname} | 
awk -F\| '{ print printf "%s-%s-%s\n", $1, $3, $4 }' | sort -u
 }
 
 tmpdir=$(mktemp -d)




commit python-typepy for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package python-typepy for openSUSE:Factory 
checked in at 2020-04-18 00:31:35

Comparing /work/SRC/openSUSE:Factory/python-typepy (Old)
 and  /work/SRC/openSUSE:Factory/.python-typepy.new.2738 (New)


Package is "python-typepy"

Sat Apr 18 00:31:35 2020 rev:4 rq:794848 version:1.1.0

Changes:

--- /work/SRC/openSUSE:Factory/python-typepy/python-typepy.changes  
2020-03-30 23:02:46.176154853 +0200
+++ /work/SRC/openSUSE:Factory/.python-typepy.new.2738/python-typepy.changes
2020-04-18 00:32:55.942363161 +0200
@@ -1,0 +2,8 @@
+Fri Apr 17 09:22:56 UTC 2020 - Martin Hauke 
+
+- Update to version 1.1.0
+  * Improve type annotations
+  * Improve dictionary type detection
+  * Rename a type from Binary to Bytes
+
+---

Old:

  typepy-1.0.0.tar.gz

New:

  typepy-1.1.0.tar.gz



Other differences:
--
++ python-typepy.spec ++
--- /var/tmp/diff_new_pack.gAYDA4/_old  2020-04-18 00:32:57.538366466 +0200
+++ /var/tmp/diff_new_pack.gAYDA4/_new  2020-04-18 00:32:57.542366474 +0200
@@ -19,7 +19,7 @@
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 %define skip_python2 1
 Name:   python-typepy
-Version:1.0.0
+Version:1.1.0
 Release:0
 Summary:Python library for run time variable type checker 
 License:MIT
@@ -29,7 +29,7 @@
 BuildRequires:  %{python_module setuptools >= 38.3.0}
 BuildRequires:  python-rpm-macros
 # SECTION test requirements
-BuildRequires:  %{python_module mbstrdecoder >= 0.8.3}
+BuildRequires:  %{python_module mbstrdecoder >= 1.0.0}
 BuildRequires:  %{python_module pytest-runner}
 BuildRequires:  %{python_module python-dateutil >= 2.8.0}
 BuildRequires:  %{python_module pytz >= 2018.9}
@@ -37,7 +37,7 @@
 BuildRequires:  %{python_module termcolor}
 # /SECTION
 BuildRequires:  fdupes
-Requires:   python-mbstrdecoder >= 0.8.3
+Requires:   python-mbstrdecoder >= 1.0.0
 Requires:   python-setuptools >= 38.3.0
 Requires:   python-six >= 1.10.0
 Suggests:   python-python-dateutil >= 2.8.0

++ typepy-1.0.0.tar.gz -> typepy-1.1.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/typepy-1.0.0/PKG-INFO new/typepy-1.1.0/PKG-INFO
--- old/typepy-1.0.0/PKG-INFO   2020-03-29 16:00:25.129839000 +0200
+++ new/typepy-1.1.0/PKG-INFO   2020-04-15 18:06:04.803363600 +0200
@@ -1,6 +1,6 @@
 Metadata-Version: 2.1
 Name: typepy
-Version: 1.0.0
+Version: 1.1.0
 Summary: typepy is a Python library for variable type 
checker/validator/converter at a run time.
 Home-page: https://github.com/thombashi/typepy
 Author: Tsuyoshi Hombashi
@@ -207,7 +207,7 @@
 
 Keywords: library,type-checking,type-conversion,validator
 Platform: UNKNOWN
-Classifier: Development Status :: 4 - Beta
+Classifier: Development Status :: 5 - Production/Stable
 Classifier: Intended Audience :: Developers
 Classifier: Intended Audience :: Information Technology
 Classifier: License :: OSI Approved :: MIT License
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/typepy-1.0.0/requirements/requirements.txt 
new/typepy-1.1.0/requirements/requirements.txt
--- old/typepy-1.0.0/requirements/requirements.txt  2020-03-28 
16:07:08.0 +0100
+++ new/typepy-1.1.0/requirements/requirements.txt  2020-04-04 
17:00:25.0 +0200
@@ -1 +1 @@
-mbstrdecoder>=0.8.3,<2
+mbstrdecoder>=1.0.0,<2
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/typepy-1.0.0/setup.py new/typepy-1.1.0/setup.py
--- old/typepy-1.0.0/setup.py   2020-03-29 15:51:56.0 +0200
+++ new/typepy-1.1.0/setup.py   2020-03-29 16:10:12.0 +0200
@@ -71,7 +71,7 @@
 setup_requires=SETUPTOOLS_REQUIRES,
 extras_require={"datetime": DATETIME_REQUIRES, "test": tests_requires + 
DATETIME_REQUIRES},
 classifiers=[
-"Development Status :: 4 - Beta",
+"Development Status :: 5 - Production/Stable",
 "Intended Audience :: Developers",
 "Intended Audience :: Information Technology",
 "License :: OSI Approved :: MIT License",
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/typepy-1.0.0/test/checker/test_checker_binary.py 
new/typepy-1.1.0/test/checker/test_checker_binary.py
--- old/typepy-1.0.0/test/checker/test_checker_binary.py2020-03-28 
16:22:00.0 +0100
+++ new/typepy-1.1.0/test/checker/test_checker_binary.py1970-01-01 
01:00:00.0 +0100
@@ -1,35 +0,0 @@
-"""
-.. codeauthor:: Tsuyoshi Hombashi 
-"""
-
-import itertools
-import sys
-
-import pytest
-

commit python-colander for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package python-colander for openSUSE:Factory 
checked in at 2020-04-18 00:31:00

Comparing /work/SRC/openSUSE:Factory/python-colander (Old)
 and  /work/SRC/openSUSE:Factory/.python-colander.new.2738 (New)


Package is "python-colander"

Sat Apr 18 00:31:00 2020 rev:6 rq:794806 version:1.7.0

Changes:

--- /work/SRC/openSUSE:Factory/python-colander/python-colander.changes  
2020-01-19 20:58:09.644073042 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-colander.new.2738/python-colander.changes
2020-04-18 00:32:29.746308916 +0200
@@ -1,0 +2,5 @@
+Fri Apr 17 08:10:18 UTC 2020 - Matej Cepl 
+
+- Add fix-tests.patch allowing use of pytest (gh#Pylons/colander#210)
+
+---

New:

  fix-tests.patch



Other differences:
--
++ python-colander.spec ++
--- /var/tmp/diff_new_pack.ur5iRZ/_old  2020-04-18 00:32:30.630310747 +0200
+++ /var/tmp/diff_new_pack.ur5iRZ/_new  2020-04-18 00:32:30.630310747 +0200
@@ -25,6 +25,9 @@
 License:BSD-4-Clause AND ZPL-2.1 AND MIT
 URL:https://github.com/Pylons/colander
 Source: 
https://files.pythonhosted.org/packages/source/c/colander/colander-%{version}.tar.gz
+# PATCH-FIX-UPSTREAM fix-tests.patch gh#Pylons/colander#210 mc...@suse.com
+# Fix tests to work with pytest (and nose2) as well
+Patch0: fix-tests.patch
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  %{python_module translationstring}
 BuildRequires:  fdupes
@@ -41,9 +44,9 @@
 BuildRequires:  %{python_module coverage}
 BuildRequires:  %{python_module hupper}
 BuildRequires:  %{python_module iso8601}
-BuildRequires:  %{python_module nose}
 BuildRequires:  %{python_module plaster-pastedeploy}
 BuildRequires:  %{python_module plaster}
+BuildRequires:  %{python_module pytest}
 # /SECTION
 %python_subpackages
 
@@ -82,6 +85,7 @@
 
 %prep
 %setup -q -n colander-%{version}
+%autopatch -p1
 
 %build
 %python_build
@@ -94,7 +98,7 @@
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 
 %check
-%python_exec setup.py nosetests --with-coverage
+%pytest
 
 %files %{python_files}
 %license LICENSE.txt

++ fix-tests.patch ++
--- a/colander/tests/test_colander.py
+++ b/colander/tests/test_colander.py
@@ -4156,7 +4156,7 @@ class TestTupleSchema(unittest.TestCase)
 self.assertEqual(schema.children[0], node)
 
 
-class TestFunctional(object):
+class FunctionalBase(object):
 def test_deserialize_ok(self):
 import colander.tests
 
@@ -4433,7 +4433,7 @@ class TestFunctional(object):
 self.assertEqual(errors, expected)
 
 
-class TestImperative(unittest.TestCase, TestFunctional):
+class TestImperative(unittest.TestCase, FunctionalBase):
 def _makeSchema(self, name='schema'):
 import colander
 
@@ -4472,7 +4472,7 @@ class TestImperative(unittest.TestCase,
 return schema
 
 
-class TestDeclarative(unittest.TestCase, TestFunctional):
+class TestDeclarative(unittest.TestCase, FunctionalBase):
 def _makeSchema(self, name='schema'):
 import colander
 
@@ -4503,7 +4503,7 @@ class TestDeclarative(unittest.TestCase,
 return schema
 
 
-class TestUltraDeclarative(unittest.TestCase, TestFunctional):
+class TestUltraDeclarative(unittest.TestCase, FunctionalBase):
 def _makeSchema(self, name='schema'):
 import colander
 
@@ -4547,7 +4547,7 @@ class TestUltraDeclarative(unittest.Test
 return schema
 
 
-class TestDeclarativeWithInstantiate(unittest.TestCase, TestFunctional):
+class TestDeclarativeWithInstantiate(unittest.TestCase, FunctionalBase):
 def _makeSchema(self, name='schema'):
 import colander
 



commit barrier for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package barrier for openSUSE:Factory checked 
in at 2020-04-18 00:30:37

Comparing /work/SRC/openSUSE:Factory/barrier (Old)
 and  /work/SRC/openSUSE:Factory/.barrier.new.2738 (New)


Package is "barrier"

Sat Apr 18 00:30:37 2020 rev:2 rq:794796 version:2.3.2

Changes:

--- /work/SRC/openSUSE:Factory/barrier/barrier.changes  2020-04-08 
19:55:17.997062743 +0200
+++ /work/SRC/openSUSE:Factory/.barrier.new.2738/barrier.changes
2020-04-18 00:32:21.798292458 +0200
@@ -1,0 +2,6 @@
+Fri Apr 17 02:03:27 UTC 2020 - Simon Lees 
+
+- Drop Provides and Obsoletes for synergy (for now) not quite ready
+  to migrate users yet.
+
+---



Other differences:
--
++ barrier.spec ++
--- /var/tmp/diff_new_pack.3t1t7L/_old  2020-04-18 00:32:22.322293544 +0200
+++ /var/tmp/diff_new_pack.3t1t7L/_new  2020-04-18 00:32:22.326293552 +0200
@@ -42,8 +42,8 @@
 BuildRequires:  pkgconfig(x11)
 BuildRequires:  pkgconfig(xinerama)
 BuildRequires:  pkgconfig(xtst)
-Provides:   synergy = %{version}
-Obsoletes:  synergy < %{version}
+#Provides:   synergy = %{version}
+#Obsoletes:  synergy < %{version}
 %{?systemd_ordering}
 
 %description




commit remmina for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package remmina for openSUSE:Factory checked 
in at 2020-04-18 00:31:19

Comparing /work/SRC/openSUSE:Factory/remmina (Old)
 and  /work/SRC/openSUSE:Factory/.remmina.new.2738 (New)


Package is "remmina"

Sat Apr 18 00:31:19 2020 rev:50 rq:794813 version:1.4.3

Changes:

--- /work/SRC/openSUSE:Factory/remmina/remmina.changes  2020-04-15 
19:54:47.885607191 +0200
+++ /work/SRC/openSUSE:Factory/.remmina.new.2738/remmina.changes
2020-04-18 00:32:41.194332622 +0200
@@ -1,0 +2,10 @@
+Thu Apr 16 08:46:52 UTC 2020 - Johannes Weberhofer 
+
+- Update to release 1.4.3
+
+  * KB grabbing fixes (mostly for Wayland)
+  * Adding Freerdp 3 compile option and using FreeRDP tag 2.0.0 as default
+  * Adding remmina terminal dependencies
+  * Updated translations
+
+---

Old:

  Remmina-v1.4.2.tar.bz2

New:

  Remmina-v1.4.3.tar.bz2



Other differences:
--
++ remmina.spec ++
--- /var/tmp/diff_new_pack.E59ExN/_old  2020-04-18 00:32:42.058334411 +0200
+++ /var/tmp/diff_new_pack.E59ExN/_new  2020-04-18 00:32:42.062334420 +0200
@@ -18,7 +18,7 @@
 
 %bcond_with nx
 Name:   remmina
-Version:1.4.2
+Version:1.4.3
 Release:0
 Summary:Versatile Remote Desktop Client
 License:GPL-2.0-or-later

++ Remmina-v1.4.2.tar.bz2 -> Remmina-v1.4.3.tar.bz2 ++
 14120 lines of diff (skipped)




commit python-social-auth-core for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package python-social-auth-core for 
openSUSE:Factory checked in at 2020-04-18 00:31:11

Comparing /work/SRC/openSUSE:Factory/python-social-auth-core (Old)
 and  /work/SRC/openSUSE:Factory/.python-social-auth-core.new.2738 (New)


Package is "python-social-auth-core"

Sat Apr 18 00:31:11 2020 rev:9 rq:794808 version:3.3.3

Changes:

--- 
/work/SRC/openSUSE:Factory/python-social-auth-core/python-social-auth-core.changes
  2020-03-27 22:01:51.930952182 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-social-auth-core.new.2738/python-social-auth-core.changes
2020-04-18 00:32:32.398314408 +0200
@@ -1,0 +2,8 @@
+Fri Apr 17 07:17:50 UTC 2020 - Tomáš Chvátal 
+
+- Update to 3.3.3:
+  * Reverted PR #388 due to dependency license incompatibility
+  * Updated package upload method to use twine
+  * Updated list of default user protected fields to include admin flags and 
password
+
+---

Old:

  social-auth-core-3.3.0.tar.gz

New:

  social-auth-core-3.3.3.tar.gz



Other differences:
--
++ python-social-auth-core.spec ++
--- /var/tmp/diff_new_pack.wBmYKm/_old  2020-04-18 00:32:33.934317588 +0200
+++ /var/tmp/diff_new_pack.wBmYKm/_new  2020-04-18 00:32:33.934317588 +0200
@@ -19,7 +19,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-social-auth-core
-Version:3.3.0
+Version:3.3.3
 Release:0
 Summary:Python Social Auth Core
 License:BSD-3-Clause
@@ -49,7 +49,6 @@
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
 BuildRequires:  python2-python-openid >= 2.2.5
-BuildRequires:  python3 >= 3.4.0
 BuildRequires:  python3-defusedxml >= 0.5.0
 BuildRequires:  python3-python3-openid >= 3.0.10
 Requires:   python-PyJWT >= 1.4.0
@@ -60,15 +59,14 @@
 Requires:   python-requests >= 2.9.1
 Requires:   python-requests-oauthlib >= 0.6.1
 Requires:   python-six >= 1.10.0
-Suggests:   python-python3-saml
 BuildArch:  noarch
 %ifpython2
 Requires:   python2-python-openid >= 2.2.5
 %endif
 %ifpython3
-Requires:   python3 >= 3.4.0
 Requires:   python3-defusedxml >= 0.5.0
 Requires:   python3-python3-openid >= 3.0.10
+Recommends: python-python3-saml
 %endif
 %python_subpackages
 
@@ -95,8 +93,9 @@
 
 %check
 # python3 only: assertRaisesRegexp -> assertRaisesRegex
+# skipped tests are online based
 rm -r _build.python2
-python3 -m pytest
+python3 -m pytest -v -k 'not (test_login or test_partial_pipeline)'
 
 %files %{python_files}
 %doc CHANGELOG.md README.md

++ social-auth-core-3.3.0.tar.gz -> social-auth-core-3.3.3.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/social-auth-core-3.3.0/CHANGELOG.md 
new/social-auth-core-3.3.3/CHANGELOG.md
--- old/social-auth-core-3.3.0/CHANGELOG.md 2020-03-17 20:33:36.0 
+0100
+++ new/social-auth-core-3.3.3/CHANGELOG.md 2020-04-02 21:47:06.0 
+0200
@@ -7,6 +7,20 @@
 
 ## 
[Unreleased](https://github.com/python-social-auth/social-core/commits/master)
 
+### Changed
+- Updated list of default user protected fields to include admin flags and 
password
+
+## 
[3.3.2](https://github.com/python-social-auth/social-core/releases/tag/3.3.2) - 
2020-03-25
+
+### Changed
+- Updated package upload method to use `twine`
+
+## 
[3.3.1](https://github.com/python-social-auth/social-core/releases/tag/3.3.1) - 
2020-03-25
+
+### Changed
+- Reverted [PR 
#388](https://github.com/python-social-auth/social-core/pull/388/) due to
+  dependency license incompatibility
+
 ## 
[3.3.0](https://github.com/python-social-auth/social-core/releases/tag/3.3.0) - 
2020-03-17
 
 ### Added
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/social-auth-core-3.3.0/PKG-INFO 
new/social-auth-core-3.3.3/PKG-INFO
--- old/social-auth-core-3.3.0/PKG-INFO 2020-03-17 20:35:54.954877900 +0100
+++ new/social-auth-core-3.3.3/PKG-INFO 2020-04-02 23:29:34.255384200 +0200
@@ -1,6 +1,6 @@
 Metadata-Version: 2.1
 Name: social-auth-core
-Version: 3.3.0
+Version: 3.3.3
 Summary: Python social authentication made simple.
 Home-page: https://github.com/python-social-auth/social-core
 Author: Matias Aguirre
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/social-auth-core-3.3.0/requirements-python2.txt 
new/social-auth-core-3.3.3/requirements-python2.txt
--- old/social-auth-core-3.3.0/requirements-python2.txt 2020-02-09 
06:08:29.0 +0100
+++ new/social-auth-core-3.3.3/requirements-python2.txt 2020-03-25 
16:01:59.0 +0100
@@ -1,3 +1,2 @@
 

commit python-Chameleon for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package python-Chameleon for 
openSUSE:Factory checked in at 2020-04-18 00:30:48

Comparing /work/SRC/openSUSE:Factory/python-Chameleon (Old)
 and  /work/SRC/openSUSE:Factory/.python-Chameleon.new.2738 (New)


Package is "python-Chameleon"

Sat Apr 18 00:30:48 2020 rev:9 rq:794803 version:3.7.0

Changes:

--- /work/SRC/openSUSE:Factory/python-Chameleon/python-Chameleon.changes
2019-07-22 17:18:26.713955853 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-Chameleon.new.2738/python-Chameleon.changes  
2020-04-18 00:32:24.974299036 +0200
@@ -1,0 +2,12 @@
+Fri Apr 17 08:04:30 UTC 2020 - Marketa Calabkova 
+
+- Update to 3.7.0
+  *  Fixed garbage collection issue with variable scope objects (issue #301).
+  *  Fixed issue where setting a global variable would not be available 
locally.
+  *  A RepeatDict no longer inherits from dict since it does not actually 
provide 
+ that interface in a meaningful way.
+  *  Added feature gate enable_comment_interpolation which controls whether 
+ expression interpolation is enabled inside HTML comments (default is 
enabled).
+  *  Added support for Python 3.6+ f-strings (issue #294).
+
+---

Old:

  Chameleon-3.6.2.tar.gz

New:

  Chameleon-3.7.0.tar.gz



Other differences:
--
++ python-Chameleon.spec ++
--- /var/tmp/diff_new_pack.lSpiDM/_old  2020-04-18 00:32:25.738300617 +0200
+++ /var/tmp/diff_new_pack.lSpiDM/_new  2020-04-18 00:32:25.742300626 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-Chameleon
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,13 +18,13 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-Chameleon
-Version:3.6.2
+Version:3.7.0
 Release:0
 Summary:Fast HTML/XML Template Compiler
 License:BSD-3-Clause AND BSD-4-Clause AND Python-2.0 AND ZPL-2.1
 Group:  Development/Languages/Python
 URL:https://github.com/malthe/chameleon
-Source: 
https://files.pythonhosted.org/packages/source/C/Chameleon/Chameleon-%{version}.tar.gz
+Source: 
https://github.com/malthe/chameleon/archive/%{version}.tar.gz#/Chameleon-%{version}.tar.gz
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
@@ -40,7 +40,7 @@
 version of Python (2.5 and up, including 3.x and pypy).
 
 %prep
-%setup -q -n Chameleon-%{version}
+%setup -q -n chameleon-%{version}
 
 %build
 %python_build

++ Chameleon-3.6.2.tar.gz -> Chameleon-3.7.0.tar.gz ++
 8305 lines of diff (skipped)




commit 000release-packages for openSUSE:Leap:15.2

2020-04-17 Thread root
Hello community,

here is the log from the commit of package 000release-packages for 
openSUSE:Leap:15.2 checked in at 2020-04-18 00:31:17

Comparing /work/SRC/openSUSE:Leap:15.2/000release-packages (Old)
 and  /work/SRC/openSUSE:Leap:15.2/.000release-packages.new.2738 (New)


Package is "000release-packages"

Sat Apr 18 00:31:17 2020 rev:909 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
openSUSE-release.spec: same change
stub.spec: same change
++ weakremovers.inc ++
--- /var/tmp/diff_new_pack.ms6RNG/_old  2020-04-18 00:32:37.458324885 +0200
+++ /var/tmp/diff_new_pack.ms6RNG/_new  2020-04-18 00:32:37.458324885 +0200
@@ -5319,6 +5319,7 @@
 Provides: weakremover(python2-cryptography)
 Provides: weakremover(python2-libxml2-python)
 Provides: weakremover(python2-reportlab)
+Provides: weakremover(python2-rpm)
 Provides: weakremover(python2-tornado)
 Provides: weakremover(python3)
 Provides: weakremover(python3-M2Crypto)
@@ -5342,6 +5343,7 @@
 Provides: weakremover(python3-nghttp2)
 Provides: weakremover(python3-pcp)
 Provides: weakremover(python3-reportlab)
+Provides: weakremover(python3-rpm)
 Provides: weakremover(python3-solv)
 Provides: weakremover(python3-speechd)
 Provides: weakremover(python3-sss-murmur)
@@ -5360,6 +5362,9 @@
 Provides: weakremover(resource-agents)
 Provides: weakremover(rls)
 Provides: weakremover(rpcbind)
+Provides: weakremover(rpm)
+Provides: weakremover(rpm-build)
+Provides: weakremover(rpm-devel)
 Provides: weakremover(rpmlint-mini)
 Provides: weakremover(rsocket)
 Provides: weakremover(rsync)




commit patterns-hpc for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package patterns-hpc for openSUSE:Factory 
checked in at 2020-04-18 00:30:23

Comparing /work/SRC/openSUSE:Factory/patterns-hpc (Old)
 and  /work/SRC/openSUSE:Factory/.patterns-hpc.new.2738 (New)


Package is "patterns-hpc"

Sat Apr 18 00:30:23 2020 rev:13 rq:794788 version:20190218

Changes:

--- /work/SRC/openSUSE:Factory/patterns-hpc/patterns-hpc.changes
2020-03-19 19:54:03.192277159 +0100
+++ /work/SRC/openSUSE:Factory/.patterns-hpc.new.2738/patterns-hpc.changes  
2020-04-18 00:32:16.550281592 +0200
@@ -1,0 +2,5 @@
+Thu Apr 16 15:02:21 UTC 2020 - Christian Goll 
+
+- added iputils to relevant patterns (bsc#1169484) 
+
+---



Other differences:
--
++ patterns-hpc.spec ++
--- /var/tmp/diff_new_pack.i3D72I/_old  2020-04-18 00:32:17.190282917 +0200
+++ /var/tmp/diff_new_pack.i3D72I/_new  2020-04-18 00:32:17.194282925 +0200
@@ -49,6 +49,8 @@
 Requires:   nfs-client
 Requires:   openssh
 Requires:   sudo
+# Ping is useful on compute nodes (bsc#1169484)
+Requires:   iputils
 
 Recommends: vim
 Recommends: salt-minion
@@ -69,7 +71,7 @@
 
 %description compute_node
 A compute node comprises of a minimal software image and mainly runs 
simulation programs. Services on this node should be reduced to a bare minimum 
and the node *must* be installed in a automatic manner.  
-The pattern 'HPC modularized libraries' should also be installed.
+The pattern 'HPC Modularized libraries' should also be installed.
 
 %files compute_node
 %dir %{_defaultdocdir}/patterns
@@ -79,7 +81,7 @@
 
 %package libraries
 %pattern_serverfunctions
-Summary:HPC modularized Libraries
+Summary:HPC Modularized Libraries
 Group:  Metapackages
 Provides:   pattern() = hpc_libraries
 Provides:   pattern-icon() = pattern-generic
@@ -92,7 +94,7 @@
 
 %description libraries
 This package provides all the modularized libraries so that they can be used 
in an HPC environment. These libraries allow to install several MPI flavors in 
parallel.
-In order to use thess libraries one needs to load them via the module command 
first.
+In order to use these libraries one needs to load them via the module command 
first.
 
 %files libraries
 %dir %{_defaultdocdir}/patterns
@@ -116,6 +118,8 @@
 Recommends: python3-devel
 Requires:   gnu-compilers-hpc-devel
 Requires:   lua-lmod
+# Ping is useful on compute nodes (bsc#1169484)
+Requires:   iputils
 
 # recommend additional development tools
 Recommends: cmake
@@ -126,7 +130,7 @@
 
 %description development_node
 This package provides all the relevant packages for developing HPC 
applications.
-It depends on the pattern 'HPC modularized libraries'. In addition it includes 
the GNU compilers and the relevant management packages.
+It depends on the pattern 'HPC Modularized Libraries'. In addition it includes 
the GNU compilers and the relevant management packages.
 
 %files development_node
 %dir %{_defaultdocdir}/patterns
@@ -141,8 +145,10 @@
 Provides:   pattern-icon() = pattern-generic
 Provides:   pattern-visible()
 
-Recommends: slurm
-Recommends: slurm-slurmdbd
+Requires:   slurm
+Requires:   slurm-slurmdbd
+# Ping is useful on compute nodes (bsc#1169484)
+Requires:   iputils
 Suggests:   mariadb
 
 %description workload_server

++ library-inc.txt ++
--- /var/tmp/diff_new_pack.i3D72I/_old  2020-04-18 00:32:17.230283000 +0200
+++ /var/tmp/diff_new_pack.i3D72I/_new  2020-04-18 00:32:17.230283000 +0200
@@ -1,3 +1,5 @@
+# Ping is useful on compute nodes (bsc#1169484)
+Requires:   iputils
 # Recommend libraries which are in hpc
 Recommends: metis-gnu-hpc
 Recommends: superlu-gnu-hpc




commit 00Meta for openSUSE:Leap:15.2:Images

2020-04-17 Thread root
Hello community,

here is the log from the commit of package 00Meta for openSUSE:Leap:15.2:Images 
checked in at 2020-04-18 00:31:00

Comparing /work/SRC/openSUSE:Leap:15.2:Images/00Meta (Old)
 and  /work/SRC/openSUSE:Leap:15.2:Images/.00Meta.new.2738 (New)


Package is "00Meta"

Sat Apr 18 00:31:00 2020 rev:330 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ version_snapshot ++
--- /var/tmp/diff_new_pack.75VuIp/_old  2020-04-18 00:32:28.598306540 +0200
+++ /var/tmp/diff_new_pack.75VuIp/_new  2020-04-18 00:32:28.598306540 +0200
@@ -1 +1 @@
-28.22
\ No newline at end of file
+29.10
\ No newline at end of file




commit vis for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package vis for openSUSE:Factory checked in 
at 2020-04-18 00:30:20

Comparing /work/SRC/openSUSE:Factory/vis (Old)
 and  /work/SRC/openSUSE:Factory/.vis.new.2738 (New)


Package is "vis"

Sat Apr 18 00:30:20 2020 rev:2 rq:794694 version:0.5+git.1584517720.08a550d

Changes:

--- /work/SRC/openSUSE:Factory/vis/vis.changes  2020-02-27 14:36:38.325945737 
+0100
+++ /work/SRC/openSUSE:Factory/.vis.new.2738/vis.changes2020-04-18 
00:32:14.726277815 +0200
@@ -1,0 +2,10 @@
+Thu Apr 16 22:18:41 UTC 2020 - mc...@cepl.eu
+
+- Update to version 0.5+git.1584517720.08a550d:
+  * color-column: Don't change fg/bg if not set explicitly
+  * Set single cursor style as primary, not secondary
+  * sam: fix X and Y commands which were interchanged
+  * Add Elm lexer
+  * sam: fix spurious "file exists" warnings
+
+---

Old:

  vis-0.5+git.1582699959.bdfea7e.tar.xz

New:

  vis-0.5+git.1584517720.08a550d.tar.xz



Other differences:
--
++ vis.spec ++
--- /var/tmp/diff_new_pack.MF5W1C/_old  2020-04-18 00:32:15.786280010 +0200
+++ /var/tmp/diff_new_pack.MF5W1C/_new  2020-04-18 00:32:15.790280018 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   vis
-Version:0.5+git.1582699959.bdfea7e
+Version:0.5+git.1584517720.08a550d
 Release:0
 Summary:An editor combining the strengths of both vi(m) and sam
 License:ISC

++ _servicedata ++
--- /var/tmp/diff_new_pack.MF5W1C/_old  2020-04-18 00:32:15.854280150 +0200
+++ /var/tmp/diff_new_pack.MF5W1C/_new  2020-04-18 00:32:15.854280150 +0200
@@ -1,4 +1,4 @@
 
 
 https://github.com/martanne/vis.git
-  bdfea7e6c1d1a7ad5b3d479bb2c30c7e610f2ee6
\ No newline at end of file
+  08a550deac6f55f32f131f66992994b3944011ce
\ No newline at end of file

++ vis-0.5+git.1582699959.bdfea7e.tar.xz -> 
vis-0.5+git.1584517720.08a550d.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/vis-0.5+git.1582699959.bdfea7e/lua/lexers/elm.lua 
new/vis-0.5+git.1584517720.08a550d/lua/lexers/elm.lua
--- old/vis-0.5+git.1582699959.bdfea7e/lua/lexers/elm.lua   1970-01-01 
01:00:00.0 +0100
+++ new/vis-0.5+git.1584517720.08a550d/lua/lexers/elm.lua   2020-03-18 
08:48:40.0 +0100
@@ -0,0 +1,64 @@
+-- Copyright 2006-2017 Mitchell mitchell.att.foicica.com. See LICENSE.
+-- Elm LPeg lexer
+-- Modified by Alex Suraci.
+-- Adapted from Haskell LPeg lexer by Karl Schultheisz.
+
+local l = require('lexer')
+local token, word_match = l.token, l.word_match
+local P, R, S = lpeg.P, lpeg.R, lpeg.S
+
+local M = {_NAME = 'elm'}
+
+-- Whitespace.
+local ws = token(l.WHITESPACE, l.space^1)
+
+-- Comments.
+local line_comment = '--' * l.nonnewline_esc^0
+local block_comment = '{-' * (l.any - '-}')^0 * P('-}')^-1
+local comment = token(l.COMMENT, line_comment + block_comment)
+
+-- Strings.
+local string = token(l.STRING, l.delimited_range('"'))
+
+-- Chars.
+local char = token(l.STRING, l.delimited_range("'", true))
+
+-- Numbers.
+local number = token(l.NUMBER, l.float + l.integer)
+
+-- Keywords.
+local keyword = token(l.KEYWORD, word_match{
+   'if', 'then', 'else',
+   'case', 'of',
+   'let', 'in',
+   'module', 'import', 'as', 'exposing',
+   'type', 'alias',
+   'port',
+})
+
+-- Identifiers.
+local word = (l.alnum + S("._'#"))^0
+local identifier = token(l.IDENTIFIER, (l.alpha + '_') * word)
+
+-- Operators.
+local op = l.punct - S('()[]{}')
+local operator = token(l.OPERATOR, op)
+
+-- Types & type constructors.
+local constructor = token(l.TYPE, (l.upper * word) + (P(":") * (op^1 - 
P(":"
+
+M._rules = {
+  {'whitespace', ws},
+  {'keyword', keyword},
+  {'type', constructor},
+  {'identifier', identifier},
+  {'string', string},
+  {'char', char},
+  {'comment', comment},
+  {'number', number},
+  {'operator', operator},
+}
+
+M._FOLDBYINDENTATION = true
+
+return M
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/vis-0.5+git.1582699959.bdfea7e/lua/plugins/filetype.lua 
new/vis-0.5+git.1584517720.08a550d/lua/plugins/filetype.lua
--- old/vis-0.5+git.1582699959.bdfea7e/lua/plugins/filetype.lua 2020-02-26 
07:52:39.0 +0100
+++ new/vis-0.5+git.1584517720.08a550d/lua/plugins/filetype.lua 2020-03-18 
08:48:40.0 +0100
@@ -116,6 +116,9 @@
elixir = {
ext = { "%.ex$", "%.exs$" },
},
+   elm = {
+   ext = { "%.elm$" },
+   },
erlang = {
ext = { "%.erl$", "%.hrl$" },
},
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 

commit 000product for openSUSE:Leap:15.2

2020-04-17 Thread root
Hello community,

here is the log from the commit of package 000product for openSUSE:Leap:15.2 
checked in at 2020-04-18 00:31:27

Comparing /work/SRC/openSUSE:Leap:15.2/000product (Old)
 and  /work/SRC/openSUSE:Leap:15.2/.000product.new.2738 (New)


Package is "000product"

Sat Apr 18 00:31:27 2020 rev:1451 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
openSUSE-cd-mini-x86_64.kiwi: same change
openSUSE-dvd5-dvd-x86_64.kiwi: same change
openSUSE-ftp-ftp-x86_64.kiwi: same change
stub.kiwi: same change
++ unsorted.yml ++
--- /var/tmp/diff_new_pack.JXwHQl/_old  2020-04-18 00:32:50.490351871 +0200
+++ /var/tmp/diff_new_pack.JXwHQl/_new  2020-04-18 00:32:50.490351871 +0200
@@ -11349,6 +11349,7 @@
   - libpapi-32bit 
   - libpapi-hpc 
   - libpapi_5_7_0-hpc 
+  - libparaview5_8 
   - libpari-gmp-tls6 
   - libparlatype-devel 
   - libparlatype1 
@@ -16406,6 +16407,7 @@
   - paranamer-parent 
   - paraview 
   - paraview-devel 
+  - paraview-plugins 
   - paraviewdata 
   - parboiled 
   - parboiled-javadoc 
@@ -22771,6 +22773,7 @@
   - python3-param 
   - python3-parameterized 
   - python3-paramiko 
+  - python3-paraview 
   - python3-parse 
   - python3-parse_type 
   - python3-parsedatetime 




commit python-pika for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package python-pika for openSUSE:Factory 
checked in at 2020-04-18 00:31:24

Comparing /work/SRC/openSUSE:Factory/python-pika (Old)
 and  /work/SRC/openSUSE:Factory/.python-pika.new.2738 (New)


Package is "python-pika"

Sat Apr 18 00:31:24 2020 rev:16 rq:794817 version:1.1.0

Changes:

--- /work/SRC/openSUSE:Factory/python-pika/python-pika.changes  2019-07-23 
22:40:26.082933523 +0200
+++ /work/SRC/openSUSE:Factory/.python-pika.new.2738/python-pika.changes
2020-04-18 00:32:45.398341328 +0200
@@ -1,0 +2,5 @@
+Fri Apr 17 08:48:25 UTC 2020 - Matej Cepl 
+
+- Switch from using nosetest runner to pytest
+
+---



Other differences:
--
++ python-pika.spec ++
--- /var/tmp/diff_new_pack.VNXCOr/_old  2020-04-18 00:32:46.258343108 +0200
+++ /var/tmp/diff_new_pack.VNXCOr/_new  2020-04-18 00:32:46.258343108 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-pika
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -28,7 +28,7 @@
 Source: https://github.com/pika/pika/archive/%{version}.tar.gz
 BuildRequires:  %{python_module Twisted}
 BuildRequires:  %{python_module mock}
-BuildRequires:  %{python_module nose}
+BuildRequires:  %{python_module pytest}
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  %{python_module tornado}
 BuildRequires:  fdupes
@@ -60,7 +60,7 @@
 %python_expand %fdupes %{buildroot}%{$python_sitelib}/*.egg-info
 
 %check
-%python_expand PYTHONPATH="%{buildroot}%{$python_sitelib}" 
nosetests-%{$python_bin_suffix} tests/
+%pytest tests/
 
 %files %{python_files}
 %doc README.rst CHANGELOG.rst




commit python-javaproperties for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package python-javaproperties for 
openSUSE:Factory checked in at 2020-04-18 00:30:06

Comparing /work/SRC/openSUSE:Factory/python-javaproperties (Old)
 and  /work/SRC/openSUSE:Factory/.python-javaproperties.new.2738 (New)


Package is "python-javaproperties"

Sat Apr 18 00:30:06 2020 rev:2 rq:794777 version:0.7.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-javaproperties/python-javaproperties.changes  
2019-12-02 11:38:14.750459475 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-javaproperties.new.2738/python-javaproperties.changes
2020-04-18 00:32:10.722269524 +0200
@@ -1,0 +2,29 @@
+Thu Apr 16 12:19:12 UTC 2020 - pgaj...@suse.com
+
+- version update to 0.7.0
+  v0.7.0 (2020-03-09)
+  ---
+  - `parse()` now accepts strings as input
+  - **Breaking**: `parse()` now returns a generator of custom objects instead 
of
+triples of strings
+  - Gave `PropertiesFile` a settable `timestamp` property
+  - Gave `PropertiesFile` a settable `header_comment` property
+  - Handle unescaping surrogate pairs on narrow Python builds
+  v0.6.0 (2020-02-28)
+  ---
+  - Include changelog in the Read the Docs site
+  - Support Python 3.8
+  - When dumping a value that begins with more than one space, only escape the
+first space in order to better match Java's behavior
+  - Gave `dump()`, `dumps()`, `escape()`, and `join_key_value()` an
+`ensure_ascii` parameter for optionally not escaping non-ASCII characters 
in
+output
+  - Gave `dump()` and `dumps()` an `ensure_ascii_comments` parameter for
+controlling what characters in the `comments` parameter are escaped
+  - Gave `to_comment()` an `ensure_ascii` parameter for controlling what
+characters are escaped
+  - Added a custom encoding error handler `'javapropertiesreplace'` that 
encodes
+invalid characters as `\u` escape sequences
+- really test the package
+
+---

Old:

  javaproperties-0.5.2.tar.gz

New:

  javaproperties-0.7.0.tar.gz



Other differences:
--
++ python-javaproperties.spec ++
--- /var/tmp/diff_new_pack.RIaro6/_old  2020-04-18 00:32:11.366270857 +0200
+++ /var/tmp/diff_new_pack.RIaro6/_new  2020-04-18 00:32:11.370270866 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-javaproperties
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,32 +12,34 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
+#
 
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-javaproperties
-Version:0.5.2
+Version:0.7.0
 Release:0
+Summary:Read & Write Java Properties Files
 License:MIT
-Summary:Read & write Java properties files
-Url:https://github.com/jwodder/javaproperties
 Group:  Development/Languages/Python
+URL:https://github.com/jwodder/javaproperties
 Source: 
https://files.pythonhosted.org/packages/source/j/javaproperties/javaproperties-%{version}.tar.gz
-BuildRequires:  python-rpm-macros
-BuildRequires:  %{python_module devel}
+BuildRequires:  %{python_module pytest-mock >= 2.0}
+BuildRequires:  %{python_module pytest}
+BuildRequires:  %{python_module python-dateutil >= 2.6}
 BuildRequires:  %{python_module setuptools}
-BuildRequires:  %{python_module six >= 1.4}
 BuildRequires:  %{python_module six < 2.0}
+BuildRequires:  %{python_module six >= 1.4}
 BuildRequires:  fdupes
+BuildRequires:  python-rpm-macros
 Requires:   python-six < 2.0
 Requires:   python-six >= 1.4
 BuildArch:  noarch
-
 %python_subpackages
 
 %description
-Read & write Java .properties files
+Read & write Java .properties files.
 
 %prep
 %setup -q -n javaproperties-%{version}
@@ -48,8 +50,12 @@
 %install
 %python_install
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
+
 %check
-%python_exec setup.py test
+sed -i -e '/--cov/d' -e '/--no-cov/d' -e '/--flakes/d' -e 
'/--doctest-modules/d' tox.ini
+export LC_ALL='en_US.UTF-8'
+export TZ=EST5EDT,M3.2.0,M11.1.0
+%pytest test
 
 %files %{python_files}
 %doc CHANGELOG.md README.rst

++ javaproperties-0.5.2.tar.gz -> javaproperties-0.7.0.tar.gz ++
 5169 lines of diff (skipped)




commit meson for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package meson for openSUSE:Factory checked 
in at 2020-04-18 00:29:50

Comparing /work/SRC/openSUSE:Factory/meson (Old)
 and  /work/SRC/openSUSE:Factory/.meson.new.2738 (New)


Package is "meson"

Sat Apr 18 00:29:50 2020 rev:55 rq:790484 version:0.54.0

Changes:

--- /work/SRC/openSUSE:Factory/meson/meson.changes  2020-03-03 
10:14:49.398474456 +0100
+++ /work/SRC/openSUSE:Factory/.meson.new.2738/meson.changes2020-04-18 
00:32:02.638252783 +0200
@@ -1,0 +2,24 @@
+Mon Mar 30 11:18:38 UTC 2020 - Dominique Leuenberger 
+
+- Update to version 0.54.0:
+  + Emscripten (emcc) now supports threads.
+  + Introduce dataonly for the pkgconfig module.
+  + Consistently report file locations relative to cwd.
+  + Native (build machine) compilers not always required.
+  + Add a system type dependency for zlib.
+  + New option --quiet to meson install.
+  + Property support emscripten's wasm-ld.
+  + Support for overiding the linker with ldc and gdc.
+  + Per subproject default_library and werror options.
+  + Ninja version requirement bumped to 1.7.
+  + Added -C argument to meson init command.
+  + CMake find_package COMPONENTS support.
+  + Added Microchip XC16 C compiler support.
+- Rebase meson-test-installed-bin.patch.
+- Drop meson-testsuite-boost.patch: fixed (and enhanced) upstream.
+- Drop meson-testsuite-boost2.patch: boost test suite globally
+  disabled for now.
+- Drop 6642.patch: Fixed in an alternative way.
+- Remove hacks to drop static llvm and boost tests: fixed upstream.
+
+---

Old:

  6642.patch
  meson-0.53.2.tar.gz
  meson-0.53.2.tar.gz.asc
  meson-testsuite-boost.patch
  meson-testsuite-boost2.patch

New:

  meson-0.54.0.tar.gz
  meson-0.54.0.tar.gz.asc



Other differences:
--
++ meson.spec ++
--- /var/tmp/diff_new_pack.Zd9gMh/_old  2020-04-18 00:32:03.426254415 +0200
+++ /var/tmp/diff_new_pack.Zd9gMh/_new  2020-04-18 00:32:03.430254424 +0200
@@ -28,7 +28,7 @@
 %{!?vim_data_dir:%global vim_data_dir %{_datadir}/vim}
 %bcond_with setuptools
 Name:   meson%{name_ext}
-Version:0.53.2
+Version:0.54.0
 Release:0
 Summary:Python-based build system
 License:Apache-2.0
@@ -49,12 +49,6 @@
 Patch4: meson-fix-gcc48.patch
 # PATCH-FEATURE-OPENSUSE meson-distutils.patch tchva...@suse.com -- build and 
install using distutils instead of full setuptools
 Patch5: meson-distutils.patch
-# PATCH-FIX-UPSTREAM meson-testsuite-boost.patch dims...@opensuse.org -- 
https://github.com/mesonbuild/meson/issues/4788
-Patch6: meson-testsuite-boost.patch
-# PATCH-FIX-UPSTREAM 6642.patch mimi...@gmail.com -- Fix skip python2 unittests
-Patch8: 6642.patch
-# PATCH-FIX-OPENSUSE meson-testsuite-boost2.patch mimi...@gmail.com -- disable 
libboost_python tests
-Patch9: meson-testsuite-boost2.patch
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
 BuildRequires:  python3-base
@@ -64,7 +58,7 @@
 Requires:   python3-setuptools
 %endif
 %if !%{with test}
-Requires:   ninja
+Requires:   ninja >= 1.7
 Requires:   python3-base
 # meson-gui was last used in openSUSE Leap 42.1.
 Provides:   meson-gui = %{version}
@@ -181,24 +175,10 @@
 %if !%{with setuptools}
 %patch5 -p1
 %endif
-(cd "test cases/frameworks/1 boost"
-%patch6 -p0
-)
-%patch8 -p1
-%if 0%{?suse_version} >= 1550
-(cd "test cases/frameworks/1 boost"
-%patch9 -p0
-)
-%endif
-
-# Remove static boost tests from "test cases/frameworks/1 boost/".
-sed -i "/static/d" test\ cases/frameworks/1\ boost/meson.build
-
-# Disable test of llvm-static libs: openSUSE does not package/ship them
-sed -i "s/foreach static : \[true, false\]/foreach static : \[false\]/" test\ 
cases/frameworks/15\ llvm/meson.build
 
 # We do not have gmock available at this moment - can't run the test suite for 
it
 rm -r "test cases/frameworks/3 gmock" \
+  "test cases/frameworks/1 boost" \
   "test cases/objc/2 nsstring"
 
 # AddressSanitizer fails here because of ulimit.

++ meson-0.53.2.tar.gz -> meson-0.54.0.tar.gz ++
 26955 lines of diff (skipped)

++ meson-test-installed-bin.patch ++
--- /var/tmp/diff_new_pack.Zd9gMh/_old  2020-04-18 00:32:04.246256113 +0200
+++ /var/tmp/diff_new_pack.Zd9gMh/_new  2020-04-18 00:32:04.246256113 +0200
@@ -1,8 +1,8 @@
-Index: meson-0.53.0/run_tests.py
+Index: meson-0.54.0/run_tests.py
 ===
 meson-0.53.0.orig/run_tests.py
-+++ meson-0.53.0/run_tests.py
-@@ -134,18 +134,10 @@ def get_meson_script():
+--- meson-0.54.0.orig/run_tests.py
 meson-0.54.0/run_tests.py
+@@ -152,18 +152,10 

commit poppler for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package poppler for openSUSE:Factory checked 
in at 2020-04-18 00:29:45

Comparing /work/SRC/openSUSE:Factory/poppler (Old)
 and  /work/SRC/openSUSE:Factory/.poppler.new.2738 (New)


Package is "poppler"

Sat Apr 18 00:29:45 2020 rev:157 rq:794550 version:0.87.0

Changes:

--- /work/SRC/openSUSE:Factory/poppler/poppler.changes  2020-04-05 
20:52:24.841117685 +0200
+++ /work/SRC/openSUSE:Factory/.poppler.new.2738/poppler.changes
2020-04-18 00:32:00.638248642 +0200
@@ -1,0 +2,15 @@
+Mon Apr  6 10:35:41 UTC 2020 - Bjørn Lie 
+
+- Update to version 0.87.0:
+  + core:
+- Fix crashes due to inconsistent vtables for Clang builds
+- Fix leak in broken files
+- Internal code improvements
+  + qt5:
+- Add option to get form choice for export value
+- ArthurOutputDev: Avoid division by zero in updateLineDash
+  + glib: Internal code improvements
+  + utils: pdftohtml: Fix memory leak in HtmlOutputDev::getLinkDest
+- Bump poppler_sover following upstream changes.
+
+---

Old:

  poppler-0.86.1.tar.xz

New:

  poppler-0.87.0.tar.xz



Other differences:
--
++ poppler.spec ++
--- /var/tmp/diff_new_pack.69gTix/_old  2020-04-18 00:32:01.346250109 +0200
+++ /var/tmp/diff_new_pack.69gTix/_new  2020-04-18 00:32:01.346250109 +0200
@@ -24,11 +24,11 @@
 %endif
 
 Name:   poppler%{?psuffix}
-Version:0.86.1
+Version:0.87.0
 Release:0
 # Actual version of poppler-data:
 %define poppler_data_version 0.4.9
-%define poppler_sover 97
+%define poppler_sover 98
 %define poppler_cpp_sover 0
 %define poppler_glib_sover 8
 %define poppler_qt5_sover 1


++ poppler-0.86.1.tar.xz -> poppler-0.87.0.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/poppler-0.86.1/.gitlab-ci.yml 
new/poppler-0.87.0/.gitlab-ci.yml
--- old/poppler-0.86.1/.gitlab-ci.yml   2020-03-01 20:52:52.0 +0100
+++ new/poppler-0.87.0/.gitlab-ci.yml   2020-03-28 15:41:37.0 +0100
@@ -1,4 +1,4 @@
-image: debian:unstable
+image: debian:testing
 
 stages:
   - build
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/poppler-0.86.1/CMakeLists.txt 
new/poppler-0.87.0/CMakeLists.txt
--- old/poppler-0.86.1/CMakeLists.txt   2020-03-01 20:52:52.0 +0100
+++ new/poppler-0.87.0/CMakeLists.txt   2020-03-28 15:41:37.0 +0100
@@ -36,8 +36,8 @@
 endif()
 
 set(POPPLER_MAJOR_VERSION "0")
-set(POPPLER_MINOR_VERSION "86")
-set(POPPLER_MICRO_VERSION "1")
+set(POPPLER_MINOR_VERSION "87")
+set(POPPLER_MICRO_VERSION "0")
 set(POPPLER_VERSION 
"${POPPLER_MAJOR_VERSION}.${POPPLER_MINOR_VERSION}.${POPPLER_MICRO_VERSION}")
 
 set (CMAKE_CXX_STANDARD 14)
@@ -533,7 +533,7 @@
 else()
 add_library(poppler ${poppler_SRCS})
 endif()
-set_target_properties(poppler PROPERTIES VERSION 97.0.0 SOVERSION 97)
+set_target_properties(poppler PROPERTIES VERSION 98.0.0 SOVERSION 98)
 if(MINGW AND BUILD_SHARED_LIBS)
 get_target_property(POPPLER_SOVERSION poppler SOVERSION)
 set_target_properties(poppler PROPERTIES SUFFIX 
"-${POPPLER_SOVERSION}${CMAKE_SHARED_LIBRARY_SUFFIX}")
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/poppler-0.86.1/ChangeLog new/poppler-0.87.0/ChangeLog
--- old/poppler-0.86.1/ChangeLog2020-03-01 20:56:06.0 +0100
+++ new/poppler-0.87.0/ChangeLog2020-03-28 15:45:00.0 +0100
@@ -1,3 +1,157 @@
+commit 0e938b2f82fbb1cf129ee40c84a3081a10c39d0a
+Author: Albert Astals Cid 
+Date:   Sat Mar 28 15:41:37 2020 +0100
+
+0.87.0
+
+ CMakeLists.txt |  6 +++---
+ NEWS   | 15 +++
+ cpp/Doxyfile   |  2 +-
+ qt5/src/CMakeLists.txt |  2 +-
+ qt5/src/Doxyfile   |  2 +-
+ 5 files changed, 21 insertions(+), 6 deletions(-)
+
+commit f19d6723313c0db1b63b8a04c0d2475422b875fb
+Author: Albert Astals Cid 
+Date:   Thu Mar 26 22:50:34 2020 +0100
+
+Update (C)
+
+ qt5/src/ArthurOutputDev.cc | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+commit 5e1a83dbdc065504291528554cb11ab8fabeb5f6
+Author: Oliver Sander 
+Date:   Wed Mar 25 21:14:34 2020 +0100
+
+Avoid division by zero in updateLineDash
+
+Qt measures dash patterns in terms of line width.
+This means that you have to divide by the width,
+which doesn't work if the line width is 'cosmetic',
+i.e., zero. The Qt documentation states that this
+case should be treated as if the line width
+was 1 pixel.
+
+BUG: 695
+
+ qt5/src/ArthurOutputDev.cc | 9 -
+ 1 file changed, 8 insertions(+), 1 deletion(-)
+
+commit 

commit systemd for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package systemd for openSUSE:Factory checked 
in at 2020-04-18 00:29:56

Comparing /work/SRC/openSUSE:Factory/systemd (Old)
 and  /work/SRC/openSUSE:Factory/.systemd.new.2738 (New)


Package is "systemd"

Sat Apr 18 00:29:56 2020 rev:306 rq:794369 version:245

Changes:

--- /work/SRC/openSUSE:Factory/systemd/systemd-mini.changes 2020-03-06 
21:24:01.173440212 +0100
+++ /work/SRC/openSUSE:Factory/.systemd.new.2738/systemd-mini.changes   
2020-04-18 00:32:04.742257140 +0200
@@ -1,0 +2,64 @@
+Wed Apr 15 19:06:27 UTC 2020 - Franck Bui 
+
+- Switch back to the hybrid hierarchy
+
+  Unfortunately Kubernetes and runc are not yet ready for
+  cgroupsv2. Let's reconsider the unified hierarchy in a couple of
+  months.
+
+---
+Mon Apr  6 12:42:01 UTC 2020 - Franck Bui 
+
+- Import commit c5aa158173ced05201182d1cc18632a25cf43b94 (merge v245.4)
+
+---
+Mon Apr  6 10:02:33 UTC 2020 - Franck Bui 
+
+- Add 0001-meson-fix-build-of-udev-path_id_compat-builtin-with-.patch
+
+---
+Thu Mar 19 09:32:41 UTC 2020 - Franck Bui 
+
+- Import commit 31f82b39c811b4f731c80c2c2e7c56a0ca924a5b (merge v245.2)
+
+  d1d3f2aa15 docs: Add syntax for templated units to systemd.preset man page
+  3c69813c69 man: add a tiny bit of markup
+  bf595e788c home: fix segfault when parsing arguments in PAM module
+  e110f4dacb test: wait a bit after starting the test service
+  e8df08cfdb fix journalctl regression (#15099)
+  eb3a38cc23 NEWS: add late note about job trimming issue
+  405f0fcfdd systemctl: hide the 'glyph' column when --no-legend is requested
+  1c7de81f89 format-table: allow hiding a specific column
+  b7f2308bda core: transition to FINAL_SIGTERM state after ExecStopPost=
+  2867dfbf70 journalctl: show duplicate entries if they are from the same file 
(#14898)
+  [...]
+
+---
+Wed Mar 18 14:09:57 UTC 2020 - Franck Bui 
+
+- Upgrade to v245 (commit 74e2e834b4282c9bbdc12014f6ccf8d86e542b8d)
+
+  See https://github.com/openSUSE/systemd/blob/SUSE/v245/NEWS for
+  details. 
+
+  The new tools provided by systemd repart, userdb, homed, fdisk,
+  pwquality, p11kit feature have been disabled for now as they require
+  reviews first.
+
+  Default to the "unified" cgroup hierarchy. Indeed most prominent
+  users of cgroup (such as libvirt, kubic) should be ready for such
+  change. It's still possible to switch back to the old "hybrid"
+  hierarchy by passing "systemd.unified_cgroup_hierarchy=0" option to
+  the kernel command line though.
+
+  Added 0001-Revert-job-Don-t-mark-as-redundant-if-deps-are-relev.patch:
+  upstream commit 097537f07a2fab3cb73aef7bc59f2a66aa93f533 has been
+  reverted for now on as it introduced a behavior change which has
+  impacted plymouth at least.
+
+---
+Fri Mar 13 13:15:10 UTC 2020 - Elisei Roca 
+
+- add systemd-network-generator.service file together with 
systemd-network-generator binary
+
+---
systemd.changes: same change

Old:

  systemd-v244+suse.138.gf8adabc2b1.tar.xz

New:

  0001-Revert-job-Don-t-mark-as-redundant-if-deps-are-relev.patch
  0001-meson-fix-build-of-udev-path_id_compat-builtin-with-.patch
  systemd-v245+suse.83.gc5aa158173.tar.xz



Other differences:
--
++ systemd-mini.spec ++
--- /var/tmp/diff_new_pack.VYQBSn/_old  2020-04-18 00:32:06.590260967 +0200
+++ /var/tmp/diff_new_pack.VYQBSn/_new  2020-04-18 00:32:06.594260976 +0200
@@ -26,7 +26,7 @@
 # WARNING: please do not edit this auto generated spec file. Use the 
systemd.spec! #
 %define mini -mini
 %define min_kernel_version 4.5
-%define suse_version +suse.138.gf8adabc2b1
+%define suse_version +suse.83.gc5aa158173
 
 %bcond_with gnuefi
 %if 0%{?bootstrap}
@@ -55,7 +55,7 @@
 
 Name:   systemd-mini
 URL:http://www.freedesktop.org/wiki/Software/systemd
-Version:244
+Version:245
 Release:0
 Summary:A System and Session Manager
 License:LGPL-2.1-or-later
@@ -167,6 +167,8 @@
 # merged by upstream.
 Patch1: 0001-SUSE-policy-do-not-clean-tmp-by-default.patch
 Patch2: 0001-Fix-run-lock-group-to-follow-openSUSE-policy.patch
+Patch3: 0001-Revert-job-Don-t-mark-as-redundant-if-deps-are-relev.patch
+Patch4: 0001-meson-fix-build-of-udev-path_id_compat-builtin-with-.patch
 
 %description
 Systemd is a system and service manager, compatible with SysV and LSB
@@ 

commit python-jenkinsapi for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package python-jenkinsapi for 
openSUSE:Factory checked in at 2020-04-18 00:30:12

Comparing /work/SRC/openSUSE:Factory/python-jenkinsapi (Old)
 and  /work/SRC/openSUSE:Factory/.python-jenkinsapi.new.2738 (New)


Package is "python-jenkinsapi"

Sat Apr 18 00:30:12 2020 rev:10 rq:794785 version:0.3.11

Changes:

--- /work/SRC/openSUSE:Factory/python-jenkinsapi/python-jenkinsapi.changes  
2020-04-16 23:07:06.515880708 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-jenkinsapi.new.2738/python-jenkinsapi.changes
2020-04-18 00:32:11.898271959 +0200
@@ -1,0 +2,5 @@
+Fri Apr 17 06:51:42 UTC 2020 - pgaj...@suse.com
+
+- use pytest -k instead of removing tests
+
+---



Other differences:
--
++ python-jenkinsapi.spec ++
--- /var/tmp/diff_new_pack.36L70W/_old  2020-04-18 00:32:12.458273119 +0200
+++ /var/tmp/diff_new_pack.36L70W/_new  2020-04-18 00:32:12.462273127 +0200
@@ -87,11 +87,11 @@
 %python_uninstall_alternative jenkins_invoke
 
 %check
+# jenkinsapi_tests/unittests/test_view.py
 # E   fixture '_view_poll' not found
-rm jenkinsapi_tests/unittests/test_view.py
+# jddenkinsapi_tests/unittests/test_plugins.py
 # E   ConnectionError: HTTPSConnectionPool(host='updates.jenkins.io...
-rm jenkinsapi_tests/unittests/test_plugins.py
-%pytest jenkinsapi_tests/unittests jenkinsapi_tests/test_utils
+%pytest jenkinsapi_tests/unittests jenkinsapi_tests/test_utils -k 'not 
(test_view or test_plugins)'
 
 %files %{python_files}
 %doc README.rst




commit printer-driver-brlaser for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package printer-driver-brlaser for 
openSUSE:Factory checked in at 2020-04-18 00:30:01

Comparing /work/SRC/openSUSE:Factory/printer-driver-brlaser (Old)
 and  /work/SRC/openSUSE:Factory/.printer-driver-brlaser.new.2738 (New)


Package is "printer-driver-brlaser"

Sat Apr 18 00:30:01 2020 rev:4 rq:794818 version:6+git20191118.2f63d0a

Changes:

--- 
/work/SRC/openSUSE:Factory/printer-driver-brlaser/printer-driver-brlaser.changes
2016-06-19 12:52:54.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.printer-driver-brlaser.new.2738/printer-driver-brlaser.changes
  2020-04-18 00:32:09.498266989 +0200
@@ -1,0 +2,38 @@
+Thu Apr 16 14:59:45 UTC 2020 - i...@xuzhao.net
+
+- Update to version 6+git20191118.2f63d0a:
+  * Package available on guix, too
+  * Bump version number
+  * Version 6
+  * Add Brother HL-2270DW
+  * add gedit backup file to .gitignore (*~)
+  * Add a bunch of printers
+  * Don't compress across bands (#39)
+  * Version 5
+  * Brother HL-1110
+  * Add a bunch of printer stanzas
+
+---
+Sat Apr 11 11:55:12 UTC 2020 - Xu Zhao 
+
+- Update to version 6:
+  * Added support for some more Brother HL-series printers.
+Brother HL-2030 series
+Brother HL-2140 series
+Brother HL-2220 series
+Brother HL-2270DW series
+Brother HL-5030 series
+Brother DCP-L2520D series
+- Update from version 5:
+  * Fixed problems with Brother HL-series printers in 600 dpi mode.
+  * Added brlaser.drv stanzas for several new printers.
+- Update from version 4:
+  * Added several printers
+  * Merged duplex printing support
+  * Switched to a CMake build system
+- Removed patches as they are already merged:
+  0001-mark-DCP-7055W-as-supported.diff
+  0002-Add-Brother-DCP1510.diff
+  0003-Add-missing-include-string.diff
+
+---

Old:

  0001-mark-DCP-7055W-as-supported.diff
  0002-Add-Brother-DCP1510.diff
  0003-Add-missing-include-string.diff
  brlaser-3+git20160302.03bb366.tar.gz

New:

  _servicedata
  brlaser-6+git20191118.2f63d0a.tar.gz



Other differences:
--
++ printer-driver-brlaser.spec ++
--- /var/tmp/diff_new_pack.Fv0SJ3/_old  2020-04-18 00:32:10.066268165 +0200
+++ /var/tmp/diff_new_pack.Fv0SJ3/_new  2020-04-18 00:32:10.070268174 +0200
@@ -1,7 +1,8 @@
 #
 # spec file for package printer-driver-brlaser
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
+# Copyright (c) 2020 Xu Zhao (i...@xuzhao.net)
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,26 +13,19 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 Name:   printer-driver-brlaser
-Version:3+git20160302.03bb366
+Version:6+git20191118.2f63d0a
 Release:0
 Summary:Driver for (some) Brother laster printers
-License:GPL-2.0+
+License:GPL-2.0-or-later
 Group:  Hardware/Printing
-Url:https://github.com/pdewacht/brlaser
+URL:https://github.com/pdewacht/brlaser
 Source: brlaser-%{version}.tar.gz
-# PATCH-FIX-UPSTREAM -- https://github.com/pdewacht/brlaser/pull/5
-Patch0: 0001-mark-DCP-7055W-as-supported.diff
-# PATCH-FIX-UPSTREAM -- https://github.com/pdewacht/brlaser/pull/7
-Patch1: 0002-Add-Brother-DCP1510.diff
-# PATCH-FIX-UPSTREAM -- https://github.com/pdewacht/brlaser/pull/9
-Patch2: 0003-Add-missing-include-string.diff
-BuildRequires:  autoconf
-BuildRequires:  automake
+BuildRequires:  cmake
 %if 0%{?is_opensuse} || 0%{?suse_version} != 1315
 BuildRequires:  cups-ddk
 BuildRequires:  cups-devel
@@ -55,33 +49,55 @@
 It is known to support these printers:
 
 Brother DCP-1510 series
+Brother DCP-1600 series
 Brother DCP-7030
-Brother DCP-7055
+Brother DCP-7040 Brother DCP-7055
 Brother DCP-7055W
+Brother DCP-7060D
 Brother DCP-7065DN
+Brother DCP-7080
+Brother DCP-L2500D series
+Brother DCP-L2520D series
+Brother DCP-L2540DW series
+Brother HL-1110 series
+Brother HL-1200 series
+Brother HL-2030 series
+Brother HL-2140 series
+Brother HL-2220 series
+Brother HL-2270DW series
+Brother HL-5030 series
+Brother HL-L2300D series
+Brother HL-L2320D series
+Brother HL-L2340D series
+Brother HL-L2360D series
+Brother MFC-1910W
+Brother 

commit opensuse-tumbleweed-image for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package opensuse-tumbleweed-image for 
openSUSE:Factory checked in at 2020-04-18 00:29:37

Comparing /work/SRC/openSUSE:Factory/opensuse-tumbleweed-image (Old)
 and  /work/SRC/openSUSE:Factory/.opensuse-tumbleweed-image.new.2738 (New)


Package is "opensuse-tumbleweed-image"

Sat Apr 18 00:29:37 2020 rev:11 rq:794931 version:1.0.4

Changes:

--- 
/work/SRC/openSUSE:Factory/opensuse-tumbleweed-image/opensuse-tumbleweed-image.changes
  2020-04-05 20:52:34.197126635 +0200
+++ 
/work/SRC/openSUSE:Factory/.opensuse-tumbleweed-image.new.2738/opensuse-tumbleweed-image.changes
2020-04-18 00:31:59.390246059 +0200
@@ -1,0 +2,11 @@
+Fri Apr 17 14:28:44 UTC 2020 - Fabian Vogt 
+
+- Add systemd-sysvinit to the lxc flavor for /sbin/init (boo#1169002)
+
+---
+Tue Apr 14 13:47:44 UTC 2020 - Fabian Vogt 
+
+- Avoid using  as it recreates
+  AnonymousUniqueId (gh#OSInside/kiwi#1396)
+
+---



Other differences:
--
++ config.kiwi ++
--- /var/tmp/diff_new_pack.LR4Qhv/_old  2020-04-18 00:32:00.086247500 +0200
+++ /var/tmp/diff_new_pack.LR4Qhv/_new  2020-04-18 00:32:00.086247500 +0200
@@ -52,6 +52,7 @@
   
   
 
+
 
   
   
@@ -63,14 +64,11 @@
 
 
 
+
 
 
 
 
 
   
-  
-
-
-  
 

++ config.sh ++
--- /var/tmp/diff_new_pack.LR4Qhv/_old  2020-04-18 00:32:00.154247640 +0200
+++ /var/tmp/diff_new_pack.LR4Qhv/_new  2020-04-18 00:32:00.158247649 +0200
@@ -15,6 +15,7 @@
 # Add repos from control.xml
 #--
 add-yast-repos
+zypper --non-interactive rm -u live-add-yast-repos
 
 #==
 # Disable recommends




commit webkit2gtk3 for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package webkit2gtk3 for openSUSE:Factory 
checked in at 2020-04-18 00:29:06

Comparing /work/SRC/openSUSE:Factory/webkit2gtk3 (Old)
 and  /work/SRC/openSUSE:Factory/.webkit2gtk3.new.2738 (New)


Package is "webkit2gtk3"

Sat Apr 18 00:29:06 2020 rev:95 rq:794681 version:2.28.1

Changes:

--- /work/SRC/openSUSE:Factory/webkit2gtk3/webkit2gtk3.changes  2020-03-16 
10:16:16.851536953 +0100
+++ /work/SRC/openSUSE:Factory/.webkit2gtk3.new.2738/webkit2gtk3.changes
2020-04-18 00:30:24.942050484 +0200
@@ -1,0 +2,32 @@
+Wed Apr 15 05:39:04 UTC 2020 - Bjørn Lie 
+
+- Update to version 2.28.1 (boo#1169658):
+  + Fix position of default option element popup windows under
+Wayland.
+  + Fix rendering after a cross site navigation with PSON enabled
+and hardware acceleration forced.
+  + Fix a crash in nested wayland compositor when closing a tab
+with PSON enabled.
+  + Update Chrome and Firefox versions in user agent quirks.
+  + Fix a crash with bubblewrap sandbox enabled.
+  + Fix a crash in JavaScriptCore in ppc64el.
+  + Fix the build with GStreamer 1.12.
+  + Fix several crashes and rendering issues.
+  + Security fixes: CVE-2020-11793.
+- Drop webkit2gtk3-gstreamer-build-fix.patch: Fixed upstream.
+
+---
+Thu Apr  2 19:53:27 UTC 2020 - Michael Gorse 
+
+- Add webkit2gtk3-gstreamer-build-fix.patch: fix build with
+  gstreamer 1.12 (webkit#209296).
+- Rebase webkit-process.patch.
+- Use WebKit defaults for ENABLE_JIT and USE_SYSTEM_MALLOC, except
+  for aarch64. WebKit now sets reasonable defaults based on
+  architecture. Disable on aarch64 in case a user is still using
+  the kernel-64kb package.
+- Use bubblewrap, xdg-dbus-proxy, wpe, and wpebackend-fdo on 15.2;
+  they had been unintentionally excluded.
+- Increase mem_per_process; otherwise fails on SLE/Leap.
+
+---
@@ -4 +36 @@
-- Update to version 2.28.0:
+- Update to version 2.28.0 (boo#1165528):
@@ -15,0 +48 @@
+  + Security fixes: CVE-2020-10018.

Old:

  webkitgtk-2.28.0.tar.xz
  webkitgtk-2.28.0.tar.xz.asc

New:

  webkitgtk-2.28.1.tar.xz
  webkitgtk-2.28.1.tar.xz.asc



Other differences:
--
++ webkit2gtk3.spec ++
--- /var/tmp/diff_new_pack.ZF9KRF/_old  2020-04-18 00:30:28.662058187 +0200
+++ /var/tmp/diff_new_pack.ZF9KRF/_new  2020-04-18 00:30:28.666058195 +0200
@@ -31,7 +31,7 @@
 %define _gold_linker 0
 %endif
 Name:   webkit2gtk3
-Version:2.28.0
+Version:2.28.1
 Release:0
 Summary:Library for rendering web content, GTK+ Port
 License:LGPL-2.0-or-later AND BSD-3-Clause
@@ -43,7 +43,7 @@
 Source99:   webkit2gtk3.keyring
 # PATCH-FIX-OPENSUSE webkit2gtk3-fdo-soname.patch mgo...@suse.com -- don't 
call dlopen with an unversioned soname.
 Patch0: webkit2gtk3-fdo-soname.patch
-# PATCH-NEEDS-REBASE webkit-process.patch boo#1159329 mgo...@suse.com -- use 
single web process for evolution and geary. WAS PATCH-FIX-OPENSUSE
+# PATCH-FIX-OPENSUSE webkit-process.patch boo#1159329 mgo...@suse.com -- use 
single web process for evolution and geary.
 Patch1: webkit-process.patch
 
 BuildRequires:  Mesa-libEGL-devel
@@ -52,7 +52,7 @@
 BuildRequires:  Mesa-libGLESv2-devel
 BuildRequires:  Mesa-libGLESv3-devel
 BuildRequires:  bison >= 2.3
-%if 0%{?suse_version} > 1510
+%if 0%{?suse_version} > 1500 || 0%{?sle_version} >= 150200
 BuildRequires:  bubblewrap
 %endif
 BuildRequires:  cmake
@@ -66,7 +66,7 @@
 BuildRequires:  perl >= 5.10.0
 BuildRequires:  pkgconfig
 BuildRequires:  ruby >= 1.8.7
-%if 0%{?suse_version} > 1510
+%if 0%{?suse_version} > 1500 || 0%{?sle_version} >= 150200
 BuildRequires:  xdg-dbus-proxy
 %endif
 BuildRequires:  pkgconfig(atk)
@@ -102,7 +102,7 @@
 BuildRequires:  pkgconfig(libxslt) >= 1.1.7
 BuildRequires:  pkgconfig(sqlite3)
 BuildRequires:  pkgconfig(upower-glib)
-%if 0%{?suse_version} > 1510
+%if 0%{?suse_version} > 1500 || 0%{?sle_version} >= 150200
 BuildRequires:  pkgconfig(wpe-1.0) >= 1.3.0
 BuildRequires:  pkgconfig(wpebackend-fdo-1.0) >= 1.3.0
 %endif
@@ -134,11 +134,11 @@
 Summary:Library for rendering web content, GTK+ Port
 # Require the injected bundles. The bundles are dlopen()ed
 Group:  System/Libraries
-%if 0%{?suse_version} > 1510
+%if 0%{?suse_version} > 1500 || 0%{?sle_version} >= 150200
 Requires:   bubblewrap
 %endif
 Requires:   webkit2gtk-4_0-injected-bundles
-%if 0%{?suse_version} > 1510
+%if 0%{?suse_version} > 1500 || 0%{?sle_version} >= 150200
 Requires:   xdg-dbus-proxy
 %endif
 Provides:   %{_pkgname_no_slpp} = %{version}
@@ -271,9 +271,8 @@
 %prep
 %setup -n 

commit cri-o for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package cri-o for openSUSE:Factory checked 
in at 2020-04-18 00:29:12

Comparing /work/SRC/openSUSE:Factory/cri-o (Old)
 and  /work/SRC/openSUSE:Factory/.cri-o.new.2738 (New)


Package is "cri-o"

Sat Apr 18 00:29:12 2020 rev:48 rq:794622 version:1.17.3

Changes:

--- /work/SRC/openSUSE:Factory/cri-o/cri-o.changes  2020-04-14 
16:17:54.455408389 +0200
+++ /work/SRC/openSUSE:Factory/.cri-o.new.2738/cri-o.changes2020-04-18 
00:30:45.934093952 +0200
@@ -1,0 +2,10 @@
+Thu Apr 16 15:24:00 UTC 2020 - Richard Brown 
+
+- criconfig: Require kubernetes-kubeadm-provider to be compatable with 
multi-version kubernetes packaging
+
+---
+Thu Apr 16 09:01:48 UTC 2020 - Michal Jura 
+
+- Update apparmor_profile with current cri-o version, bsc#1161056
+
+---



Other differences:
--
++ cri-o.spec ++
--- /var/tmp/diff_new_pack.24LQaa/_old  2020-04-18 00:30:47.142096454 +0200
+++ /var/tmp/diff_new_pack.24LQaa/_new  2020-04-18 00:30:47.146096461 +0200
@@ -74,7 +74,7 @@
 
 %package kubeadm-criconfig
 Summary:CRI-O container runtime configuration for kubeadm
-Requires:   kubernetes-kubeadm
+Requires:   kubernetes-kubeadm-provider
 Requires(post): %fillup_prereq
 Supplements:cri-o
 Provides:   kubernetes-kubeadm-criconfig
@@ -89,6 +89,7 @@
 %build
 # Keep cgroupfs as the default cgroup manager for SLE15 builds
 %if 0%{?sle_version} >= 15 && !0%{?is_opensuse}
+sed -i "s|.*apparmor_profile =.*|apparmor_profile = 
\"crio-default-%{version}\"|" %{SOURCE3}
 sed -i "s|^cgroup_manager = \"systemd\"$|cgroup_manager = \"cgroupfs\"|g" 
%{SOURCE3}
 sed -i "s|--cgroup-driver=systemd|--cgroup-driver=cgroupfs|g" %{SOURCE5}
 %endif




commit vlc for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package vlc for openSUSE:Factory checked in 
at 2020-04-18 00:29:03

Comparing /work/SRC/openSUSE:Factory/vlc (Old)
 and  /work/SRC/openSUSE:Factory/.vlc.new.2738 (New)


Package is "vlc"

Sat Apr 18 00:29:03 2020 rev:105 rq:794632 version:3.0.9.2

Changes:

--- /work/SRC/openSUSE:Factory/vlc/vlc.changes  2020-04-05 20:49:59.068978223 
+0200
+++ /work/SRC/openSUSE:Factory/.vlc.new.2738/vlc.changes2020-04-18 
00:30:21.938044263 +0200
@@ -1,0 +2,73 @@
+Thu Apr 16 16:10:19 UTC 2020 - Dominique Leuenberger 
+
+- Update to version 3.0.9.2:
+  + Misc: Properly bump the version in configure.ac.
+- Changes from version 3.0.9.1:
+  + Misc: Fix VLSub returning 401 for earch request.
+- Changes from version 3.0.9:
+  + Core: Work around busy looping when playing an invalid item
+through VLM.
+  + Access:
+* Multiple dvdread and dvdnav crashs fixes
+* Fixed DVD glitches on clip change
+* Fixed dvdread commands/data sequence inversion in some cases causing
+  unwanted glitches
+* Better handling of authored as corrupted DVD
+* Added libsmb2 support for SMB2/3 shares
+  + Demux:
+* Fix TTML entities not passed to decoder
+* Fixed some WebVTT styling tags being not applied
+* Misc raw H264/HEVC frame rate fixes
+* Fix adaptive regression on TS format change (mostly HLS)
+* Fixed MP4 regression with twos/sowt PCM audio
+* Fixed some MP4 raw quicktime and ms-PCM audio
+* Fixed MP4 interlacing handling
+* Multiple adaptive stack (DASH/HLS/Smooth) fixes
+* Enabled Live seeking for HLS
+* Fixed seeking in some cases for HLS
+* Improved Live playback for Smooth and DASH
+* Fixed adaptive unwanted end of stream in some cases
+* Faster adaptive start and new buffering control options
+  + Packetizers:
+* Fixes H264/HEVC incomplete draining in some cases
+* packetizer_helper: Fix potential trailing junk on last packet
+* Added missing drain in packetizers that was causing missing
+  last frame or audio
+* Improved check to prevent fLAC synchronization drops
+  + Decoder:
+* avcodec: revector video decoder to fix incomplete drain
+* spudec: implemented palette updates, fixing missing subtitles
+  on some DVD
+* Fixed WebVTT CSS styling not being applied on Windows/macOS
+* Fixed Hebrew teletext pages support in zvbi
+* Fixed Dav1d aborting decoding on corrupted picture
+* Extract and display of all CEA708 subtitles
+* Update libfaad to 2.9.1
+* Add DXVA support for VP9 Profile 2 (10 bits)
+* Mediacodec aspect ratio with Amazon devices
+  + Audio output:
+* Added support for iOS audiounit audio above 48KHz
+* Added support for amem audio up to 384KHz
+  + Video output:
+* Fix for opengl glitches in some drivers
+* Fix GMA950 opengl support on macOS
+* YUV to RGB StretchRect fixes with NVIDIA drivers
+* Use libpacebo new tone mapping desaturation algorithm
+  + Text renderer:
+* Fix crashes on macOS with SSA/ASS subtitles containing emoji
+* Fixed unwanted growing background in Freetype rendering and Y padding
+  + Mux: Fixed some YUV mappings
+  + Service Discovery: Update libmicrodns to 0.1.2.
+  + Misc:
+* Update YouTube, SoundCloud and Vocaroo scripts: this restores
+  playback of YouTube URLs.
+* Add missing .wpl & .zpl file associations on Windows
+* Improved chromecast audio quality
+  + Updated translations.
+- Drop patches that have been merged upstream:
+D0001-Fix-leaking-AvahiServiceResolver-in-the-error-paths.patch
+D0002-Add-Avahi-implementation-for-chromecast-renderer-dis.patch
+Dreproducible.patch
+
+
+---

Old:

  0001-Fix-leaking-AvahiServiceResolver-in-the-error-paths.patch
  0002-Add-Avahi-implementation-for-chromecast-renderer-dis.patch
  reproducible.patch
  vlc-3.0.8.tar.xz

New:

  vlc-3.0.9.2.tar.xz
  vlc-3.0.9.2.tar.xz.asc
  vlc.keyring



Other differences:
--
++ vlc.spec ++
--- /var/tmp/diff_new_pack.BwVshz/_old  2020-04-18 00:30:23.778048074 +0200
+++ /var/tmp/diff_new_pack.BwVshz/_new  2020-04-18 00:30:23.786048090 +0200
@@ -33,7 +33,7 @@
 %bcond_with faad
 %bcond_with fdk_aac
 Name:   vlc
-Version:3.0.8
+Version:3.0.9.2
 Release:0
 Summary:Graphical media player
 License:GPL-2.0-or-later AND LGPL-2.1-or-later
@@ -41,6 +41,8 @@
 URL:http://www.videolan.org
 Source: 
http://download.videolan.org/%{name}/%{version}/%{name}-%{version}.tar.xz
 Source2:%{name}-rpmlintrc
+Source98:   

commit kubernetes for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package kubernetes for openSUSE:Factory 
checked in at 2020-04-18 00:29:09

Comparing /work/SRC/openSUSE:Factory/kubernetes (Old)
 and  /work/SRC/openSUSE:Factory/.kubernetes.new.2738 (New)


Package is "kubernetes"

Sat Apr 18 00:29:09 2020 rev:60 rq:794180 version:1.18.1

Changes:

--- /work/SRC/openSUSE:Factory/kubernetes/kubernetes.changes2020-04-09 
23:14:13.562201881 +0200
+++ /work/SRC/openSUSE:Factory/.kubernetes.new.2738/kubernetes.changes  
2020-04-18 00:30:33.754068730 +0200
@@ -2 +2 @@
-Mon Apr  6 10:23:14 UTC 2020 - Robert Munteanu 
+Wed Apr 15 12:36:45 UTC 2020 - Richard Brown 
@@ -4 +4,7 @@
-- Add fix-spn-prefix-added.patch, fixing upstream issue #89672 
+- Declare Kubernetes 1.18.1 as default
+
+---
+Fri Apr  3 11:42:55 UTC 2020 - Richard Brown 
+
+- Introduce multi-version kubernetes packaging
+- Remove fix-spn-prefix-added.patch kubeadm-opensuse-flexvolume.patch, 
kubeadm-opensuse-registry.patch and opensuse-version-checks.patch; Now located 
in version specific packages. 

Old:

  10-kubeadm.conf
  90-kubeadm.conf
  _constraints
  _service
  _servicedata
  fix-spn-prefix-added.patch
  genmanpages.sh
  kubeadm-opensuse-flexvolume.patch
  kubeadm-opensuse-registry.patch
  kubeadm.conf
  kubelet.service
  kubelet.sh
  kubelet.tmp.conf
  kubernetes-1.17.4.tar.xz
  kubernetes-1.18.0.tar.xz
  kubernetes-rpmlintrc
  kubernetes.obsinfo
  opensuse-version-checks.patch
  sysconfig.kubelet-kubernetes

New:

  README.packaging



Other differences:
--
++ kubernetes.spec ++
--- /var/tmp/diff_new_pack.64N9gF/_old  2020-04-18 00:30:37.598076691 +0200
+++ /var/tmp/diff_new_pack.64N9gF/_new  2020-04-18 00:30:37.602076700 +0200
@@ -16,56 +16,19 @@
 #
 
 
-%{!?tmpfiles_create:%global tmpfiles_create systemd-tmpfiles --create}
-# maxcriversion - version of cri-tools which is notsupported by this version 
of kubeadm.
-%define maxcriversion 1.19
 # baseversion - version of kubernetes for this package
 %define baseversion 1.18
-# prebaseversion - release of kubernetes for the previous supported kubelet 
version
-%define prebaseversion 1.17
-# preversion - version of kubernetes for the previous supported kubelet version
-%define preversion %{prebaseversion}.4
+# baseversionminus1 - previous version of kubernetes
+%define baseversionminus1 1.17
 
 Name:   kubernetes
-Version:1.18.0
+Version:1.18.1
 Release:0
 Summary:Container Scheduling and Management
 License:Apache-2.0
 Group:  System/Management
 URL:http://kubernetes.io
-Source: %{name}-%{version}.tar.xz
-Source1:%{name}-%{preversion}.tar.xz
-Source2:genmanpages.sh
-Source3:kubelet.sh
-#systemd services
-Source10:   kubelet.service
-#config files
-Source22:   sysconfig.kubelet-kubernetes
-Source23:   kubeadm.conf
-Source24:   90-kubeadm.conf
-Source25:   10-kubeadm.conf
-Source27:   kubelet.tmp.conf
-Source28:   kubernetes-rpmlintrc
-Source29:   kubernetes.obsinfo
-# Patch to change the default registry to registry.opensuse.org/kubic
-Patch2: kubeadm-opensuse-registry.patch
-# Patch to change the version check server to kubic.opensuse.org
-Patch3: opensuse-version-checks.patch
-# Patch to change the default flexvolume path in kubeadm to match that used by 
our kubelet, else kubeadm tries to write to /usr when kubelet is already 
looking at a path on /var thanks to the fix to bsc#1084766
-Patch4: kubeadm-opensuse-flexvolume.patch
-# Fix https://github.com/kubernetes/kubernetes/issues/89672
-Patch5: fix-spn-prefix-added.patch
-BuildRequires:  bash-completion
-BuildRequires:  fdupes
-BuildRequires:  git
-BuildRequires:  go-go-md2man
-# Kubernetes 1.17.0 requires at least go 1.13.4 (see changelog)
-BuildRequires:  golang(API) = 1.13
-BuildRequires:  go >= 1.13.4
-BuildRequires:  golang(github.com/jteeuwen/go-bindata)
-BuildRequires:  golang-packaging
-BuildRequires:  rsync
-BuildRequires:  systemd-rpm-macros
+Source: README.packaging
 ExcludeArch:%{ix86} s390 ppc64
 
 %description
@@ -75,13 +38,12 @@
 It groups containers that make up an application into logical units
 for management and discovery.
 
-# packages to build containerized control plane
+# packages for containerized control plane
 
 %package apiserver
 Summary:Kubernetes apiserver for container image
 Group:  System/Management
-Conflicts:  kubernetes-common
-Conflicts:  kubernetes-master
+Requires:   kubernetes%{baseversion}-apiserver = %{version}
 
 %description apiserver
 This subpackage contains the kube-apiserver binary 

commit noto-coloremoji-fonts for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package noto-coloremoji-fonts for 
openSUSE:Factory checked in at 2020-04-18 00:28:56

Comparing /work/SRC/openSUSE:Factory/noto-coloremoji-fonts (Old)
 and  /work/SRC/openSUSE:Factory/.noto-coloremoji-fonts.new.2738 (New)


Package is "noto-coloremoji-fonts"

Sat Apr 18 00:28:56 2020 rev:3 rq:794598 version:20200408

Changes:

--- 
/work/SRC/openSUSE:Factory/noto-coloremoji-fonts/noto-coloremoji-fonts.changes  
2020-02-29 21:23:30.762397548 +0100
+++ 
/work/SRC/openSUSE:Factory/.noto-coloremoji-fonts.new.2738/noto-coloremoji-fonts.changes
2020-04-18 00:29:38.489954295 +0200
@@ -1,0 +2,6 @@
+Thu Apr  9 11:11:54 UTC 2020 - Yunhe Guo 
+
+- Update to v2020-04-08-unicode12_1
+  * Emoji 12.1 svg & png files
+
+---



Other differences:
--
++ noto-coloremoji-fonts.spec ++
--- /var/tmp/diff_new_pack.OMT8Bv/_old  2020-04-18 00:29:40.625958718 +0200
+++ /var/tmp/diff_new_pack.OMT8Bv/_new  2020-04-18 00:29:40.625958718 +0200
@@ -17,14 +17,14 @@
 
 
 Name:   noto-coloremoji-fonts
-Version:20191119
+Version:20200408
 Release:0
 Summary:Noto Color Emoji font
 License:OFL-1.1
 Group:  System/X11/Fonts
 URL:https://github.com/googlefonts/noto-emoji
-Source0:
https://github.com/googlefonts/noto-emoji/raw/v2019-11-19-unicode12/fonts/LICENSE
-Source1:
https://github.com/googlefonts/noto-emoji/raw/v2019-11-19-unicode12/fonts/NotoColorEmoji.ttf
+Source0:
https://github.com/googlefonts/noto-emoji/raw/v2020-04-08-unicode12_1/fonts/LICENSE
+Source1:
https://github.com/googlefonts/noto-emoji/raw/v2020-04-08-unicode12_1/fonts/NotoColorEmoji.ttf
 BuildRequires:  fontpackages-devel
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildArch:  noarch





commit php7 for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package php7 for openSUSE:Factory checked in 
at 2020-04-18 00:28:59

Comparing /work/SRC/openSUSE:Factory/php7 (Old)
 and  /work/SRC/openSUSE:Factory/.php7.new.2738 (New)


Package is "php7"

Sat Apr 18 00:28:59 2020 rev:77 rq:794607 version:7.4.5

Changes:

--- /work/SRC/openSUSE:Factory/php7/php7.changes2020-04-05 
20:52:26.249119032 +0200
+++ /work/SRC/openSUSE:Factory/.php7.new.2738/php7.changes  2020-04-18 
00:30:02.538004092 +0200
@@ -1,0 +2,6 @@
+Tue Apr 14 14:40:32 UTC 2020 - Arjen de Korte 
+
+- updated to 7.4.5: This is a security release which also contains
+  several bug fixes. See https://www.php.net/ChangeLog-7.php#7.4.5
+
+---

Old:

  php-7.4.4.tar.xz
  php-7.4.4.tar.xz.asc

New:

  php-7.4.5.tar.xz
  php-7.4.5.tar.xz.asc



Other differences:
--
++ php7.spec ++
--- /var/tmp/diff_new_pack.XLIbsk/_old  2020-04-18 00:30:04.602008365 +0200
+++ /var/tmp/diff_new_pack.XLIbsk/_new  2020-04-18 00:30:04.606008374 +0200
@@ -38,7 +38,7 @@
 %define build_argon2 1
 %endif
 Name:   php7%{psuffix}
-Version:7.4.4
+Version:7.4.5
 Release:0
 Summary:Interpreter for the PHP scripting language version 7
 License:PHP-3.01

++ php-7.4.4.tar.xz -> php-7.4.5.tar.xz ++
/work/SRC/openSUSE:Factory/php7/php-7.4.4.tar.xz 
/work/SRC/openSUSE:Factory/.php7.new.2738/php-7.4.5.tar.xz differ: char 27, 
line 1





commit openexr for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package openexr for openSUSE:Factory checked 
in at 2020-04-18 00:28:51

Comparing /work/SRC/openSUSE:Factory/openexr (Old)
 and  /work/SRC/openSUSE:Factory/.openexr.new.2738 (New)


Package is "openexr"

Sat Apr 18 00:28:51 2020 rev:36 rq:794570 version:2.4.1

Changes:

--- /work/SRC/openSUSE:Factory/openexr/openexr.changes  2020-02-14 
16:23:06.127116645 +0100
+++ /work/SRC/openSUSE:Factory/.openexr.new.2738/openexr.changes
2020-04-18 00:29:27.109930731 +0200
@@ -1,0 +2,11 @@
+Thu Apr 16 10:44:44 UTC 2020 - pgaj...@suse.com
+
+- version update to 2.4.1
+  * Various fixes for memory leaks and invalid memory accesses
+  * Various fixes for integer overflow with large images.
+  * Various cmake fixes for build/install of python modules.
+  * ImfMisc.h is no longer installed, since it's a private header.
+- deleted patches
+  - Fix-the-symlinks-creation.patch (upstreamed)
+
+---

Old:

  Fix-the-symlinks-creation.patch
  v2.4.0.tar.gz

New:

  v2.4.1.tar.gz



Other differences:
--
++ openexr.spec ++
--- /var/tmp/diff_new_pack.GiR7RZ/_old  2020-04-18 00:29:35.781948688 +0200
+++ /var/tmp/diff_new_pack.GiR7RZ/_new  2020-04-18 00:29:35.785948696 +0200
@@ -22,7 +22,7 @@
 %define sonum 24
 %global so_suffix -2_4
 Name:   openexr
-Version:2.4.0
+Version:2.4.1
 Release:0
 Summary:Utilities for working with HDR images in OpenEXR format
 License:BSD-3-Clause
@@ -30,7 +30,6 @@
 URL:http://www.openexr.com/
 Source0:https://github.com/openexr/openexr/archive/v%{version}.tar.gz
 Source2:baselibs.conf
-Patch0: Fix-the-symlinks-creation.patch
 Patch1: 0001-Use-absolute-CMAKE_INSTALL_FULL_LIBDIR-for-libdir-in.patch
 BuildRequires:  cmake
 BuildRequires:  fltk-devel
@@ -116,7 +115,6 @@
 
 %prep
 %setup -q
-%patch0 -p1
 %patch1 -p1
 
 %build

++ v2.4.0.tar.gz -> v2.4.1.tar.gz ++
/work/SRC/openSUSE:Factory/openexr/v2.4.0.tar.gz 
/work/SRC/openSUSE:Factory/.openexr.new.2738/v2.4.1.tar.gz differ: char 15, 
line 1




commit python-kubernetes for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package python-kubernetes for 
openSUSE:Factory checked in at 2020-04-18 00:28:35

Comparing /work/SRC/openSUSE:Factory/python-kubernetes (Old)
 and  /work/SRC/openSUSE:Factory/.python-kubernetes.new.2738 (New)


Package is "python-kubernetes"

Sat Apr 18 00:28:35 2020 rev:13 rq:794512 version:11.0.0

Changes:

--- /work/SRC/openSUSE:Factory/python-kubernetes/python-kubernetes.changes  
2020-03-27 00:25:51.816274011 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-kubernetes.new.2738/python-kubernetes.changes
2020-04-18 00:29:11.397898196 +0200
@@ -1,0 +2,42 @@
+Thu Apr 16 07:18:05 UTC 2020 - pgaj...@suse.com
+
+- version update to 11.0.0
+  Kubernetes API Version: 1.15.10
+  **API Change:**
+  - Deleting CustomObjects doesn't require passing in the body anymore 
[kubernetes-client/gen#142](https://github.com/kubernetes-client/gen/pull/142)
+  **New Feature:**
+  - Add ability to the client to be used as Context Manager 
[kubernetes-client/python#1073](https://github.com/kubernetes-client/python/pull/1073)
+  - Enable the use of dynamic client 
[kubernetes-client/python#1035](https://github.com/kubernetes-client/python/pull/1035)
+  - Add option to refresh gcp token when config is cmd-path 
[kubernetes-client/python-base#175](https://github.com/kubernetes-client/python-base/pull/175)
+  **Bug Fix:**
+  - Add kubernetes.dynamic to setup.py pkg list 
[kubernetes-client/python#1096](https://github.com/kubernetes-client/python/pull/1096)
+  - Fixed issue in `__del__` method of the `ApiClient` that caused an 
indefinite hang during garbage collection. 
[kubernetes-client/python#1073](https://github.com/kubernetes-client/python/pull/1073)
+  - Fix custom object API example 
[kubernetes-client/python#1049](https://github.com/kubernetes-client/python/pull/1049)
+  - Fix deprecation warning in E2E tests 
[kubernetes-client/python#1036](https://github.com/kubernetes-client/python/pull/1036)
+  - Use `==/!=` to compare str, bytes, and int literals 
[kubernetes-client/python#1007](https://github.com/kubernetes-client/python/pull/1007)
+  - Fix apiserver_id 'get' method 
[kubernetes-client/python-base#184](https://github.com/kubernetes-client/python-base/pull/184)
+  - Fix persist_config flag and function calls 
[kubernetes-client/python-base#169](https://github.com/kubernetes-client/python-base/pull/169)
+  - Fix memory inneficiencies in the WebSocket client 
[kubernetes-client/python-base#178](https://github.com/kubernetes-client/python-base/pull/178)
+  - Fix functionality to watch logs when log line is not a JSON-serialized 
object 
[kubernetes-client/python-base#171](https://github.com/kubernetes-client/python-base/pull/171)
+  - Detect binary payloads and send the correct opcode 
[kubernetes-client/python-base#152](https://github.com/kubernetes-client/python-base/pull/152)
+  **Deprecation Notice**
+  v11.0.0 of the client follows the Kubernetes [deprecation 
policy](https://github.com/kubernetes/community/blob/master/contributors/design-proposals/release/versioning.md#supported-releases-and-component-skew)
 and will
+  be deprecated as and when Kubernetes version v1.15 gets deprecated.
+  **API Change:**
+  - Introduce `ExtensionsV1beta1RuntimeClassStrategyOptions` and 
`PolicyV1beta1RuntimeClassStrategyOptions`. Add RuntimeClass restrictions & 
defaulting to PodSecurityPolicy 
[kubernetes/kubernetes#73795](https://github.com/kubernetes/kubernetes/pull/73795)
+  - Introduce `V1WindowsSecurityContextOptions`. Add Windows specific options 
in Pod Security Context and Container Security Context 
[kubernetes/kubernetes#77147](https://github.com/kubernetes/kubernetes/pull/77147)
+  - Split `V1beta1Webhook` into `V1beta1MutatingWebhook` and 
`V1beta1ValidatingWebhook` 
[kubernetes/kubernetes#78491](https://github.com/kubernetes/kubernetes/pull/78491)
+  - Introduce parameter `allow_watch_bookmarks` in list options for requesting 
watch bookmarks from apiserver. The implementation in apiserver is hidden 
behind feature gate `WatchBookmark` (currently in Alpha stage) 
[kubernetes/kubernetes#74074](https://github.com/kubernetes/kubernetes/pull/74074)
+  - Add `V1DeleteOptions` parameters (`dry_run`, `grace_period_seconds`, 
`orphan_dependents`, `propagation_policy`) to delete collection APIs 
[kubernetes/kubernetes#77843](https://github.com/kubernetes/kubernetes/pull/77843)
+  - Add ListMeta.RemainingItemCount. When responding a LIST request, if the 
server has more data available, and if the request does not contain label 
selectors or field selectors, the server sets the 
ListOptions.RemainingItemCount to the number of remaining objects 
[kubernetes/kubernetes#75993](https://github.com/kubernetes/kubernetes/pull/75993)
+  - Add `controller_expand_secret_ref` in `V1SecretReference` to store CSI 
volume 

commit enchant for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package enchant for openSUSE:Factory checked 
in at 2020-04-18 00:28:46

Comparing /work/SRC/openSUSE:Factory/enchant (Old)
 and  /work/SRC/openSUSE:Factory/.enchant.new.2738 (New)


Package is "enchant"

Sat Apr 18 00:28:46 2020 rev:36 rq:794541 version:2.2.5

Changes:

--- /work/SRC/openSUSE:Factory/enchant/enchant.changes  2019-10-30 
14:38:40.665598733 +0100
+++ /work/SRC/openSUSE:Factory/.enchant.new.2738/enchant.changes
2020-04-18 00:29:18.929913792 +0200
@@ -1,0 +2,5 @@
+Mon Apr 13 07:36:20 UTC 2020 - Yifan Jiang 
+
+- Enable aspell support on SLE to synchronize with Leap.
+
+---



Other differences:
--
++ enchant.spec ++
--- /var/tmp/diff_new_pack.UMIeCC/_old  2020-04-18 00:29:19.721915432 +0200
+++ /var/tmp/diff_new_pack.UMIeCC/_new  2020-04-18 00:29:19.721915432 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package enchant
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -25,9 +25,7 @@
 URL:https://abiword.github.io/enchant/
 Source: 
https://github.com/AbiWord/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
 Source1:baselibs.conf
-%if 0%{?is_opensuse}
 BuildRequires:  aspell-devel
-%endif
 BuildRequires:  dbus-1-glib-devel
 BuildRequires:  gcc-c++
 BuildRequires:  glib2-devel
@@ -60,7 +58,6 @@
 
 This package provides data/configuration files for libenchant.
 
-%if 0%{?is_opensuse}
 %package -n enchant-2-backend-aspell
 Summary:Aspell backend for the Enchant spell checking library
 Group:  Productivity/Text/Spell
@@ -71,7 +68,6 @@
 Aspell plugin for enchant, a library providing an efficient
 extensible abstraction for dealing with different spell checking
 libraries.
-%endif
 
 %package -n enchant-2-backend-hunspell
 Summary:Hunspell backend for the Enchant spell checking library
@@ -123,12 +119,8 @@
 
 %build
 %configure \
-%if 0%{?is_opensuse}
 --disable-static \
 --with-aspell
-%else
---disable-static
-%endif
 make %{?_smp_mflags}
 
 %install
@@ -150,11 +142,9 @@
 %{_libdir}/*.so.*
 %dir %{_libdir}/enchant-2
 
-%if 0%{?is_opensuse}
 %files -n enchant-2-backend-aspell
 %dir %{_libdir}/enchant-2
 %{_libdir}/enchant-2/enchant_aspell.so
-%endif
 
 %files -n enchant-2-backend-hunspell
 %dir %{_libdir}/enchant-2




commit ilmbase for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package ilmbase for openSUSE:Factory checked 
in at 2020-04-18 00:28:49

Comparing /work/SRC/openSUSE:Factory/ilmbase (Old)
 and  /work/SRC/openSUSE:Factory/.ilmbase.new.2738 (New)


Package is "ilmbase"

Sat Apr 18 00:28:49 2020 rev:18 rq:794569 version:2.4.1

Changes:

--- /work/SRC/openSUSE:Factory/ilmbase/ilmbase.changes  2020-02-14 
16:22:59.363112974 +0100
+++ /work/SRC/openSUSE:Factory/.ilmbase.new.2738/ilmbase.changes
2020-04-18 00:29:20.825917718 +0200
@@ -1,0 +2,11 @@
+Thu Apr 16 10:43:36 UTC 2020 - pgaj...@suse.com
+
+- version update to 2.4.1
+  * Various fixes for memory leaks and invalid memory accesses
+  * Various fixes for integer overflow with large images.
+  * Various cmake fixes for build/install of python modules.
+  * ImfMisc.h is no longer installed, since it's a private header.
+- deleted patches
+  - Fix-the-symlinks-creation.patch (upstreamed)
+
+---

Old:

  Fix-the-symlinks-creation.patch
  v2.4.0.tar.gz

New:

  v2.4.1.tar.gz



Other differences:
--
++ ilmbase.spec ++
--- /var/tmp/diff_new_pack.s9uXI2/_old  2020-04-18 00:29:24.237924784 +0200
+++ /var/tmp/diff_new_pack.s9uXI2/_new  2020-04-18 00:29:24.241924791 +0200
@@ -21,7 +21,7 @@
 %define sonum 24
 %global so_suffix -2_4
 Name:   ilmbase
-Version:2.4.0
+Version:2.4.1
 Release:0
 Summary:Base library for ILM software (OpenEXR)
 License:BSD-3-Clause
@@ -29,8 +29,6 @@
 URL:http://www.openexr.com
 Source0:https://github.com/openexr/openexr/archive/v%{version}.tar.gz
 Source1:baselibs.conf
-# PATCH-FIX-UPSTREAM
-Patch0: Fix-the-symlinks-creation.patch
 Patch1: 0001-Use-absolute-CMAKE_INSTALL_FULL_LIBDIR-for-libdir-in.patch
 BuildRequires:  cmake
 BuildRequires:  gcc-c++
@@ -113,7 +111,6 @@
 
 %prep
 %setup -q -n openexr-%{version}
-%patch0 -p1
 %patch1 -p1
 
 %build

++ v2.4.0.tar.gz -> v2.4.1.tar.gz ++
/work/SRC/openSUSE:Factory/ilmbase/v2.4.0.tar.gz 
/work/SRC/openSUSE:Factory/.ilmbase.new.2738/v2.4.1.tar.gz differ: char 15, 
line 1




commit patterns-microos for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package patterns-microos for 
openSUSE:Factory checked in at 2020-04-18 00:28:12

Comparing /work/SRC/openSUSE:Factory/patterns-microos (Old)
 and  /work/SRC/openSUSE:Factory/.patterns-microos.new.2738 (New)


Package is "patterns-microos"

Sat Apr 18 00:28:12 2020 rev:14 rq:794453 version:5.0

Changes:

--- /work/SRC/openSUSE:Factory/patterns-microos/patterns-microos.changes
2020-03-17 13:07:05.533658307 +0100
+++ 
/work/SRC/openSUSE:Factory/.patterns-microos.new.2738/patterns-microos.changes  
2020-04-18 00:28:56.697867756 +0200
@@ -1,0 +2,7 @@
+Thu Apr 16 06:15:39 UTC 2020 - Thorsten Kukuk 
+
+- Install branding-openSUSE meta package
+- Put apparmor-utils only on DVD, but don't install by default
+  (follow Tumbleweed)
+
+---



Other differences:
--
++ patterns-microos.spec ++
--- /var/tmp/diff_new_pack.ojHpLS/_old  2020-04-18 00:28:57.417869247 +0200
+++ /var/tmp/diff_new_pack.ojHpLS/_new  2020-04-18 00:28:57.417869247 +0200
@@ -124,6 +124,7 @@
 Requires:   openSUSE-MicroOS-release
 Requires:   openSUSE-build-key
 Obsoletes:  suse-build-key < 12.1
+Requires:   branding-openSUSE
 %ifnarch s390x
 Requires:   grub2-branding-openSUSE
 %endif
@@ -204,7 +205,6 @@
 Obsoletes:  patterns-caasp-apparmor <= 4.0
 Requires:   apparmor-parser
 Requires:   apparmor-profiles
-Requires:   apparmor-utils
 
 %description apparmor
 Packages required to enable Apparmor on openSUSE MicroOS.
@@ -442,6 +442,7 @@
 Summary:Packages only for the DVD of openSUSE MicroOS
 Group:  Metapackages
 Provides:   pattern-category() = MicroOS
+Requires:   apparmor-utils
 Requires:   bcache-tools
 Requires:   cracklib-dict-full
 Requires:   cryptsetup




commit virtualbox for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package virtualbox for openSUSE:Factory 
checked in at 2020-04-18 00:27:47

Comparing /work/SRC/openSUSE:Factory/virtualbox (Old)
 and  /work/SRC/openSUSE:Factory/.virtualbox.new.2738 (New)


Package is "virtualbox"

Sat Apr 18 00:27:47 2020 rev:197 rq:794398 version:6.1.6

Changes:

--- /work/SRC/openSUSE:Factory/virtualbox/virtualbox.changes2020-04-15 
20:08:06.678171109 +0200
+++ /work/SRC/openSUSE:Factory/.virtualbox.new.2738/virtualbox.changes  
2020-04-18 00:28:49.293852424 +0200
@@ -1,0 +2,33 @@
+Wed Apr 15 17:40:41 UTC 2020 - Larry Finger 
+
+- Version bump to 6.1.6 (released April 14 2020 by Oracle)
+
+  This version fixes bsc#1169249, bsc#1169202, and bsc#1166782.
+
+  This is a maintenance release. The following items were fixed and/or added:
+
+  GUI: Multiple enhancements including visual elements updates
+  Graphics: Fixed monitor resizing and multi-monitor handling bugs on X11 
guests with VMSVGA graphics adapter
+  Graphics: Enhancements in 2D and 3D acceleration and rendering
+  USB: Multiple enhancements improving prformance and stability
+  Serial port: Improve error handling and fix hang when host port disappears
+  VBoxManage: Multiple fixes for guestcontrol operations
+  API: Fix for exception handling bug in Python bindings
+  Shared clipboard: Multiple fixes including possible crash and HTML data 
support
+  Linux host and guest: Support Linux kernel 5.6 (bug #19312)
+
+  File "VirtualBox-6.1.4-VBoxClient-vmsvga-x11-crash.patch" removed - fixed 
upstream.
+  File "fixes_for_5.6.patch" removed - fixed upstream.
+  File "change_default_display.patch" removed - fixed upstream.
+
+---
+Mon Apr 13 18:02:12 UTC 2020 - Larry Finger 
+
+- Fix bug that deletes everything in ~/.vbox/
+
+---
+Mon Apr 13 17:22:38 UTC 2020 - Larry Finger 
+
+- Fix builds for kernel 5.7. File "fixes_for_5.7.patch" is added.
+
+---

Old:

  VirtualBox-6.1.4-VBoxClient-vmsvga-x11-crash.patch
  VirtualBox-6.1.4-patched.tar.bz2
  change_default_display.patch
  fixes_for_5.6.patch

New:

  VirtualBox-6.1.6-patched.tar.bz2
  fixes_for_5.7.patch



Other differences:
--
++ virtualbox.spec ++
--- /var/tmp/diff_new_pack.q0FBVr/_old  2020-04-18 00:28:52.765859614 +0200
+++ /var/tmp/diff_new_pack.q0FBVr/_new  2020-04-18 00:28:52.765859614 +0200
@@ -47,7 +47,7 @@
 %define _udevrulesdir /usr/lib/udev/rules.d
 Name:   virtualbox
 # * If the VB version exceeds 6.1.x, notify the libvirt maintainer!!
-Version:6.1.4
+Version:6.1.6
 Release:0
 Summary:VirtualBox is an Emulator
 License:GPL-2.0-or-later
@@ -150,16 +150,12 @@
 Patch133:   fixes_for_leap15.2.patch
 # Fixes for API changes in kernel 5.6
 Patch134:   fixes_for_5.5.patch
-# Fixes for API changes in kernel 5.6
-Patch135:   fixes_for_5.6.patch
-# Fis VBoxClient Crashes
-Patch136:   VirtualBox-6.1.4-VBoxClient-vmsvga-x11-crash.patch
 # Fix build for Qt 5.15
-Patch137:   fix-missing-includes-with-qt-5.15.patch
+Patch135:   fix-missing-includes-with-qt-5.15.patch
 # Fix builds with GCC10
-Patch138:   fixes_for_gcc10.patch
-# Change default display type
-Patch139:   change_default_display.patch
+Patch136:   fixes_for_gcc10.patch
+# Fix build for kernel 5.7
+Patch137:   fixes_for_5.7.patch
 Patch999:   virtualbox-fix-ui-background-color.patch
 #
 BuildRequires:  LibVNCServer-devel
@@ -465,8 +461,6 @@
 %patch135 -p1
 %patch136 -p1
 %patch137 -p1
-%patch138 -p1
-%patch139 -p1
 # make VB UI background colors look sane again
 %patch999 -p1
 

++ UserManual.pdf ++
(binary differes)

++ VirtualBox-6.1.4-patched.tar.bz2 -> VirtualBox-6.1.6-patched.tar.bz2 
++
/work/SRC/openSUSE:Factory/virtualbox/VirtualBox-6.1.4-patched.tar.bz2 
/work/SRC/openSUSE:Factory/.virtualbox.new.2738/VirtualBox-6.1.6-patched.tar.bz2
 differ: char 11, line 1

++ fixes_for_5.6.patch -> fixes_for_5.7.patch ++
--- /work/SRC/openSUSE:Factory/virtualbox/fixes_for_5.6.patch   2020-04-15 
20:08:06.506170992 +0200
+++ /work/SRC/openSUSE:Factory/.virtualbox.new.2738/fixes_for_5.7.patch 
2020-04-18 00:28:49.245852325 +0200
@@ -1,106 +1,36 @@
-Index: VirtualBox-6.1.2/src/VBox/HostDrivers/VBoxPci/linux/VBoxPci-linux.c
+Index: VirtualBox-6.1.4/src/VBox/Additions/linux/drm/vbox_fb.c
 ===
 VirtualBox-6.1.2.orig/src/VBox/HostDrivers/VBoxPci/linux/VBoxPci-linux.c
-+++ VirtualBox-6.1.2/src/VBox/HostDrivers/VBoxPci/linux/VBoxPci-linux.c

commit libssh for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package libssh for openSUSE:Factory checked 
in at 2020-04-18 00:28:42

Comparing /work/SRC/openSUSE:Factory/libssh (Old)
 and  /work/SRC/openSUSE:Factory/.libssh.new.2738 (New)


Package is "libssh"

Sat Apr 18 00:28:42 2020 rev:62 rq:794523 version:0.9.4

Changes:

--- /work/SRC/openSUSE:Factory/libssh/libssh.changes2020-02-22 
19:05:32.562239571 +0100
+++ /work/SRC/openSUSE:Factory/.libssh.new.2738/libssh.changes  2020-04-18 
00:29:16.725909228 +0200
@@ -1,0 +2,6 @@
+Thu Apr  9 07:50:07 UTC 2020 - Andreas Schneider 
+
+- Update to version 0.9.4
+  * 
https://www.libssh.org/2020/04/09/libssh-0-9-4-and-libssh-0-8-9-security-release/
+
+---

Old:

  libssh-0.9.3.tar.xz
  libssh-0.9.3.tar.xz.asc

New:

  libssh-0.9.4.tar.xz
  libssh-0.9.4.tar.xz.asc



Other differences:
--
++ libssh.spec ++
--- /var/tmp/diff_new_pack.uTMeH7/_old  2020-04-18 00:29:17.997911862 +0200
+++ /var/tmp/diff_new_pack.uTMeH7/_new  2020-04-18 00:29:18.001911870 +0200
@@ -30,7 +30,7 @@
 %bcond_with test
 %endif
 Name:   libssh%{pkg_suffix}
-Version:0.9.3
+Version:0.9.4
 Release:0
 Summary:The SSH library
 License:LGPL-2.1-or-later

++ libssh-0.9.3.tar.xz -> libssh-0.9.4.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libssh-0.9.3/.gitlab-ci.yml 
new/libssh-0.9.4/.gitlab-ci.yml
--- old/libssh-0.9.3/.gitlab-ci.yml 2019-12-09 19:30:58.0 +0100
+++ new/libssh-0.9.4/.gitlab-ci.yml 2020-04-09 09:28:43.0 +0200
@@ -456,9 +456,11 @@
   - obj/scan
 
 visualstudio/x86_64:
+  variables:
+ErrorActionPreference: STOP
   script:
   - $env:VCPKG_DEFAULT_TRIPLET="x64-windows"
-  - cd obj
+  - mkdir -p obj; if ($?) {cd obj}; if (! $?) {exit 1}
   - cmake
   -A x64
   -DCMAKE_TOOLCHAIN_FILE="$env:VCPKG_TOOLCHAIN_FILE"
@@ -484,9 +486,11 @@
   - obj/
 
 visualstudio/x86:
+  variables:
+ErrorActionPreference: STOP
   script:
   - $env:VCPKG_DEFAULT_TRIPLET="x86-windows"
-  - cd obj
+  - mkdir -p obj; if ($?) {cd obj}; if (! $?) {exit 1}
   - cmake
   -DCMAKE_TOOLCHAIN_FILE="$env:VCPKG_TOOLCHAIN_FILE"
   -DPICKY_DEVELOPER=ON
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libssh-0.9.3/CMakeLists.txt 
new/libssh-0.9.4/CMakeLists.txt
--- old/libssh-0.9.3/CMakeLists.txt 2019-12-09 19:30:58.0 +0100
+++ new/libssh-0.9.4/CMakeLists.txt 2020-04-09 09:30:20.0 +0200
@@ -10,7 +10,7 @@
 include(DefineCMakeDefaults)
 include(DefineCompilerFlags)
 
-project(libssh VERSION 0.9.3 LANGUAGES C)
+project(libssh VERSION 0.9.4 LANGUAGES C)
 
 # global needed variable
 set(APPLICATION_NAME ${PROJECT_NAME})
@@ -22,7 +22,7 @@
 # Increment AGE. Set REVISION to 0
 #   If the source code was changed, but there were no interface changes:
 # Increment REVISION.
-set(LIBRARY_VERSION "4.8.4")
+set(LIBRARY_VERSION "4.8.5")
 set(LIBRARY_SOVERSION "4")
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is 
checked
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libssh-0.9.3/ChangeLog new/libssh-0.9.4/ChangeLog
--- old/libssh-0.9.3/ChangeLog  2019-12-09 19:30:58.0 +0100
+++ new/libssh-0.9.4/ChangeLog  2020-04-09 09:30:20.0 +0200
@@ -1,6 +1,12 @@
 ChangeLog
 ==
 
+version 0.9.4 (released 2020-04-09)
+  * Fixed CVE-2020-1730 - Possible DoS in client and server when handling
+AES-CTR keys with OpenSSL
+  * Added diffie-hellman-group14-sha256
+  * Fixed serveral possible memory leaks
+
 version 0.9.3 (released 2019-12-10)
   * Fixed CVE-2019-14889 - SCP: Unsanitized location leads to command execution
   * SSH-01-003 Client: Missing NULL check leads to crash in erroneous state
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libssh-0.9.3/doc/CMakeLists.txt 
new/libssh-0.9.4/doc/CMakeLists.txt
--- old/libssh-0.9.3/doc/CMakeLists.txt 2019-10-16 10:19:59.0 +0200
+++ new/libssh-0.9.4/doc/CMakeLists.txt 2020-03-30 09:46:07.0 +0200
@@ -15,6 +15,8 @@
 set(DOXYGEN_MARKDOWN_SUPPORT YES)
 
 set(DOXYGEN_PREDEFINED DOXYGEN
+   WITH_SERVER
+   WITH_SFTP
PRINTF_ATTRIBUTE(x,y))
 
 set(DOXYGEN_EXCLUDE ${CMAKE_CURRENT_SOURCE_DIR}/that_style)
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libssh-0.9.3/doc/linking.dox 
new/libssh-0.9.4/doc/linking.dox
--- old/libssh-0.9.3/doc/linking.dox2019-10-16 

commit podman for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package podman for openSUSE:Factory checked 
in at 2020-04-18 00:28:26

Comparing /work/SRC/openSUSE:Factory/podman (Old)
 and  /work/SRC/openSUSE:Factory/.podman.new.2738 (New)


Package is "podman"

Sat Apr 18 00:28:26 2020 rev:61 rq:794479 version:1.9.0

Changes:

--- /work/SRC/openSUSE:Factory/podman/podman.changes2020-04-05 
20:53:01.533152788 +0200
+++ /work/SRC/openSUSE:Factory/.podman.new.2738/podman.changes  2020-04-18 
00:29:08.237891652 +0200
@@ -1,0 +2,61 @@
+Thu Apr 16 06:33:21 UTC 2020 - Sascha Grunert 
+
+- Switched to simple `make binaries` for building podman
+- Update podman to v1.8.2:
+  * Features
+- Experimental support has been added for podman run
+  --userns=auto, which automatically allocates a unique UID and
+  GID range for the new container's user namespace
+- The podman play kube command now has a --network flag to
+  place the created pod in one or more CNI networks
+- The podman commit command now supports an --iidfile flag to
+  write the ID of the committed image to a file
+- Initial support for the new containers.conf configuration
+  file has been added. containers.conf allows for much more
+  detailed configuration of some Podman functionality
+  * Changes
+- There has been a major cleanup of the podman info command
+  resulting in breaking changes. Many fields have been renamed
+  to better suit usage with APIv2
+- All uses of the --timeout flag have been switched to prefer
+  the alternative --time. The --timeout flag will continue to
+  work, but man pages and --help will use the --time flag
+  instead
+  * Bugfixes
+- Fixed a bug where some volume mounts from the host would
+  sometimes not properly determine the flags they should use
+  when mounting
+- Fixed a bug where Podman was not propagating $PATH to Conmon
+  and the OCI runtime, causing issues for some OCI runtimes
+  that required it
+- Fixed a bug where rootless Podman would print error messages
+  about missing support for systemd cgroups when run in a
+  container with no cgroup support
+- Fixed a bug where podman play kube would not properly handle
+  container-only port mappings (#5610)
+- Fixed a bug where the podman container prune command was not
+  pruning containers in the created and configured states
+- Fixed a bug where Podman was not properly removing CNI IP
+  address allocations after a reboot (#5433)
+- Fixed a bug where Podman was not properly applying the
+  default Seccomp profile when --security-opt was not given at
+  the command line
+  * HTTP API
+- Many Libpod API endpoints have been added, including Changes,
+  Checkpoint, Init, and Restore
+- Resolved issues where the podman system service command would
+  time out and exit while there were still active connections
+- Stability overall has greatly improved as we prepare the API
+  for a beta release soon with Podman 2.0
+  * Misc
+- The default infra image for pods has been upgraded to
+  k8s.gcr.io/pause:3.2 (from 3.1) to address a bug in the
+  architecture metadata for non-AMD64 images
+- The slirp4netns networking utility in rootless Podman now
+  uses Seccomp filtering where available for improved security
+- Updated Buildah to v1.14.8
+- Updated containers/storage to v1.18.2
+- Updated containers/image to v5.4.3
+- Updated containers/common to v0.8.1
+
+---

Old:

  podman-1.8.2.tar.xz

New:

  podman-1.9.0.tar.xz



Other differences:
--
++ podman.spec ++
--- /var/tmp/diff_new_pack.qojw0E/_old  2020-04-18 00:29:09.289893831 +0200
+++ /var/tmp/diff_new_pack.qojw0E/_new  2020-04-18 00:29:09.293893838 +0200
@@ -22,7 +22,7 @@
 %define with_libostree 1
 %endif
 Name:   podman
-Version:1.8.2
+Version:1.9.0
 Release:0
 Summary:Daemon-less container engine for managing containers, pods and 
images
 License:Apache-2.0
@@ -107,29 +107,8 @@
 cp -avr * $HOME/go/src/%{project}
 cd $HOME/go/src/%{project}
 
-%if 0%{?with_libostree}
-echo "Compiling with libostree support"
-export BUILDTAGS="seccomp apparmor varlink systemd"
-%else
-echo "Compiling without libostree support"
-export BUILDTAGS="seccomp apparmor varlink containers_image_ostree_stub 
systemd"
-%endif
-
 # Build podman
-go generate ./cmd/podman/varlink/...
-
-go build -tags "$BUILDTAGS" \
- -buildmode=pie \
- -ldflags '-s -w -X main.podmanVersion=%{version}' \
- -o bin/podman \
- %{project}/cmd/podman
-
-# Build remote client

commit skopeo for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package skopeo for openSUSE:Factory checked 
in at 2020-04-18 00:28:16

Comparing /work/SRC/openSUSE:Factory/skopeo (Old)
 and  /work/SRC/openSUSE:Factory/.skopeo.new.2738 (New)


Package is "skopeo"

Sat Apr 18 00:28:16 2020 rev:14 rq:794456 version:0.2.0

Changes:

--- /work/SRC/openSUSE:Factory/skopeo/skopeo.changes2020-03-06 
21:26:42.661529452 +0100
+++ /work/SRC/openSUSE:Factory/.skopeo.new.2738/skopeo.changes  2020-04-18 
00:28:59.945874482 +0200
@@ -1,0 +2,19 @@
+Tue Apr 14 07:25:44 UTC 2020 - Sascha Grunert 
+
+- Update to skopeo v0.2.0:
+  - Update on #834: force runc only when cgroupsv1
+  - Update docs/skopeo.1.md
+  - Add example with repository
+  - Skopeo should support for BigFilesTemporaryDir (SystemContext)
+  - Use fully-qualified image names
+  - Add support for REGISTRY_AUTH_FILE
+  - Partial image encryption support
+  - Remove the list_tags integration test since it does not cover
+much not already tested by the upstream container/images repo
+or local unit tests
+  - Updates based on code review to simplify logic and tests
+  - Fix inconsistency in manpage example for list-tags
+  - Adds "list-tags" command to list tags with no known tag
+required
+
+---

Old:

  skopeo-0.1.41.tar.xz

New:

  skopeo-0.2.0.tar.xz



Other differences:
--
++ skopeo.spec ++
--- /var/tmp/diff_new_pack.7z6ISP/_old  2020-04-18 00:29:00.545875724 +0200
+++ /var/tmp/diff_new_pack.7z6ISP/_new  2020-04-18 00:29:00.549875733 +0200
@@ -24,7 +24,7 @@
 %define with_libostree 1
 %endif
 Name:   skopeo
-Version:0.1.41
+Version:0.2.0
 Release:0
 Summary:Container image repository tool
 License:Apache-2.0

++ _service ++
--- /var/tmp/diff_new_pack.7z6ISP/_old  2020-04-18 00:29:00.573875782 +0200
+++ /var/tmp/diff_new_pack.7z6ISP/_new  2020-04-18 00:29:00.573875782 +0200
@@ -3,8 +3,8 @@
 https://github.com/containers/skopeo
 git
 skopeo
-0.1.41
-v0.1.41
+0.2.0
+v0.2.0
 .git
   
   

++ skopeo-0.1.41.tar.xz -> skopeo-0.2.0.tar.xz ++
 162731 lines of diff (skipped)




commit SDL2 for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package SDL2 for openSUSE:Factory checked in 
at 2020-04-18 00:28:30

Comparing /work/SRC/openSUSE:Factory/SDL2 (Old)
 and  /work/SRC/openSUSE:Factory/.SDL2.new.2738 (New)


Package is "SDL2"

Sat Apr 18 00:28:30 2020 rev:31 rq:794506 version:2.0.12

Changes:

--- /work/SRC/openSUSE:Factory/SDL2/SDL2.changes2020-03-14 
09:54:15.627062572 +0100
+++ /work/SRC/openSUSE:Factory/.SDL2.new.2738/SDL2.changes  2020-04-18 
00:29:09.593894460 +0200
@@ -1,0 +2,5 @@
+Thu Apr 16 08:32:06 UTC 2020 - Jan Engelhardt 
+
+- Restore libSDL2main.a, patching it out was not easily possible.
+
+---



Other differences:
--
++ SDL2.spec ++
--- /var/tmp/diff_new_pack.HFPukT/_old  2020-04-18 00:29:10.513896365 +0200
+++ /var/tmp/diff_new_pack.HFPukT/_new  2020-04-18 00:29:10.517896373 +0200
@@ -137,9 +137,11 @@
 %install
 %make_install
 rm -f "%buildroot/%_libdir"/*.la
-# We do not want static libs, but using --disable-static leads to make aborting
-# halfway through %%build. Now it can be removed though.
-rm -f "%buildroot/%_libdir/"*.a
+rm -fv "%buildroot/%_libdir/libSDL2.a" "%buildroot/%_libdir/libSDL2_test.a"
+# Need to keep libSDL2main.a (empty lib), because it is referenced by
+# sdl2-config.cmake, and it seems like that .cmake file cannot be edited to
+# make SDL2::SDL2main a phony target with no file (just leads to more Makefile
+# errors down the road).
 
 %post   -n %lname -p /sbin/ldconfig
 %postun -n %lname -p /sbin/ldconfig
@@ -157,5 +159,6 @@
 %_datadir/aclocal/sdl2.m4
 %_libdir/pkgconfig/sdl2.pc
 %_libdir/cmake/SDL2/
+%_libdir/libSDL2main.a
 
 %changelog





commit kdiagram for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package kdiagram for openSUSE:Factory 
checked in at 2020-04-18 00:28:21

Comparing /work/SRC/openSUSE:Factory/kdiagram (Old)
 and  /work/SRC/openSUSE:Factory/.kdiagram.new.2738 (New)


Package is "kdiagram"

Sat Apr 18 00:28:21 2020 rev:4 rq:794475 version:2.6.3

Changes:

--- /work/SRC/openSUSE:Factory/kdiagram/kdiagram.changes2020-03-31 
17:32:21.168264264 +0200
+++ /work/SRC/openSUSE:Factory/.kdiagram.new.2738/kdiagram.changes  
2020-04-18 00:29:03.297881423 +0200
@@ -1,0 +2,6 @@
+Wed Apr 15 06:23:18 UTC 2020 - Christophe Giboudeaux 
+
+- Update to 2.6.3
+  * KChart: Mark layout as dirty when painting a rect != geometry()
+
+---

Old:

  kdiagram-2.6.2.tar.xz

New:

  kdiagram-2.6.3.tar.xz



Other differences:
--
++ kdiagram.spec ++
--- /var/tmp/diff_new_pack.0IdIyR/_old  2020-04-18 00:29:03.921882715 +0200
+++ /var/tmp/diff_new_pack.0IdIyR/_new  2020-04-18 00:29:03.929882731 +0200
@@ -18,7 +18,7 @@
 
 %bcond_without lang
 Name:   kdiagram
-Version:2.6.2
+Version:2.6.3
 Release:0
 Summary:Powerful libraries (KChart, KGantt) for creating business 
diagrams
 License:GPL-2.0-or-later

++ kdiagram-2.6.2.tar.xz -> kdiagram-2.6.3.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/kdiagram-2.6.2/po/nn/kchart_qt.po 
new/kdiagram-2.6.3/po/nn/kchart_qt.po
--- old/kdiagram-2.6.2/po/nn/kchart_qt.po   2020-03-28 13:57:46.0 
+0100
+++ new/kdiagram-2.6.3/po/nn/kchart_qt.po   2020-04-12 14:02:33.0 
+0200
@@ -6,7 +6,7 @@
 "Project-Id-Version: \n"
 "PO-Revision-Date: 2016-03-12 08:11+0100\n"
 "Last-Translator: Karl Ove Hufthammer \n"
-"Language-Team: Norwegian Nynorsk \n"
+"Language-Team: Norwegian Nynorsk \n"
 "Language: nn\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/kdiagram-2.6.2/po/nn/kgantt_qt.po 
new/kdiagram-2.6.3/po/nn/kgantt_qt.po
--- old/kdiagram-2.6.2/po/nn/kgantt_qt.po   2020-03-28 13:57:46.0 
+0100
+++ new/kdiagram-2.6.3/po/nn/kgantt_qt.po   2020-04-12 14:02:33.0 
+0200
@@ -6,7 +6,7 @@
 "Project-Id-Version: \n"
 "PO-Revision-Date: 2016-03-12 08:12+0100\n"
 "Last-Translator: Karl Ove Hufthammer \n"
-"Language-Team: Norwegian Nynorsk \n"
+"Language-Team: Norwegian Nynorsk \n"
 "Language: nn\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/kdiagram-2.6.2/src/KChart/CMakeLists.txt 
new/kdiagram-2.6.3/src/KChart/CMakeLists.txt
--- old/kdiagram-2.6.2/src/KChart/CMakeLists.txt2020-03-28 
13:56:20.0 +0100
+++ new/kdiagram-2.6.3/src/KChart/CMakeLists.txt2020-04-12 
14:01:10.0 +0200
@@ -1,4 +1,4 @@
-set( KCHARTLIB_VERSION "2.6.2" )
+set( KCHARTLIB_VERSION "2.6.3" )
 
 ecm_setup_version(${KCHARTLIB_VERSION}
 VARIABLE_PREFIX KCHART
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/kdiagram-2.6.2/src/KChart/KChartChart.cpp 
new/kdiagram-2.6.3/src/KChart/KChartChart.cpp
--- old/kdiagram-2.6.2/src/KChart/KChartChart.cpp   2020-03-28 
13:56:20.0 +0100
+++ new/kdiagram-2.6.3/src/KChart/KChartChart.cpp   2020-04-12 
14:01:10.0 +0200
@@ -1358,8 +1358,11 @@
 PrintingParameters::setScaleFactor( qreal( 
painter->device()->logicalDpiX() ) / qreal( logicalDpiX() ) );
 
 const QRect oldGeometry( geometry() );
-if ( oldGeometry != rect )
+if ( oldGeometry != rect ) {
 setGeometry( rect );
+d->isPlanesLayoutDirty = true;
+d->isFloatingLegendsLayoutDirty = true;
+}
 painter->translate( rect.left(), rect.top() );
 d->paintAll( painter );
 
@@ -1368,8 +1371,11 @@
 // painter->drawRect( rect );
 
 painter->translate( -rect.left(), -rect.top() );
-if ( oldGeometry != rect )
+if ( oldGeometry != rect ) {
 setGeometry( oldGeometry );
+d->isPlanesLayoutDirty = true;
+d->isFloatingLegendsLayoutDirty = true;
+}
 
 PrintingParameters::setScaleFactor( prevScaleFactor );
 GlobalMeasureScaling::setPaintDevice( prevDevice );
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/kdiagram-2.6.2/src/KGantt/CMakeLists.txt 
new/kdiagram-2.6.3/src/KGantt/CMakeLists.txt
--- old/kdiagram-2.6.2/src/KGantt/CMakeLists.txt2020-03-28 
13:56:20.0 +0100
+++ new/kdiagram-2.6.3/src/KGantt/CMakeLists.txt2020-04-12 

commit go1.11 for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package go1.11 for openSUSE:Factory checked 
in at 2020-04-18 00:28:06

Comparing /work/SRC/openSUSE:Factory/go1.11 (Old)
 and  /work/SRC/openSUSE:Factory/.go1.11.new.2738 (New)


Package is "go1.11"

Sat Apr 18 00:28:06 2020 rev:20 rq:794415 version:1.11.13

Changes:

--- /work/SRC/openSUSE:Factory/go1.11/go1.11.changes2020-03-27 
21:57:10.258788339 +0100
+++ /work/SRC/openSUSE:Factory/.go1.11.new.2738/go1.11.changes  2020-04-18 
00:28:55.161864576 +0200
@@ -1,0 +2,5 @@
+Wed Apr 15 09:24:41 UTC 2020 - Guillaume GARDET 
+
+- armv7 build hangs with gcc7-go on Leap 15.2, so use go1.4 (bsc#1167874)
+
+---



Other differences:
--
++ go1.11.spec ++
--- /var/tmp/diff_new_pack.RfQ4sM/_old  2020-04-18 00:28:56.509867366 +0200
+++ /var/tmp/diff_new_pack.RfQ4sM/_new  2020-04-18 00:28:56.513867375 +0200
@@ -30,8 +30,11 @@
 # The fallback boostrap method via go1.4 would work for Leap
 # but we don't have go1.4 in there. Same for SLE15+
 %if ( 0%{?suse_version} < 1550 && 0%{?is_opensuse} ) || ( 0%{?suse_version} >= 
1500 && ! 0%{?is_opensuse} )
+%ifnarch %arm
+# armv7 build hangs with gcc7-go on Leap 15.2, so use go1.4 - boo#1167874
 %define with_gccgo 1
 %endif
+%endif
 
 # The fallback bootstrap method via go1.4 doesn't work
 # for aarch64 nor ppc64le because go 1.4 did not support that architecture.




commit nginx for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package nginx for openSUSE:Factory checked 
in at 2020-04-18 00:27:58

Comparing /work/SRC/openSUSE:Factory/nginx (Old)
 and  /work/SRC/openSUSE:Factory/.nginx.new.2738 (New)


Package is "nginx"

Sat Apr 18 00:27:58 2020 rev:49 rq:794414 version:1.17.10

Changes:

--- /work/SRC/openSUSE:Factory/nginx/nginx.changes  2020-03-17 
13:06:14.233618915 +0100
+++ /work/SRC/openSUSE:Factory/.nginx.new.2738/nginx.changes2020-04-18 
00:28:53.517861171 +0200
@@ -1,0 +2,7 @@
+Wed Apr 15 13:12:58 UTC 2020 - Илья Индиго 
+
+- Update to 1.17.10
+  * https://nginx.org/en/CHANGES
+  * The "auth_delay" directive.
+
+---

Old:

  nginx-1.17.9.tar.gz
  nginx-1.17.9.tar.gz.asc

New:

  nginx-1.17.10.tar.gz
  nginx-1.17.10.tar.gz.asc



Other differences:
--
++ nginx.spec ++
--- /var/tmp/diff_new_pack.Zep3js/_old  2020-04-18 00:28:54.585863382 +0200
+++ /var/tmp/diff_new_pack.Zep3js/_new  2020-04-18 00:28:54.589863391 +0200
@@ -76,7 +76,7 @@
 %endif
 #
 Name:   nginx
-Version:1.17.9
+Version:1.17.10
 Release:0
 Summary:A HTTP server and IMAP/POP3 proxy server
 License:BSD-2-Clause
@@ -91,7 +91,6 @@
 Source6:
https://github.com/yaoweibin/nginx_upstream_check_module/archive/v%{nginx_upstream_check_version}/%{nginx_upstream_check_module_path}.tar.gz
 Source7:
https://github.com/arut/nginx-rtmp-module/archive/v%{nginx_rtmp_version}/%{nginx_rtmp_module_path}.tar.gz
 Source8:
https://github.com/leev/ngx_http_geoip2_module/archive/%{nginx_geoip2_version}.tar.gz#/%{nginx_geoip2_module_path}.tar.gz
-
 Source100:  nginx.rpmlintrc
 Source101:  https://nginx.org/download/%{name}-%{version}.tar.gz.asc
 Source102:  https://nginx.org/keys/mdounin.key#/%{name}.keyring

++ nginx-1.17.9.tar.gz -> nginx-1.17.10.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/nginx-1.17.9/CHANGES new/nginx-1.17.10/CHANGES
--- old/nginx-1.17.9/CHANGES2020-03-03 16:04:25.0 +0100
+++ new/nginx-1.17.10/CHANGES   2020-04-14 16:19:29.0 +0200
@@ -1,4 +1,9 @@
 
+Changes with nginx 1.17.10   14 Apr 2020
+
+*) Feature: the "auth_delay" directive.
+
+
 Changes with nginx 1.17.903 Mar 2020
 
 *) Change: now nginx does not allow several "Host" request header lines.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/nginx-1.17.9/CHANGES.ru new/nginx-1.17.10/CHANGES.ru
--- old/nginx-1.17.9/CHANGES.ru 2020-03-03 16:04:24.0 +0100
+++ new/nginx-1.17.10/CHANGES.ru2020-04-14 16:19:28.0 +0200
@@ -1,4 +1,9 @@
 
+Изменения в nginx 1.17.10 14.04.2020
+
+*) Добавление: директива auth_delay.
+
+
 Изменения в nginx 1.17.9  03.03.2020
 
 *) Изменение: теперь nginx не разрешает несколько строк "Host" в
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/nginx-1.17.9/src/core/nginx.h 
new/nginx-1.17.10/src/core/nginx.h
--- old/nginx-1.17.9/src/core/nginx.h   2020-03-03 16:04:21.0 +0100
+++ new/nginx-1.17.10/src/core/nginx.h  2020-04-14 16:19:26.0 +0200
@@ -9,8 +9,8 @@
 #define _NGINX_H_INCLUDED_
 
 
-#define nginx_version  1017009
-#define NGINX_VERSION  "1.17.9"
+#define nginx_version  1017010
+#define NGINX_VERSION  "1.17.10"
 #define NGINX_VER  "nginx/" NGINX_VERSION
 
 #ifdef NGX_BUILD
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/nginx-1.17.9/src/http/modules/ngx_http_auth_basic_module.c 
new/nginx-1.17.10/src/http/modules/ngx_http_auth_basic_module.c
--- old/nginx-1.17.9/src/http/modules/ngx_http_auth_basic_module.c  
2020-03-03 16:04:21.0 +0100
+++ new/nginx-1.17.10/src/http/modules/ngx_http_auth_basic_module.c 
2020-04-14 16:19:26.0 +0200
@@ -25,7 +25,6 @@
 ngx_str_t *passwd, ngx_str_t *realm);
 static ngx_int_t ngx_http_auth_basic_set_realm(ngx_http_request_t *r,
 ngx_str_t *realm);
-static void ngx_http_auth_basic_close(ngx_file_t *file);
 static void *ngx_http_auth_basic_create_loc_conf(ngx_conf_t *cf);
 static char *ngx_http_auth_basic_merge_loc_conf(ngx_conf_t *cf,
 void *parent, void *child);
@@ -177,8 +176,8 @@
   offset);
 
 if (n == NGX_ERROR) {
-ngx_http_auth_basic_close();
-return NGX_HTTP_INTERNAL_SERVER_ERROR;
+rc = NGX_HTTP_INTERNAL_SERVER_ERROR;
+goto 

commit xen for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package xen for openSUSE:Factory checked in 
at 2020-04-18 00:27:30

Comparing /work/SRC/openSUSE:Factory/xen (Old)
 and  /work/SRC/openSUSE:Factory/.xen.new.2738 (New)


Package is "xen"

Sat Apr 18 00:27:30 2020 rev:283 rq:794376 version:4.13.0_12

Changes:

--- /work/SRC/openSUSE:Factory/xen/xen.changes  2020-03-27 21:55:41.818736895 
+0100
+++ /work/SRC/openSUSE:Factory/.xen.new.2738/xen.changes2020-04-18 
00:27:37.169703076 +0200
@@ -1,0 +2,44 @@
+Tue Apr 14 11:06:08 MDT 2020 - carn...@suse.com
+
+- bsc#1169392 - VUL-0: CVE-2020-11742: xen: Bad continuation
+  handling in GNTTABOP_copy (XSA-318)
+  5e95afb8-gnttab-fix-GNTTABOP_copy-continuation-handling.patch
+
+---
+Mon Apr  6 12:01:45 MDT 2020 - carn...@suse.com
+
+- bsc#1168140 - VUL-0: CVE-2020-11740, CVE-2020-11741: xen: XSA-313
+  multiple xenoprof issues
+  5e95ad61-xenoprof-clear-buffer-intended-to-be-shared-with-guests.patch
+  5e95ad8f-xenoprof-limit-consumption-of-shared-buffer-data.patch
+- bsc#1168142 - VUL-0: CVE-2020-11739: xen: XSA-314 - Missing
+  memory barriers in read-write unlock paths
+  5e95ae77-Add-missing-memory-barrier-in-the-unlock-path-of-rwlock.patch
+- bsc#1168143 - VUL-0: CVE-2020-11743: xen: XSA-316 - Bad error
+  path in GNTTABOP_map_grant
+  5e95af5e-xen-gnttab-Fix-error-path-in-map_grant_ref.patch
+- bsc#1167152 - L3: Xenstored Crashed during VM install Need Core
+  analyzed
+  5e876b0f-tools-xenstore-fix-use-after-free-in-xenstored.patch
+- bsc#1165206 - Xen 4.12 DomU hang / freeze / stall / NMI watchdog
+  bug soft lockup CPU #0 stuck under high load / upstream with
+  workaround. See also bsc#1134506
+  5e86f7b7-credit2-avoid-vCPUs-with-lower-creds-than-idle.patch
+  5e86f7fd-credit2-fix-credit-too-few-resets.patch
+- Drop for upstream solution (bsc#1165206)
+  01-xen-credit2-avoid-vcpus-to.patch
+  default-to-credit1-scheduler.patch
+- Upstream bug fixes (bsc#1027519)
+  5e4ec20e-x86-virtualise-MSR_PLATFORM_ID-properly.patch
+  5e5e7188-fix-error-path-in-cpupool_unassign_cpu_start.patch
+  5e6f53dd-AMD-IOMMU-fix-off-by-one-get_paging_mode.patch
+  5e7a371c-sched-fix-cpu-onlining-with-core-sched.patch
+  5e7c90cf-sched-fix-cpu-offlining-with-core-sched.patch
+  5e7cfb29-x86-ucode-AMD-fix-assert-in-compare_patch.patch
+  5e7cfb29-x86-ucode-fix-error-paths-in-apply_microcode.patch
+  5e7dd83b-libx86-CPUID-fix-not-just-leaf-7.patch
+  5e7dfbf6-x86-ucode-AMD-potential-buffer-overrun-equiv-tab.patch
+  5e846cce-x86-HVM-fix-AMD-ECS-handling-for-Fam10.patch
+  5e84905c-x86-ucode-AMD-fix-more-potential-buffer-overruns.patch
+
+---

Old:

  01-xen-credit2-avoid-vcpus-to.patch
  default-to-credit1-scheduler.patch

New:

  5e4ec20e-x86-virtualise-MSR_PLATFORM_ID-properly.patch
  5e5e7188-fix-error-path-in-cpupool_unassign_cpu_start.patch
  5e6f53dd-AMD-IOMMU-fix-off-by-one-get_paging_mode.patch
  5e7a371c-sched-fix-cpu-onlining-with-core-sched.patch
  5e7c90cf-sched-fix-cpu-offlining-with-core-sched.patch
  5e7cfb29-x86-ucode-AMD-fix-assert-in-compare_patch.patch
  5e7cfb29-x86-ucode-fix-error-paths-in-apply_microcode.patch
  5e7dd83b-libx86-CPUID-fix-not-just-leaf-7.patch
  5e7dfbf6-x86-ucode-AMD-potential-buffer-overrun-equiv-tab.patch
  5e846cce-x86-HVM-fix-AMD-ECS-handling-for-Fam10.patch
  5e84905c-x86-ucode-AMD-fix-more-potential-buffer-overruns.patch
  5e86f7b7-credit2-avoid-vCPUs-with-lower-creds-than-idle.patch
  5e86f7fd-credit2-fix-credit-too-few-resets.patch
  5e876b0f-tools-xenstore-fix-use-after-free-in-xenstored.patch
  5e95ad61-xenoprof-clear-buffer-intended-to-be-shared-with-guests.patch
  5e95ad8f-xenoprof-limit-consumption-of-shared-buffer-data.patch
  5e95ae77-Add-missing-memory-barrier-in-the-unlock-path-of-rwlock.patch
  5e95af5e-xen-gnttab-Fix-error-path-in-map_grant_ref.patch
  5e95afb8-gnttab-fix-GNTTABOP_copy-continuation-handling.patch



Other differences:
--
++ xen.spec ++
--- /var/tmp/diff_new_pack.CM6yhr/_old  2020-04-18 00:27:40.393709753 +0200
+++ /var/tmp/diff_new_pack.CM6yhr/_new  2020-04-18 00:27:40.397709761 +0200
@@ -127,7 +127,7 @@
 BuildRequires:  pesign-obs-integration
 %endif
 
-Version:4.13.0_11
+Version:4.13.0_12
 Release:0
 Summary:Xen Virtualization: Hypervisor (aka VMM aka Microkernel)
 License:GPL-2.0-only
@@ -183,6 +183,25 @@
 Patch15:5e4c00ef-VT-d-check-full-RMRR-for-E820-reserved.patch
 Patch16:5e4d4f5b-sched-fix-get_cpu_idle_time-with-core-sched.patch
 Patch17:
5e4e614d-x86-spec-ctrl-no-xen-also-disables-branch-hardening.patch
+Patch18:

commit go1.12 for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package go1.12 for openSUSE:Factory checked 
in at 2020-04-18 00:27:20

Comparing /work/SRC/openSUSE:Factory/go1.12 (Old)
 and  /work/SRC/openSUSE:Factory/.go1.12.new.2738 (New)


Package is "go1.12"

Sat Apr 18 00:27:20 2020 rev:18 rq:794691 version:1.12.17

Changes:

--- /work/SRC/openSUSE:Factory/go1.12/go1.12.changes2020-02-19 
12:39:57.231556857 +0100
+++ /work/SRC/openSUSE:Factory/.go1.12.new.2738/go1.12.changes  2020-04-18 
00:27:29.701687613 +0200
@@ -1,0 +2,5 @@
+Thu Apr 16 20:07:04 UTC 2020 - Jeff Kowalczyk 
+
+- Revert truncate changelog for versions older than go1.12
+
+---
@@ -301,0 +307,1928 @@
+
+---
+Fri Feb  8 13:59:13 UTC 2019 - Jan Engelhardt 
+
+- Fix erroneous trailing backslash in %post script.
+- Use better forms of -exec \; in some places.
+
+---
+Thu Jan 24 04:34:37 UTC 2019 - Jeff Kowalczyk 
+
+- go1.11.5 (released 2019/01/23) security release fixes CVE-2019-6486 
(bsc#1123013).
+  * go#29903 crypto/elliptic: CPU DoS vulnerability affecting P-521 and P-384
+
+---
+Sat Dec 15 12:45:31 UTC 2018 - Aleksa Sarai 
+
+- Make our profile.d/go.sh no longer set GOROOT=, in order to make switching
+  between versions no longer break. This ends up removing the need for go.sh
+  entirely (because GOPATH is also set automatically). boo#1119634
+
+---
+Sat Dec 15 06:01:39 UTC 2018 - Jeff Kowalczyk 
+
+- go1.11.4 (released 2018/12/14) includes fixes to cgo, the compiler, linker,
+  runtime, documentation, go command, and the net/http and go/types packages.
+  It includes a fix to a bug introduced in Go 1.11.3 that broke go get for
+  import path patterns containing "..." (boo#1119706). See the Go 1.11.4 
milestone on our
+  issue tracker for details.
+  
https://github.com/golang/go/issues?q=milestone%3AGo1.11.4+label%3ACherryPickApproved
+  * go#29272 misc/cgo/test: issue24161 tests broken on Darwin
+  * go#29248 cmd/go: "go get" fails on import path patterns with wildcards 
("...")
+  * go#29191 cmd/go: symbolic links not dropped from repo
+  * go#29112 cmd/link: too many open files on high object-count dependencies
+  * go#28974 cmd/go: need to backport relaxing of go.mod go verb constraints 
to 1.11 series
+  * go#28972 go/types: problem with alias type
+  * go#28916 cmd/cgo: nested structure has too much alignment padding
+  * go#28799 runtime: fatal error: out of memory on reslice with negative index
+  * go#28752 reflect: scanning invalid return slots during a makeFunc call
+  * go#28725 cmd/go: panic when argument doesn't match any packages
+  * go#28694 cmd/compile: inline multiplication corrupts an argument on arm
+  * go#28690 runtime: ThreadSanitizer CHECK failed
+  * go#28673 x/net/http2: Transport is leaking streams on broken Body
+  * go#28617 cmd/compile: panic during fuse with if true block containing a 
goto and a return
+  * go#28586 cmd/compile: go binaries not working on exynos 64 bit CPUs
+  * go#27395 cmd/cgo: typedef pointer arguments regression
+  * go#27383 cmd/compile: failure on a function type alias
+
+---
+Thu Dec 13 23:26:59 UTC 2018 - Jeff Kowalczyk 
+
+- Update to Go 1.11.3 (released 2018/12/13). This includes fixes to
+  the crypto/x509 and cmd/go packages. See the Go 1.11.3 milestone
+  on upstream tracker for details:
+  https://github.com/golang/go/issues?q=milestone%3AGo1.11.3
+  * bsc#1118897 CVE-2018-16873
+go#29230 cmd/go: remote command execution during "go get -u"
+  * bsc#1118898 CVE-2018-16874
+go#29231 cmd/go: directory traversal in "go get" via curly braces in 
import paths
+  * bsc#1118899 CVE-2018-16875
+go#29233 crypto/x509: CPU denial of service
+  * Upstream is aware of a functionality regression in "go get" when
+executed in GOPATH mode on an import path pattern containing "..."
+(e.g., "go get github.com/golang/pkg/..."), when downloading
+packages not already present in the GOPATH workspace. This is go#29241
+and will be resolved in the next minor patch release go-1.11.4
+
+---
+Mon Dec 10 19:07:53 UTC 2018 - Jeff Kowalczyk 
+
+- Fix build error with PIE linker flags on ppc64le. bsc#1113978 boo#1098017
+  * gccgo on ppc64le with default PIE enabled fails with:
+error while loading shared libraries:
+R_PPC64_ADDR16_HA re10143fb0c for symbol `' out of range
+  * linuxppc-dev discussion:
+"PIE binaries are no longer mapped below 4 GiB on ppc64le"
+

commit libsecret for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package libsecret for openSUSE:Factory 
checked in at 2020-04-18 00:27:25

Comparing /work/SRC/openSUSE:Factory/libsecret (Old)
 and  /work/SRC/openSUSE:Factory/.libsecret.new.2738 (New)


Package is "libsecret"

Sat Apr 18 00:27:25 2020 rev:26 rq:794361 version:0.20.3

Changes:

--- /work/SRC/openSUSE:Factory/libsecret/libsecret.changes  2020-02-03 
11:11:32.109790856 +0100
+++ /work/SRC/openSUSE:Factory/.libsecret.new.2738/libsecret.changes
2020-04-18 00:27:34.421697387 +0200
@@ -1,0 +2,20 @@
+Wed Apr 15 08:41:27 UTC 2020 - Bjørn Lie 
+
+- Update to version 0.20.3:
+  + secret-file-backend: Fix use-after-free in flatpak.
+  + docs: Add man subdir only if manpage is enabled.
+
+---
+Wed Mar 11 10:44:56 UTC 2020 - bjorn@gmail.com
+
+- Update to version 0.20.2:
+  + secret-file-collection: force little-endian in GVariant.
+  + Prefer g_info() over g_message().
+  + meson: Don't specify shared_library().
+  + docs: Make sure to set install: true.
+- Rename sub-package libsecret-tools to secret-tool: Align with the
+  actual binary provided and remove a rpmlint warning. Add Provides
+  and Obsoletes to ease upgrades for our end-users.
+- Drop Group tag from spec.
+
+---

Old:

  libsecret-0.20.1.tar.xz

New:

  libsecret-0.20.3.tar.xz



Other differences:
--
++ libsecret.spec ++
--- /var/tmp/diff_new_pack.H7uWqm/_old  2020-04-18 00:27:35.845700335 +0200
+++ /var/tmp/diff_new_pack.H7uWqm/_new  2020-04-18 00:27:35.845700335 +0200
@@ -18,11 +18,10 @@
 
 %define have_lang 1
 Name:   libsecret
-Version:0.20.1
+Version:0.20.3
 Release:0
 Summary:Library for accessing the Secret Service API
 License:LGPL-2.1-or-later
-Group:  Development/Libraries/GNOME
 URL:https://wiki.gnome.org/Projects/Libsecret
 Source0:
https://download.gnome.org/sources/libsecret/0.20/%{name}-%{version}.tar.xz
 Source99:   baselibs.conf
@@ -51,7 +50,6 @@
 
 %package -n libsecret-1-0
 Summary:Library for accessing the Secret Service API
-Group:  System/Libraries
 %if %{have_lang}
 # To make the lang package happy
 Provides:   %{name} = %{version}
@@ -63,7 +61,6 @@
 
 %package -n typelib-1_0-Secret-1
 Summary:Introspection bindings for the Secret Service API library
-Group:  System/Libraries
 
 %description -n typelib-1_0-Secret-1
 libsecret is a library for storing and retrieving passwords and other
@@ -71,17 +68,17 @@
 
 This package provides the GObject Introspection bindings for libsecret.
 
-%package tools
-Summary:Tools from the Secret Service API library
-Group:  System/Libraries
-
-%description tools
-libsecret is a library for storing and retrieving passwords and other
-secrets. It communicates with the "Secret Service" using DBus.
+%package -n secret-tool
+Summary:Store and retrieve passwords
+Obsoletes:  libsecret-tools < %{version}
+Provides:   libsecret-tools = %{version}
+
+%description -n secret-tool
+Secret-tool is a command line tool that can be used to store and
+retrieve passwords.
 
 %package devel
 Summary:Development files for the Secret Service API library
-Group:  Development/Libraries/GNOME
 Requires:   libsecret-1-0 = %{version}
 Requires:   typelib-1_0-Secret-1 = %{version}
 
@@ -118,13 +115,13 @@
 
 %files -n libsecret-1-0
 %license COPYING
-%doc NEWS README
+%doc NEWS README.md
 %{_libdir}/libsecret-1.so.*
 
 %files -n typelib-1_0-Secret-1
 %{_libdir}/girepository-1.0/Secret-1.typelib
 
-%files tools
+%files -n secret-tool
 %{_bindir}/secret-tool
 %{_mandir}/man1/secret-tool.1%{?ext_man}
 

++ libsecret-0.20.1.tar.xz -> libsecret-0.20.3.tar.xz ++
 5536 lines of diff (skipped)




commit python-jedi for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package python-jedi for openSUSE:Factory 
checked in at 2020-04-18 00:27:36

Comparing /work/SRC/openSUSE:Factory/python-jedi (Old)
 and  /work/SRC/openSUSE:Factory/.python-jedi.new.2738 (New)


Package is "python-jedi"

Sat Apr 18 00:27:36 2020 rev:23 rq:794384 version:0.17.0

Changes:

--- /work/SRC/openSUSE:Factory/python-jedi/python-jedi.changes  2020-04-15 
19:53:11.737563843 +0200
+++ /work/SRC/openSUSE:Factory/.python-jedi.new.2738/python-jedi.changes
2020-04-18 00:27:43.313715799 +0200
@@ -1,0 +2,28 @@
+Wed Apr 15 10:03:54 UTC 2020 - Benjamin Greiner 
+
+- Update to v0.17.0
+  * Added ``Project`` support. This allows a user to specify which
+folders Jedi should work with.
+  * Added support for Refactoring. The following refactorings have
+been implemented: ``Script.rename``, ``Script.inline``,
+``Script.extract_variable`` and ``Script.extract_function``.
+  * Added ``Script.get_syntax_errors`` to display syntax errors in
+the current script.
+  * Added code search capabilities both for individual files and
+projects. The new functions are ``Project.search``,
+``Project.complete_search``,  ``Script.search`` and
+``Script.complete_search``.
+  * Added ``Script.help`` to make it easier to display a help
+window to people. Now returns pydoc information as well for
+Python keywords/operators.  This means that on the class 
+keyword it will now return the docstring of Python's builtin
+function ``help('class')``.
+  * The API documentation is now way more readable and complete.
+Check it out under https://jedi.readthedocs.io. A lot of it
+has been rewritten.
+  * Removed Python 3.4 support
+  * Many bugfixes 
+- back to regular releases, no git service needed anymore
+- jedi-pr1543-sorttest.patch gh#davidhalter/jedi#1543
+
+---

Old:

  _service
  _servicedata
  jedi-0.16.0+git55.17b3611c.tar.xz
  jedi.obsinfo

New:

  jedi-0.17.0.tar.gz
  jedi-pr1543-sorttest.patch



Other differences:
--
++ python-jedi.spec ++
--- /var/tmp/diff_new_pack.Yw6VnF/_old  2020-04-18 00:27:44.621718507 +0200
+++ /var/tmp/diff_new_pack.Yw6VnF/_new  2020-04-18 00:27:44.625718516 +0200
@@ -18,21 +18,22 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-jedi
-Version:0.16.0+git55.17b3611c
+Version:0.17.0
 Release:0
 Summary:An autocompletion tool for Python
 License:MIT AND Python-2.0
 Group:  Development/Languages/Python
 URL:https://github.com/davidhalter/jedi
-Source0:jedi-%{version}.tar.xz
+Source0:
https://files.pythonhosted.org/packages/source/j/jedi/jedi-%{version}.tar.gz
 Source1:%{name}-rpmlintrc
-BuildRequires:  %{python_module parso >= 0.5.0}
+Patch0: jedi-pr1543-sorttest.patch
+BuildRequires:  %{python_module parso >= 0.7.0}
 BuildRequires:  %{python_module pytest}
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  %{python_module typing}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
-Requires:   python-parso >= 0.5.0
+Requires:   python-parso >= 0.7.0
 BuildArch:  noarch
 %python_subpackages
 
@@ -51,6 +52,7 @@
 
 %prep
 %setup -q -n jedi-%{version}
+%patch0 -p1
 
 %build
 %python_build
@@ -66,6 +68,8 @@
 skiptests+=" or test_sqlite3_conversion"
 # some architectures are too slow for these optimizer devel checks
 skiptests+=" or test_speed"
+# fails on some architectures
+skiptests+=" or test_init_extension_module"
 %if 0%{?sle_version} == 150100
   # the python 2 pytest test discovery in Leap 15.1 and SLE15 SP1 
   # trips on purposely placed syntax errors in test/completion/imports.py

++ jedi-pr1543-sorttest.patch ++
>From 57f2a731d2e5c4fe5794d823154983e44e8df003 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= 
Date: Wed, 15 Apr 2020 07:54:01 +0200
Subject: [PATCH] Sort test_project::test_search results to fix failures

Fixes #1542
---
 test/test_api/test_project.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/test/test_api/test_project.py b/test/test_api/test_project.py
index a7d4846e7..c21579a59 100644
--- a/test/test_api/test_project.py
+++ b/test/test_api/test_project.py
@@ -135,7 +135,7 @@ def test_search(string, full_names, kwargs, 
skip_pre_python36):
 defs = project.complete_search(string, **kwargs)
 else:
 defs = project.search(string, **kwargs)
-assert [('stub:' if d.is_stub() else '') + d.full_name for d in defs] == 
full_names
+assert sorted([('stub:' if d.is_stub() else '') + d.full_name for d in 
defs]) == 

commit haproxy for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package haproxy for openSUSE:Factory checked 
in at 2020-04-18 00:27:40

Comparing /work/SRC/openSUSE:Factory/haproxy (Old)
 and  /work/SRC/openSUSE:Factory/.haproxy.new.2738 (New)


Package is "haproxy"

Sat Apr 18 00:27:40 2020 rev:85 rq:794395 version:2.1.4+git0.3cfc2f1d9

Changes:

--- /work/SRC/openSUSE:Factory/haproxy/haproxy.changes  2020-04-07 
10:23:22.881966561 +0200
+++ /work/SRC/openSUSE:Factory/.haproxy.new.2738/haproxy.changes
2020-04-18 00:27:45.957721274 +0200
@@ -1,0 +2,6 @@
+Wed Apr 15 23:10:28 UTC 2020 - Marcus Rueckert 
+
+- use the "profile profilename /path/to/binary" syntax to make
+  "ps aufxZ" more readable
+
+---



Other differences:
--
++ usr.sbin.haproxy.apparmor ++
--- /var/tmp/diff_new_pack.TPZkbr/_old  2020-04-18 00:27:46.957723344 +0200
+++ /var/tmp/diff_new_pack.TPZkbr/_new  2020-04-18 00:27:46.957723344 +0200
@@ -1,6 +1,6 @@
 #include 
 
-/usr/sbin/haproxy {
+profile haproxy /usr/sbin/haproxy {
   #include 
   #include 
   capability net_bind_service,




commit iso-codes for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package iso-codes for openSUSE:Factory 
checked in at 2020-04-18 00:27:17

Comparing /work/SRC/openSUSE:Factory/iso-codes (Old)
 and  /work/SRC/openSUSE:Factory/.iso-codes.new.2738 (New)


Package is "iso-codes"

Sat Apr 18 00:27:17 2020 rev:83 rq:794359 version:4.4

Changes:

--- /work/SRC/openSUSE:Factory/iso-codes/iso-codes.changes  2020-01-19 
20:53:24.283923147 +0100
+++ /work/SRC/openSUSE:Factory/.iso-codes.new.2738/iso-codes.changes
2020-04-18 00:27:28.065684225 +0200
@@ -1,0 +2,7 @@
+Tue Apr 14 13:13:37 UTC 2020 - Martin Pluskal 
+
+- Update to version 4.4:
+  * Plenty of changes - see provided ChangeLog.md for details
+- Update source url
+
+---

Old:

  iso-codes-4.1.tar.xz

New:

  iso-codes-iso-codes-4.4.tar.bz2



Other differences:
--
++ iso-codes.spec ++
--- /var/tmp/diff_new_pack.KC7PNL/_old  2020-04-18 00:27:29.301686785 +0200
+++ /var/tmp/diff_new_pack.KC7PNL/_new  2020-04-18 00:27:29.305686793 +0200
@@ -17,13 +17,13 @@
 
 
 Name:   iso-codes
-Version:4.1
+Version:4.4
 Release:0
 Summary:ISO Code Lists and Translations
 License:LGPL-2.1-or-later
 Group:  System/Localization
 URL:https://salsa.debian.org/iso-codes-team/iso-codes
-Source0:
https://salsa.debian.org/iso-codes-team/iso-codes/uploads/049ce6aac94d842be809f4063950646c/iso-codes-4.1.tar.xz
+Source0:
https://salsa.debian.org/iso-codes-team/iso-codes/-/archive/iso-codes-%{version}/iso-codes-iso-codes-%{version}.tar.bz2
 BuildRequires:  pkgconfig
 BuildRequires:  python3-devel
 BuildRequires:  python3-lxml
@@ -47,11 +47,11 @@
 %lang_package
 
 %prep
-%setup -q
+%setup -q -n %{name}-%{name}-%{version}
 
 %build
 %configure
-make %{?_smp_mflags}
+%make_build
 
 %install
 %make_install




commit xfsprogs for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package xfsprogs for openSUSE:Factory 
checked in at 2020-04-18 00:27:43

Comparing /work/SRC/openSUSE:Factory/xfsprogs (Old)
 and  /work/SRC/openSUSE:Factory/.xfsprogs.new.2738 (New)


Package is "xfsprogs"

Sat Apr 18 00:27:43 2020 rev:60 rq:794397 version:5.6.0

Changes:

--- /work/SRC/openSUSE:Factory/xfsprogs/xfsprogs.changes2020-03-18 
12:24:48.336175060 +0100
+++ /work/SRC/openSUSE:Factory/.xfsprogs.new.2738/xfsprogs.changes  
2020-04-18 00:27:47.749724985 +0200
@@ -1,0 +2,12 @@
+Wed Apr 15 19:48:24 UTC 2020 - Anthony Iliopoulos 
+
+- update to v5.6.0:
+  * xfs_scrub: don't set WorkingDirectory in systemd job
+  * xfsprogs: fix silently broken option parsing
+  * xfsprogs: various minor Coverity fixes
+  * xfs_repair: fix dir_read_buf use of libxfs_da_read_buf
+  * libxfs: check retval of device flush when closing
+  * xfs_io: set exitcode on failure appropriately
+  * libxfs changes merged from kernel 5.6
+
+---

Old:

  xfsprogs-5.5.0.tar.sign
  xfsprogs-5.5.0.tar.xz

New:

  xfsprogs-5.6.0.tar.sign
  xfsprogs-5.6.0.tar.xz



Other differences:
--
++ xfsprogs.spec ++
--- /var/tmp/diff_new_pack.SQw98O/_old  2020-04-18 00:27:48.497726534 +0200
+++ /var/tmp/diff_new_pack.SQw98O/_new  2020-04-18 00:27:48.497726534 +0200
@@ -26,7 +26,7 @@
 %define libname libhandle1
 
 Name:   xfsprogs
-Version:5.5.0
+Version:5.6.0
 Release:0
 Summary:Utilities for managing the XFS file system
 License:GPL-2.0-or-later

++ xfsprogs-5.5.0.tar.xz -> xfsprogs-5.6.0.tar.xz ++
 20056 lines of diff (skipped)





commit gdm for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package gdm for openSUSE:Factory checked in 
at 2020-04-18 00:27:05

Comparing /work/SRC/openSUSE:Factory/gdm (Old)
 and  /work/SRC/openSUSE:Factory/.gdm.new.2738 (New)


Package is "gdm"

Sat Apr 18 00:27:05 2020 rev:225 rq:794355 version:3.34.1

Changes:

--- /work/SRC/openSUSE:Factory/gdm/gdm.changes  2020-03-11 18:32:55.226919802 
+0100
+++ /work/SRC/openSUSE:Factory/.gdm.new.2738/gdm.changes2020-04-18 
00:27:08.341643382 +0200
@@ -1,0 +2,7 @@
+Fri Apr 10 09:12:37 UTC 2020 - Yifan Jiang 
+
+- Add gdm-look-for-session-based-on-pid-first.patch: Look for
+  session based on pid first, then fall back to the uid based
+  approach (bsc#1159950, glgo#GNOME/gdm#526).
+
+---

New:

  gdm-look-for-session-based-on-pid-first.patch



Other differences:
--
++ gdm.spec ++
--- /var/tmp/diff_new_pack.nP2mKz/_old  2020-04-18 00:27:11.593650116 +0200
+++ /var/tmp/diff_new_pack.nP2mKz/_new  2020-04-18 00:27:11.597650124 +0200
@@ -65,6 +65,8 @@
 Patch14:gdm-switch-user-tty7.patch
 # PATCH-FIX-UPSTREAM gdm-disable-wayland-on-mgag200-chipsets.patch bsc#1162888 
glgo#GNOME/mutter#57 qk...@suse.com -- Disable Wayland on mgag200 chipsets
 Patch15:gdm-disable-wayland-on-mgag200-chipsets.patch
+# PATCH-FIX-UPSTREAM gdm-look-for-session-based-on-pid-first.patch bsc#1159950 
glgo#GNOME/gdm#526 yfji...@suse.com -- Look for session based on pid first, 
then fall back to the uid based approach
+Patch16:gdm-look-for-session-based-on-pid-first.patch
 ### NOTE: Keep please SLE-only patches at bottom (starting on 1000).
 # PATCH-FIX-SLE gdm-disable-gnome-initial-setup.patch bnc#1067976 
qz...@suse.com -- Disable gnome-initial-setup runs before gdm, g-i-s will only 
serve for CJK people to choose the input-method after login.
 Patch1000:  gdm-disable-gnome-initial-setup.patch
@@ -221,6 +223,7 @@
 %endif
 %patch14 -p1
 %patch15 -p1
+%patch16 -p1
 
 # SLE-only patches start at 1000
 %if !0%{?is_opensuse}

++ gdm-look-for-session-based-on-pid-first.patch ++
>From 82c3c9bbe924c43e93e74cd622207a54bc44962c Mon Sep 17 00:00:00 2001
From: Benjamin Berg 
Date: Thu, 23 Jan 2020 14:32:38 +0100
Subject: [PATCH] manager: Try looking up session based on PID first

Unfortunately, GDM may be running multiple greeters, and each greeter is
currently using the same user. So while in a lot of setups each user
should only have one graphical session and also only one DBus session
bus, this is not true for the gdm greeter.

Lacking another solution (e.g. separate users), we need to be able to
correctly lookup the session information for all greeter instances. We
can do so by using sd_pid_get_session and using this information is safe
if it does return something.

See: #526
---
 common/gdm-common.c | 30 ++
 common/gdm-common.h |  7 ---
 daemon/gdm-manager.c|  2 +-
 libgdm/gdm-user-switching.c |  2 +-
 4 files changed, 32 insertions(+), 9 deletions(-)

diff --git a/common/gdm-common.c b/common/gdm-common.c
index 41bdb389..d13cf618 100644
--- a/common/gdm-common.c
+++ b/common/gdm-common.c
@@ -497,7 +497,7 @@ goto_login_session (GDBusConnection  *connection,
  * since the data allocated is from libsystemd-logind, which
  * does not use GLib's g_malloc (). */
 
-if (!gdm_find_display_session_for_uid (getuid (), _session, 
_error)) {
+if (!gdm_find_display_session (0, getuid (), _session, 
_error)) {
 g_propagate_prefixed_error (error, local_error, _("Could not 
identify the current session: "));
 
 return FALSE;
@@ -898,16 +898,38 @@ _systemd_session_is_active (const char *session_id)
 }
 
 gboolean
-gdm_find_display_session_for_uid (const uid_t uid,
-  char  **out_session_id,
-  GError**error)
+gdm_find_display_session (int pid,
+  const uid_t uid,
+  char  **out_session_id,
+  GError**error)
 {
 char *local_session_id = NULL;
 g_auto(GStrv) sessions = NULL;
 int n_sessions;
+int res;
 
 g_return_val_if_fail (out_session_id != NULL, FALSE);
 
+/* First try to look up the session using the pid. We need this
+ * at least for the greeter, because it currently runs multiple
+ * sessions under the same user.
+ * See also commit 2b52d8933c8ab38e7ee83318da2363d00d8c5581
+ * which added an explicit dbus-run-session for all but seat0.
+ */
+res = sd_pid_get_session (pid, _session_id);
+

commit gnome-session for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package gnome-session for openSUSE:Factory 
checked in at 2020-04-18 00:27:13

Comparing /work/SRC/openSUSE:Factory/gnome-session (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-session.new.2738 (New)


Package is "gnome-session"

Sat Apr 18 00:27:13 2020 rev:189 rq:794358 version:3.34.2

Changes:

--- /work/SRC/openSUSE:Factory/gnome-session/gnome-session.changes  
2020-03-30 22:51:13.931767422 +0200
+++ /work/SRC/openSUSE:Factory/.gnome-session.new.2738/gnome-session.changes
2020-04-18 00:27:18.881665208 +0200
@@ -1,0 +2,7 @@
+Wed Apr 15 01:20:42 UTC 2020 - Xiaoguang Wang 
+
+- Add gnome-session-error-numbers-wrong.patch: Remove erron in log
+  'gnome-session-c[4905]: Error creating FIFO: File exists'
+  (bsc#1169165 glgo!GNOME/gnome-session#42).
+
+---

New:

  gnome-session-error-numbers-wrong.patch



Other differences:
--
++ gnome-session.spec ++
--- /var/tmp/diff_new_pack.ypGS6D/_old  2020-04-18 00:27:20.345668239 +0200
+++ /var/tmp/diff_new_pack.ypGS6D/_new  2020-04-18 00:27:20.349668248 +0200
@@ -33,6 +33,8 @@
 Patch1: gnome-session-remove-gsd-XSettings.patch
 # PATCH-FIX-OPENSUSE gnome-session-s390-not-require-g-s-d_wacom.patch 
bsc#1129412 yfji...@suse.com -- Remove the runtime requirement of g-s-d Wacom 
plugin
 Patch2: gnome-session-s390-not-require-g-s-d_wacom.patch
+# PATCH-FIX-UPSTREAM gnome-session-error-numbers-wrong.patch bsc#1169165 
glgo!GNOME/gnome-session#42 xw...@suse.com -- Valid error numbers are all 
positive numbers 
+Patch3: gnome-session-error-numbers-wrong.patch
 
 BuildRequires:  docbook-xsl-stylesheets
 BuildRequires:  fdupes
@@ -111,6 +113,7 @@
 %ifarch s390 s390x
 %patch2 -p1
 %endif
+%patch3 -p1
 translation-update-upstream po gnome-session-3.0
 
 %build

++ gnome-session-error-numbers-wrong.patch ++
>From 534850d20b4f9dcb2c521bf6420a4d34123e7893 Mon Sep 17 00:00:00 2001
From: Xiaoguang Wang 
Date: Fri, 10 Apr 2020 15:41:23 +0800
Subject: [PATCH] Valid error numbers are all positive numbers

There is error in journal log:
gnome-session-c[4905]: Error creating FIFO: File exists
The errno can't be negative number.

https://gitlab.gnome.org/GNOME/gnome-session/-/merge_requests/42
---
 gnome-session/main.c  | 2 +-
 tools/gnome-session-ctl.c | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnome-session/main.c b/gnome-session/main.c
index 01f56667..c1dda5dc 100644
--- a/gnome-session/main.c
+++ b/gnome-session/main.c
@@ -349,7 +349,7 @@ systemd_leader_run(void)
 fifo_name = g_strdup_printf ("%s/gnome-session-leader-fifo",
  g_get_user_runtime_dir ());
 res = mkfifo (fifo_name, 0666);
-if (res < 0 && errno != -EEXIST)
+if (res < 0 && errno != EEXIST)
 g_warning ("Error creating FIFO: %m");
 
 fifo_fd = g_open (fifo_name, O_WRONLY | O_CLOEXEC, 0666);
diff --git a/tools/gnome-session-ctl.c b/tools/gnome-session-ctl.c
index 9276a0ad..86f03be1 100644
--- a/tools/gnome-session-ctl.c
+++ b/tools/gnome-session-ctl.c
@@ -194,7 +194,7 @@ do_monitor_leader (void)
 fifo_name = g_strdup_printf ("%s/gnome-session-leader-fifo",
  g_get_user_runtime_dir ());
 res = mkfifo (fifo_name, 0666);
-if (res < 0 && errno != -EEXIST)
+if (res < 0 && errno != EEXIST)
 g_warning ("Error creating FIFO: %m");
 
 data.fifo_fd = g_open (fifo_name, O_RDONLY | O_CLOEXEC, 0666);
-- 
2.26.0




commit accountsservice for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package accountsservice for openSUSE:Factory 
checked in at 2020-04-18 00:27:10

Comparing /work/SRC/openSUSE:Factory/accountsservice (Old)
 and  /work/SRC/openSUSE:Factory/.accountsservice.new.2738 (New)


Package is "accountsservice"

Sat Apr 18 00:27:10 2020 rev:70 rq:794356 version:0.6.55

Changes:

--- /work/SRC/openSUSE:Factory/accountsservice/accountsservice.changes  
2020-01-28 10:47:16.644500628 +0100
+++ 
/work/SRC/openSUSE:Factory/.accountsservice.new.2738/accountsservice.changes
2020-04-18 00:27:13.881654854 +0200
@@ -1,0 +2,5 @@
+Tue Apr 14 00:28:10 UTC 2020 - Yifan Jiang 
+
+- Apply as-fate318433-prevent-same-account-multi-logins.patch to Leap.
+
+---



Other differences:
--
++ accountsservice.spec ++
--- /var/tmp/diff_new_pack.HZkuCI/_old  2020-04-18 00:27:15.213657612 +0200
+++ /var/tmp/diff_new_pack.HZkuCI/_new  2020-04-18 00:27:15.217657621 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package accountsservice
 #
-# Copyright (c) 2019 SUSE LLC
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -35,7 +35,7 @@
 # PATCH-FIX-UPSTREAM accountsservice-wtmp-io-improvements.patch boo#1139487 
fezh...@suse.com -- Backports that improve wtmp io performance.
 Patch3: accountsservice-wtmp-io-improvements.patch
 
-## SLE-only patches start at 1000
+## SLE and Leap only patches start at 1000
 # PATCH-FEATURE-SLE as-fate318433-prevent-same-account-multi-logins.patch 
fate#318433 cxi...@suse.com -- prevent multiple simultaneous login.
 Patch1000:  as-fate318433-prevent-same-account-multi-logins.patch
 
@@ -101,8 +101,8 @@
 %patch2 -p1
 %patch3 -p1
 
-# Sle-only patches start at 1000
-%if !0%{?is_opensuse}
+# SLE and Leap patches start at 1000
+%if 0%{?sle_version}
 %patch1000 -p1
 %endif
 




commit perl-Scalar-List-Utils for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package perl-Scalar-List-Utils for 
openSUSE:Factory checked in at 2020-04-18 00:26:45

Comparing /work/SRC/openSUSE:Factory/perl-Scalar-List-Utils (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Scalar-List-Utils.new.2738 (New)


Package is "perl-Scalar-List-Utils"

Sat Apr 18 00:26:45 2020 rev:19 rq:794248 version:1.55

Changes:

--- 
/work/SRC/openSUSE:Factory/perl-Scalar-List-Utils/perl-Scalar-List-Utils.changes
2020-02-09 21:02:23.663352766 +0100
+++ 
/work/SRC/openSUSE:Factory/.perl-Scalar-List-Utils.new.2738/perl-Scalar-List-Utils.changes
  2020-04-18 00:26:46.593598348 +0200
@@ -1,0 +2,13 @@
+Mon Apr 13 03:13:01 UTC 2020 -  
+
+- updated to 1.55
+   see /usr/share/doc/packages/perl-Scalar-List-Utils/Changes
+
+  1.55 -- 2020-04-09
+   [CHANGES]
+* Added List::Util::uniqint
+* Improvements to List::Util::uniqnum handling of floating-point
+  values on odd platform configurations (thanks sisyphus)
+* Improvements to $RAND-based unit tests
+
+---

Old:

  Scalar-List-Utils-1.54.tar.gz

New:

  Scalar-List-Utils-1.55.tar.gz



Other differences:
--
++ perl-Scalar-List-Utils.spec ++
--- /var/tmp/diff_new_pack.xQ4MF6/_old  2020-04-18 00:26:47.633600502 +0200
+++ /var/tmp/diff_new_pack.xQ4MF6/_new  2020-04-18 00:26:47.637600511 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Scalar-List-Utils
-Version:1.54
+Version:1.55
 Release:0
 %define cpan_name Scalar-List-Utils
 Summary:Common Scalar and List utility subroutines

++ Scalar-List-Utils-1.54.tar.gz -> Scalar-List-Utils-1.55.tar.gz ++
 1984 lines of diff (skipped)




commit ulogd for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package ulogd for openSUSE:Factory checked 
in at 2020-04-18 00:26:52

Comparing /work/SRC/openSUSE:Factory/ulogd (Old)
 and  /work/SRC/openSUSE:Factory/.ulogd.new.2738 (New)


Package is "ulogd"

Sat Apr 18 00:26:52 2020 rev:16 rq:794270 version:2.0.7

Changes:

--- /work/SRC/openSUSE:Factory/ulogd/ulogd.changes  2019-12-23 
22:42:40.809956609 +0100
+++ /work/SRC/openSUSE:Factory/.ulogd.new.2738/ulogd.changes2020-04-18 
00:26:55.337616455 +0200
@@ -1,0 +2,5 @@
+Wed Apr 15 15:13:12 UTC 2020 - Thorsten Kukuk 
+
+- Use sysusers instead of shadow to create ulogd account
+
+---

New:

  ulogd.conf



Other differences:
--
++ ulogd.spec ++
--- /var/tmp/diff_new_pack.vHxwgm/_old  2020-04-18 00:26:57.653621250 +0200
+++ /var/tmp/diff_new_pack.vHxwgm/_new  2020-04-18 00:26:57.657621259 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package ulogd
 #
-# Copyright (c) 2019 SUSE LLC
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -29,6 +29,7 @@
 Source: 
http://netfilter.org/projects/ulogd/files/%name-%version.tar.bz2
 Source2:
http://netfilter.org/projects/ulogd/files/%name-%version.tar.bz2.sig
 Source4:ulogd.service
+Source5:ulogd.conf
 Patch1: 0001-build-adjust-configure-for-postgresql-10-11.patch
 Patch4: ulogd-conf.diff
 
@@ -41,6 +42,8 @@
 BuildRequires:  pkg-config >= 0.21
 BuildRequires:  sqlite3-devel
 BuildRequires:  systemd-rpm-macros
+BuildRequires:  sysuser-shadow
+BuildRequires:  sysuser-tools
 BuildRequires:  zlib-devel
 BuildRequires:  pkgconfig(libmnl) >= 1.0.3
 BuildRequires:  pkgconfig(libnetfilter_acct) >= 1.0.1
@@ -49,8 +52,8 @@
 BuildRequires:  pkgconfig(libnfnetlink) >= 1.0.1
 BuildRequires:  pkgconfig(libpq)
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
-Requires(pre): /usr/sbin/useradd
 %{?systemd_ordering}
+%sysusers_requires
 
 %description
 ulogd is a userspace logging daemon for netfilter/iptables related
@@ -97,6 +100,7 @@
 autoreconf -fi
 %configure --disable-static
 make %{?_smp_mflags}
+%sysusers_generate_pre %{SOURCE5} ulogd
 
 %install
 %make_install
@@ -108,10 +112,10 @@
 mkdir -p "$b/%_unitdir"
 install -pm0644 "%{S:4}" "$b/%_unitdir"
 ln -s /sbin/service "$b/%_sbindir/rc%name"
+mkdir -p "$b/%_sysusersdir"
+install -m 644 %{SOURCE5} "$b/%_sysusersdir/"
 
-%pre
-/usr/bin/getent passwd ulogd >/dev/null || \
-/usr/sbin/useradd -c "Userspace logging daemon for Netfilter" -r ulogd
+%pre -f ulogd.pre
 %service_add_pre ulogd.service
 
 %post
@@ -138,6 +142,7 @@
 %_libdir/%name/ulogd_output_XML.so*
 %_mandir/*/*
 %attr(0750,ulogd,root) /var/log/ulogd
+%_sysusersdir/ulogd.conf
 %_unitdir/ulogd.service
 %_sbindir/rc%name
 


++ ulogd.conf ++
# Type Name ID GECOS [HOME]
u ulogd - "Userspace logging daemon for Netfilter"



commit open-iscsi for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package open-iscsi for openSUSE:Factory 
checked in at 2020-04-18 00:26:56

Comparing /work/SRC/openSUSE:Factory/open-iscsi (Old)
 and  /work/SRC/openSUSE:Factory/.open-iscsi.new.2738 (New)


Package is "open-iscsi"

Sat Apr 18 00:26:56 2020 rev:94 rq:794272 version:unknown

Changes:

--- /work/SRC/openSUSE:Factory/open-iscsi/open-iscsi.changes2020-04-05 
20:49:23.720944405 +0200
+++ /work/SRC/openSUSE:Factory/.open-iscsi.new.2738/open-iscsi.changes  
2020-04-18 00:26:58.333622658 +0200
@@ -1,0 +2,9 @@
+Tue Apr  7 19:21:38 UTC 2020 - Lee Duncan 
+
+- Updated service_del_preun and service_del_postun for iscsi and
+  iscsiuio packges in SPEC file, so that services get started/
+  stopped in the correct order, and changed systemd macros so
+  that iscsi login service iscsi.service is not restarted during
+  package upgrade (bsc#1166650)
+
+---



Other differences:
--
++ open-iscsi.spec ++
--- /var/tmp/diff_new_pack.9qd1bV/_old  2020-04-18 00:26:59.873625848 +0200
+++ /var/tmp/diff_new_pack.9qd1bV/_new  2020-04-18 00:26:59.877625855 +0200
@@ -143,34 +143,35 @@
 if [ ! -f %{_sysconfdir}/iscsi/initiatorname.iscsi ] ; then
 /sbin/iscsi-gen-initiatorname
 fi
-%{service_add_post iscsid.socket iscsid.service iscsi.service}
+%service_add_post iscsi.service iscsid.service iscsid.socket
 
 %posttrans
 %{?regenerate_initrd_posttrans}
 
 %postun
-%{service_del_postun iscsid.socket iscsid.service iscsi.service}
+%service_del_postun_without_restart iscsi.service
+%service_del_postun iscsid.service iscsid.socket
 
 %pre
-%{service_add_pre iscsid.socket iscsid.service iscsi.service}
+%service_add_pre iscsi.service iscsid.service iscsid.socket
 
 %preun
-%{service_del_preun iscsid.socket iscsid.service iscsi.service}
+%service_del_preun iscsi.service iscsid.service iscsid.socket
 
 %post   -n libopeniscsiusr0_2_0 -p /sbin/ldconfig
 %postun -n libopeniscsiusr0_2_0 -p /sbin/ldconfig
 
 %post -n iscsiuio
-%{service_add_post iscsiuio.socket iscsiuio.service}
+%service_add_post iscsiuio.service iscsiuio.socket
 
 %postun -n iscsiuio
-%{service_del_postun iscsiuio.socket iscsiuio.service}
+%service_del_postun iscsiuio.service iscsiuio.socket
 
 %pre -n iscsiuio
-%{service_add_pre iscsiuio.socket iscsiuio.service}
+%service_add_pre iscsiuio.service iscsiuio.socket
 
 %preun -n iscsiuio
-%{service_del_preun iscsiuio.socket iscsiuio.service}
+%service_del_preun iscsiuio.service iscsiuio.socket
 
 %files
 %dir %{_sysconfdir}/iscsi




commit gnome-shell for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package gnome-shell for openSUSE:Factory 
checked in at 2020-04-18 00:27:00

Comparing /work/SRC/openSUSE:Factory/gnome-shell (Old)
 and  /work/SRC/openSUSE:Factory/.gnome-shell.new.2738 (New)


Package is "gnome-shell"

Sat Apr 18 00:27:00 2020 rev:176 rq:794352 version:3.34.5

Changes:

--- /work/SRC/openSUSE:Factory/gnome-shell/gnome-shell.changes  2020-04-07 
10:19:57.233737903 +0200
+++ /work/SRC/openSUSE:Factory/.gnome-shell.new.2738/gnome-shell.changes
2020-04-18 00:27:04.493635415 +0200
@@ -1,0 +2,6 @@
+Thu Apr  9 06:32:48 UTC 2020 - Xiaoguang Wang 
+
+- Update gnome-shell-disable-ibus-when-not-installed.patch: Remove
+  error in journal log(bsc#1169029).
+
+---



Other differences:
--
++ gnome-shell-disable-ibus-when-not-installed.patch ++
--- /var/tmp/diff_new_pack.e6qXWN/_old  2020-04-18 00:27:06.745640077 +0200
+++ /var/tmp/diff_new_pack.e6qXWN/_new  2020-04-18 00:27:06.745640077 +0200
@@ -1,14 +1,14 @@
-From d8109a8e9db11cc7374faba3264b9f00dc5e1699 Mon Sep 17 00:00:00 2001
-From: Chingkai 
-Date: Wed, 13 Mar 2019 14:50:22 +0800
+From 29dfda2d2f77d14e27cc27cbba1e41ec0363cf83 Mon Sep 17 00:00:00 2001
+From: Xiaoguang Wang 
+Date: Thu, 9 Apr 2020 11:16:56 +0800
 Subject: [PATCH] Disable ibus when out of CJK
 
 ---
- js/misc/ibusManager.js | 4 
- 1 file changed, 4 insertions(+)
+ js/misc/ibusManager.js | 8 
+ 1 file changed, 8 insertions(+)
 
 diff --git a/js/misc/ibusManager.js b/js/misc/ibusManager.js
-index d20ad2f..0595573 100644
+index e43f88c..9d16f09 100644
 --- a/js/misc/ibusManager.js
 +++ b/js/misc/ibusManager.js
 @@ -31,6 +31,10 @@ function getIBusManager() {
@@ -22,6 +22,17 @@
  IBus.init();
  
  // This is the longest we'll keep the keyboard frozen until an input
+@@ -59,6 +63,10 @@ var IBusManager = class {
+ }
+ 
+ _spawn(extraArgs = []) {
++let daemon = Gio.File.new_for_path('/usr/bin/ibus-daemon');
++if (!daemon.query_exists(null))
++return;
++
+ try {
+ let cmdLine = ['ibus-daemon', '--panel', 'disable', ...extraArgs];
+ Gio.Subprocess.new(cmdLine, Gio.SubprocessFlags.NONE);
 -- 
-2.16.4
+2.26.0
 





commit perl-libwww-perl for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package perl-libwww-perl for 
openSUSE:Factory checked in at 2020-04-18 00:26:33

Comparing /work/SRC/openSUSE:Factory/perl-libwww-perl (Old)
 and  /work/SRC/openSUSE:Factory/.perl-libwww-perl.new.2738 (New)


Package is "perl-libwww-perl"

Sat Apr 18 00:26:33 2020 rev:65 rq:794244 version:6.44

Changes:

--- /work/SRC/openSUSE:Factory/perl-libwww-perl/perl-libwww-perl.changes
2019-12-02 11:36:49.354441505 +0100
+++ 
/work/SRC/openSUSE:Factory/.perl-libwww-perl.new.2738/perl-libwww-perl.changes  
2020-04-18 00:26:38.401581386 +0200
@@ -1,0 +2,10 @@
+Wed Apr 15 03:14:14 UTC 2020 -  
+
+- updated to 6.44
+   see /usr/share/doc/packages/perl-libwww-perl/Changes
+
+  6.44  2020-04-14 19:37:45Z
+  - Support basic authentication charset per RFC 7617 (GH#339) (Ville 
Skytt)
+  - Fixed POD mistake. (GH PR#338. Sebastian Paaske Tørholm)
+
+---

Old:

  libwww-perl-6.43.tar.gz

New:

  libwww-perl-6.44.tar.gz



Other differences:
--
++ perl-libwww-perl.spec ++
--- /var/tmp/diff_new_pack.kzuQm4/_old  2020-04-18 00:26:40.201585112 +0200
+++ /var/tmp/diff_new_pack.kzuQm4/_new  2020-04-18 00:26:40.201585112 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package perl-libwww-perl
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   perl-libwww-perl
-Version:6.43
+Version:6.44
 Release:0
 %define cpan_name libwww-perl
 Summary:The World-Wide Web library for Perl

++ libwww-perl-6.43.tar.gz -> libwww-perl-6.44.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libwww-perl-6.43/Changes new/libwww-perl-6.44/Changes
--- old/libwww-perl-6.43/Changes2019-11-26 14:54:46.0 +0100
+++ new/libwww-perl-6.44/Changes2020-04-14 21:37:49.0 +0200
@@ -1,7 +1,11 @@
 Change history for libwww-perl
 
+6.44  2020-04-14 19:37:45Z
+- Support basic authentication charset per RFC 7617 (GH#339) (Ville Skytt)
+- Fixed POD mistake. (GH PR#338. Sebastian Paaske Tørholm)
+
 6.43  2019-11-26 13:54:43Z
-- Continue trying different Authentication challenge schemes if 
+- Continue trying different Authentication challenge schemes if
   credentials are wrong (Roman Galeev, Julien Fiegehenn)
 
 6.42  2019-11-20 17:40:52Z
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libwww-perl-6.43/MANIFEST 
new/libwww-perl-6.44/MANIFEST
--- old/libwww-perl-6.43/MANIFEST   2019-11-26 14:54:46.0 +0100
+++ new/libwww-perl-6.44/MANIFEST   2020-04-14 21:37:49.0 +0200
@@ -1,4 +1,4 @@
-# This file was automatically generated by Dist::Zilla::Plugin::Manifest 
v6.012.
+# This file was automatically generated by Dist::Zilla::Plugin::Manifest 
v6.014.
 CONTRIBUTING.md
 Changes
 INSTALL
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libwww-perl-6.43/META.json 
new/libwww-perl-6.44/META.json
--- old/libwww-perl-6.43/META.json  2019-11-26 14:54:46.0 +0100
+++ new/libwww-perl-6.44/META.json  2020-04-14 21:37:49.0 +0200
@@ -4,7 +4,7 @@
   "Gisle Aas "
],
"dynamic_config" : 1,
-   "generated_by" : "Dist::Zilla version 6.012, CPAN::Meta::Converter version 
2.150010",
+   "generated_by" : "Dist::Zilla version 6.014, CPAN::Meta::Converter version 
2.150010",
"license" : [
   "perl_5"
],
@@ -109,96 +109,96 @@
"provides" : {
   "LWP" : {
  "file" : "lib/LWP.pm",
- "version" : "6.43"
+ "version" : "6.44"
   },
   "LWP::Authen::Basic" : {
  "file" : "lib/LWP/Authen/Basic.pm",
- "version" : "6.43"
+ "version" : "6.44"
   },
   "LWP::Authen::Digest" : {
  "file" : "lib/LWP/Authen/Digest.pm",
- "version" : "6.43"
+ "version" : "6.44"
   },
   "LWP::Authen::Ntlm" : {
  "file" : "lib/LWP/Authen/Ntlm.pm",
- "version" : "6.43"
+ "version" : "6.44"
   },
   "LWP::ConnCache" : {
  "file" : "lib/LWP/ConnCache.pm",
- "version" : "6.43"
+ "version" : "6.44"
   },
   "LWP::Debug" : {
  "file" : "lib/LWP/Debug.pm",
- "version" : "6.43",
+ "version" : "6.44",
  "x_deprecated" : 1
   },
   "LWP::Debug::TraceHTTP" : {
  "file" : 

commit perl-Test-Simple for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package perl-Test-Simple for 
openSUSE:Factory checked in at 2020-04-18 00:26:39

Comparing /work/SRC/openSUSE:Factory/perl-Test-Simple (Old)
 and  /work/SRC/openSUSE:Factory/.perl-Test-Simple.new.2738 (New)


Package is "perl-Test-Simple"

Sat Apr 18 00:26:39 2020 rev:31 rq:794246 version:1.302175

Changes:

--- /work/SRC/openSUSE:Factory/perl-Test-Simple/perl-Test-Simple.changes
2020-04-04 12:20:44.163691760 +0200
+++ 
/work/SRC/openSUSE:Factory/.perl-Test-Simple.new.2738/perl-Test-Simple.changes  
2020-04-18 00:26:44.797594630 +0200
@@ -1,0 +2,13 @@
+Tue Apr 14 03:13:25 UTC 2020 -  
+
+- updated to 1.302175
+   see /usr/share/doc/packages/perl-Test-Simple/Changes
+
+  1.302175  2020-04-13 11:37:36-07:00 America/Los_Angeles
+  
+  - Fix typos in POD
+  - Fix incorrect Test2::Hub documentation
+  - Fix test that needed . in @INC on windows
+  - Fix Breakage test to show more info
+
+---

Old:

  Test-Simple-1.302174.tar.gz

New:

  Test-Simple-1.302175.tar.gz



Other differences:
--
++ perl-Test-Simple.spec ++
--- /var/tmp/diff_new_pack.gukONC/_old  2020-04-18 00:26:45.457595996 +0200
+++ /var/tmp/diff_new_pack.gukONC/_new  2020-04-18 00:26:45.461596004 +0200
@@ -17,7 +17,7 @@
 
 
 Name:   perl-Test-Simple
-Version:1.302174
+Version:1.302175
 Release:0
 %define cpan_name Test-Simple
 Summary:Basic utilities for writing tests

++ Test-Simple-1.302174.tar.gz -> Test-Simple-1.302175.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Test-Simple-1.302174/Changes 
new/Test-Simple-1.302175/Changes
--- old/Test-Simple-1.302174/Changes2020-03-30 22:55:55.0 +0200
+++ new/Test-Simple-1.302175/Changes2020-04-13 20:37:37.0 +0200
@@ -1,3 +1,10 @@
+1.302175  2020-04-13 11:37:36-07:00 America/Los_Angeles
+
+- Fix typos in POD
+- Fix incorrect Test2::Hub documentation
+- Fix test that needed . in @INC on windows
+- Fix Breakage test to show more info
+
 1.302174  2020-03-30 13:55:54-07:00 America/Los_Angeles
 
 - Fallback if JSON::PP is not available during IPC errors
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Test-Simple-1.302174/META.json 
new/Test-Simple-1.302175/META.json
--- old/Test-Simple-1.302174/META.json  2020-03-30 22:55:55.0 +0200
+++ new/Test-Simple-1.302175/META.json  2020-04-13 20:37:37.0 +0200
@@ -48,7 +48,7 @@
  "url" : "http://github.com/Test-More/test-more/;
   }
},
-   "version" : "1.302174",
+   "version" : "1.302175",
"x_breaks" : {
   "Log::Dispatch::Config::TestLog" : "<= 0.02",
   "Net::BitTorrent" : "<= 0.052",
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Test-Simple-1.302174/META.yml 
new/Test-Simple-1.302175/META.yml
--- old/Test-Simple-1.302174/META.yml   2020-03-30 22:55:55.0 +0200
+++ new/Test-Simple-1.302175/META.yml   2020-04-13 20:37:37.0 +0200
@@ -22,7 +22,7 @@
 resources:
   bugtracker: http://github.com/Test-More/test-more/issues
   repository: http://github.com/Test-More/test-more/
-version: '1.302174'
+version: '1.302175'
 x_breaks:
   Log::Dispatch::Config::TestLog: '<= 0.02'
   Net::BitTorrent: '<= 0.052'
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Test-Simple-1.302174/Makefile.PL 
new/Test-Simple-1.302175/Makefile.PL
--- old/Test-Simple-1.302174/Makefile.PL2020-03-30 22:55:55.0 
+0200
+++ new/Test-Simple-1.302175/Makefile.PL2020-04-13 20:37:37.0 
+0200
@@ -23,7 +23,7 @@
 "Storable" => 0,
 "utf8" => 0
   },
-  "VERSION" => "1.302174",
+  "VERSION" => "1.302175",
   "test" => {
 "TESTS" => "t/*.t t/Legacy/*.t t/Legacy/Bugs/*.t t/Legacy/Builder/*.t 
t/Legacy/Regression/*.t t/Legacy/Simple/*.t t/Legacy/Test2/*.t 
t/Legacy/Tester/*.t t/Legacy/subtest/*.t t/Legacy_And_Test2/*.t 
t/Test2/acceptance/*.t t/Test2/behavior/*.t t/Test2/legacy/*.t 
t/Test2/modules/*.t t/Test2/modules/API/*.t t/Test2/modules/Event/*.t 
t/Test2/modules/Event/TAP/*.t t/Test2/modules/EventFacet/*.t 
t/Test2/modules/Formatter/*.t t/Test2/modules/Hub/*.t 
t/Test2/modules/Hub/Interceptor/*.t t/Test2/modules/IPC/*.t 
t/Test2/modules/IPC/Driver/*.t t/Test2/modules/Tools/*.t 
t/Test2/modules/Util/*.t t/Test2/regression/*.t t/regression/*.t"
   }
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/Test-Simple-1.302174/lib/Test/Builder/Formatter.pm 

commit libtirpc for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package libtirpc for openSUSE:Factory 
checked in at 2020-04-18 00:26:29

Comparing /work/SRC/openSUSE:Factory/libtirpc (Old)
 and  /work/SRC/openSUSE:Factory/.libtirpc.new.2738 (New)


Package is "libtirpc"

Sat Apr 18 00:26:29 2020 rev:54 rq:794153 version:1.2.6

Changes:

--- /work/SRC/openSUSE:Factory/libtirpc/libtirpc.changes2020-02-11 
22:16:46.755284587 +0100
+++ /work/SRC/openSUSE:Factory/.libtirpc.new.2738/libtirpc.changes  
2020-04-18 00:26:33.153570518 +0200
@@ -1,0 +2,8 @@
+Wed Apr 15 10:32:08 UTC 2020 - Petr Vorel 
+
+- Update to libtirpc 1.2.6
+  - Drop patches all patches backported from this release
+   (0001-Add-authdes_seccreate-stub.patch,
+   0001-Avoid-multiple-definiton-with-gcc-fno-common.patch)
+
+---

Old:

  0001-Add-authdes_seccreate-stub.patch
  0001-Avoid-multiple-definiton-with-gcc-fno-common.patch
  libtirpc-1.2.5.tar.bz2

New:

  libtirpc-1.2.6.tar.bz2



Other differences:
--
++ libtirpc.spec ++
--- /var/tmp/diff_new_pack.NyeyrR/_old  2020-04-18 00:26:34.721573765 +0200
+++ /var/tmp/diff_new_pack.NyeyrR/_new  2020-04-18 00:26:34.721573765 +0200
@@ -18,7 +18,7 @@
 
 Name:   libtirpc
 # src/crypt_client.c and tirpc/rpcsvc/crypt.x have the BSD advertising clause
-Version:1.2.5
+Version:1.2.6
 Release:0
 Summary:Transport Independent RPC Library
 License:BSD-3-Clause
@@ -28,8 +28,6 @@
 URL:https://sourceforge.net/projects/libtirpc/
 Source: %{name}-%{version}.tar.bz2
 Source1:baselibs.conf
-Patch0: 0001-Add-authdes_seccreate-stub.patch
-Patch1: 0001-Avoid-multiple-definiton-with-gcc-fno-common.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 %define debug_package_requires libtirpc3 = %{version}-%{release}
 
@@ -74,8 +72,6 @@
 
 %prep
 %setup -q -n %name-%version
-%patch0 -p1
-%patch1 -p1
 
 %build
 sed -i -e 's|@includedir@/tirpc|@includedir@|g' libtirpc.pc.in

++ libtirpc-1.2.5.tar.bz2 -> libtirpc-1.2.6.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/libtirpc-1.2.5/configure new/libtirpc-1.2.6/configure
--- old/libtirpc-1.2.5/configure2019-12-19 19:57:31.0 +0100
+++ new/libtirpc-1.2.6/configure2020-04-07 15:26:28.0 +0200
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for libtirpc 1.2.5.
+# Generated by GNU Autoconf 2.69 for libtirpc 1.2.6.
 #
 #
 # Copyright (C) 1992-1996, 1998-2012 Free Software Foundation, Inc.
@@ -587,8 +587,8 @@
 # Identity of this package.
 PACKAGE_NAME='libtirpc'
 PACKAGE_TARNAME='libtirpc'
-PACKAGE_VERSION='1.2.5'
-PACKAGE_STRING='libtirpc 1.2.5'
+PACKAGE_VERSION='1.2.6'
+PACKAGE_STRING='libtirpc 1.2.6'
 PACKAGE_BUGREPORT=''
 PACKAGE_URL=''
 
@@ -1328,7 +1328,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures libtirpc 1.2.5 to adapt to many kinds of systems.
+\`configure' configures libtirpc 1.2.6 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1398,7 +1398,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
- short | recursive ) echo "Configuration of libtirpc 1.2.5:";;
+ short | recursive ) echo "Configuration of libtirpc 1.2.6:";;
esac
   cat <<\_ACEOF
 
@@ -1512,7 +1512,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-libtirpc configure 1.2.5
+libtirpc configure 1.2.6
 generated by GNU Autoconf 2.69
 
 Copyright (C) 2012 Free Software Foundation, Inc.
@@ -1877,7 +1877,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by libtirpc $as_me 1.2.5, which was
+It was created by libtirpc $as_me 1.2.6, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   $ $0 $@
@@ -2740,7 +2740,7 @@
 
 # Define the identity of the package.
  PACKAGE='libtirpc'
- VERSION='1.2.5'
+ VERSION='1.2.6'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -12993,7 +12993,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by libtirpc $as_me 1.2.5, which was
+This file was extended by libtirpc $as_me 1.2.6, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   CONFIG_FILES= $CONFIG_FILES
@@ -13059,7 +13059,7 @@
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1

commit python-rfc3986 for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package python-rfc3986 for openSUSE:Factory 
checked in at 2020-04-18 00:26:48

Comparing /work/SRC/openSUSE:Factory/python-rfc3986 (Old)
 and  /work/SRC/openSUSE:Factory/.python-rfc3986.new.2738 (New)


Package is "python-rfc3986"

Sat Apr 18 00:26:48 2020 rev:10 rq:794256 version:1.4.0

Changes:

--- /work/SRC/openSUSE:Factory/python-rfc3986/python-rfc3986.changes
2019-05-20 13:17:49.835932257 +0200
+++ /work/SRC/openSUSE:Factory/.python-rfc3986.new.2738/python-rfc3986.changes  
2020-04-18 00:26:50.601606647 +0200
@@ -1,0 +2,9 @@
+Wed Apr 15 16:02:41 UTC 2020 - Marketa Calabkova 
+
+- update to 1.4.0
+  * Prevent users from receiving an invalid authority parsed from 
+a malicious URL.
+  * Add from_uri to URIBuilder to allow creation of a URIBuilder 
+from an existing URI.
+
+---

Old:

  rfc3986-1.3.2.tar.gz

New:

  rfc3986-1.4.0.tar.gz



Other differences:
--
++ python-rfc3986.spec ++
--- /var/tmp/diff_new_pack.vukczo/_old  2020-04-18 00:26:51.545608603 +0200
+++ /var/tmp/diff_new_pack.vukczo/_new  2020-04-18 00:26:51.549608611 +0200
@@ -1,7 +1,7 @@
 #
 # spec file for package python-rfc3986
 #
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2020 SUSE LLC
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-rfc3986
-Version:1.3.2
+Version:1.4.0
 Release:0
 Summary:Python module for validating URI references per RFC 3986
 License:Apache-2.0
@@ -28,10 +28,10 @@
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
+BuildArch:  noarch
 # SECTION test requirements
 BuildRequires:  %{python_module pytest}
 # /SECTION
-BuildArch:  noarch
 %python_subpackages
 
 %description

++ rfc3986-1.3.2.tar.gz -> rfc3986-1.4.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/rfc3986-1.3.2/PKG-INFO new/rfc3986-1.4.0/PKG-INFO
--- old/rfc3986-1.3.2/PKG-INFO  2019-05-13 17:58:07.0 +0200
+++ new/rfc3986-1.4.0/PKG-INFO  2020-04-08 01:26:57.0 +0200
@@ -1,6 +1,6 @@
 Metadata-Version: 2.1
 Name: rfc3986
-Version: 1.3.2
+Version: 1.4.0
 Summary: Validating URI References per RFC 3986
 Home-page: http://rfc3986.readthedocs.io
 Author: Ian Stapleton Cordasco
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/rfc3986-1.3.2/docs/source/api-ref/builder.rst 
new/rfc3986-1.4.0/docs/source/api-ref/builder.rst
--- old/rfc3986-1.3.2/docs/source/api-ref/builder.rst   2019-05-13 
17:56:16.0 +0200
+++ new/rfc3986-1.4.0/docs/source/api-ref/builder.rst   2020-04-08 
01:00:47.0 +0200
@@ -4,6 +4,8 @@
 
 .. autoclass:: rfc3986.builder.URIBuilder
 
+.. automethod:: rfc3986.builder.URIBuilder.from_uri
+
 .. automethod:: rfc3986.builder.URIBuilder.add_scheme
 
 .. automethod:: rfc3986.builder.URIBuilder.add_credentials
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/rfc3986-1.3.2/docs/source/release-notes/1.4.0.rst 
new/rfc3986-1.4.0/docs/source/release-notes/1.4.0.rst
--- old/rfc3986-1.3.2/docs/source/release-notes/1.4.0.rst   1970-01-01 
01:00:00.0 +0100
+++ new/rfc3986-1.4.0/docs/source/release-notes/1.4.0.rst   2020-04-08 
01:26:38.0 +0200
@@ -0,0 +1,39 @@
+1.3.0 -- 2020-04-07
+---
+
+Security
+
+
+- Prevent users from receiving an invalid authority parsed from a malicious
+  URL. Previously we did not stop parsing the authority section at the first
+  backslash (``\\``) character. As a result, it was possible to trick our
+  parser into parsing up to the first forward-slash (``/``) and thus 
+  generating an invalid authority.
+
+  See also `GitHub pr-64`_ and `the blog post that sparked this change`_
+
+Bug Fixes and Features
+~~
+
+- Add ``from_uri`` to ``URIBuilder`` to allow creation of a ``URIBuilder``
+  from an existing URI.
+
+  See also `GitHub pr-63`_
+
+- Fix a typographical error in our documentation.
+
+  See also `GitHub pr-61`_
+
+.. links
+
+.. _GitHub pr-61:
+https://github.com/python-hyper/rfc3986/pull/61
+
+.. _GitHub pr-63:
+https://github.com/python-hyper/rfc3986/pull/63
+
+.. _GitHub pr-64:
+https://github.com/python-hyper/rfc3986/pull/64
+
+.. _the blog post that sparked this change:
+

commit 000release-packages for openSUSE:Leap:15.2:PowerPC

2020-04-17 Thread root
Hello community,

here is the log from the commit of package 000release-packages for 
openSUSE:Leap:15.2:PowerPC checked in at 2020-04-17 21:25:18

Comparing /work/SRC/openSUSE:Leap:15.2:PowerPC/000release-packages (Old)
 and  /work/SRC/openSUSE:Leap:15.2:PowerPC/.000release-packages.new.2738 
(New)


Package is "000release-packages"

Fri Apr 17 21:25:18 2020 rev:184 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
openSUSE-release.spec: same change
stub.spec: same change
++ weakremovers.inc ++
--- /var/tmp/diff_new_pack.xgM9bf/_old  2020-04-17 21:25:19.939154576 +0200
+++ /var/tmp/diff_new_pack.xgM9bf/_new  2020-04-17 21:25:19.947154589 +0200
@@ -375,7 +375,6 @@
 Provides: weakremover(python3-talloc-64bit)
 Provides: weakremover(python3-tdb-64bit)
 Provides: weakremover(python3-tevent-64bit)
-Provides: weakremover(rpm-64bit)
 Provides: weakremover(samba-kdc-64bit)
 Provides: weakremover(tftpboot-installation-openSUSE-Leap-15.0-aarch64)
 Provides: weakremover(u-boot-rpi332b)
@@ -5078,6 +5077,7 @@
 Provides: weakremover(qemu-uefi-aarch64)
 Provides: weakremover(rdma-core-devel-64bit)
 Provides: weakremover(readline-devel-64bit)
+Provides: weakremover(rpm-64bit)
 Provides: weakremover(rsocket-64bit)
 Provides: weakremover(samba-ad-dc-64bit)
 Provides: weakremover(samba-ceph)
@@ -5590,8 +5590,6 @@
 Provides: weakremover(anthy)
 Provides: weakremover(anthy-devel)
 Provides: weakremover(antimicro)
-Provides: weakremover(antlr)
-Provides: weakremover(antlr-devel)
 Provides: weakremover(antlr3c-devel)
 Provides: weakremover(apache-commons-daemon)
 Provides: weakremover(apache-commons-daemon-jsvc)
@@ -8312,7 +8310,6 @@
 Provides: weakremover(gstreamer-plugins-qt-devel)
 Provides: weakremover(gstreamer-plugins-qt5)
 Provides: weakremover(gstreamer-plugins-qt5-devel)
-Provides: weakremover(gstreamer-rtsp-server-devel)
 Provides: weakremover(gstreamer-transcoder)
 Provides: weakremover(gstreamer-transcoder-devel)
 Provides: weakremover(gstreamer-utils)
@@ -11296,7 +11293,6 @@
 Provides: weakremover(libgstisoff-1_0-0)
 Provides: weakremover(libgstreamer-1_0-0)
 Provides: weakremover(libgstreamermm-1_0-1)
-Provides: weakremover(libgstrtspserver-1_0-0)
 Provides: weakremover(libgstsctp-1_0-0)
 Provides: weakremover(libgsttranscoder-1_0-0)
 Provides: weakremover(libgstvalidate-1_0-0)
@@ -15965,7 +15961,6 @@
 Provides: weakremover(python-SHERPA-MC)
 Provides: weakremover(python-YODA)
 Provides: weakremover(python-aiohttp-doc)
-Provides: weakremover(python-antlr)
 Provides: weakremover(python-apfel)
 Provides: weakremover(python-avogadro)
 Provides: weakremover(python-bjoern)
@@ -18830,7 +18825,6 @@
 Provides: weakremover(typelib-1_0-Gsf-1)
 Provides: weakremover(typelib-1_0-Gspell-1)
 Provides: weakremover(typelib-1_0-Gst-1_0)
-Provides: weakremover(typelib-1_0-GstRtspServer-1_0)
 Provides: weakremover(typelib-1_0-GstTranscoder-1_0)
 Provides: weakremover(typelib-1_0-GstValidate-1_0)
 Provides: weakremover(typelib-1_0-GstWebRTC-1_0)
@@ -19848,6 +19842,8 @@
 Provides: weakremover(amarok)
 Provides: weakremover(amavisd-new)
 Provides: weakremover(amavisd-new-docs)
+Provides: weakremover(antlr)
+Provides: weakremover(antlr-devel)
 Provides: weakremover(aom-tools)
 Provides: weakremover(apache2)
 Provides: weakremover(apache2-devel)
@@ -20495,6 +20491,7 @@
 Provides: weakremover(gstreamer-plugins-base-doc)
 Provides: weakremover(gstreamer-plugins-ugly)
 Provides: weakremover(gstreamer-plugins-ugly-doc)
+Provides: weakremover(gstreamer-rtsp-server-devel)
 Provides: weakremover(gthumb)
 Provides: weakremover(gthumb-devel)
 Provides: weakremover(gtk2-devel)
@@ -21253,6 +21250,7 @@
 Provides: weakremover(libgstriff-1_0-0)
 Provides: weakremover(libgstrtp-1_0-0)
 Provides: weakremover(libgstrtsp-1_0-0)
+Provides: weakremover(libgstrtspserver-1_0-0)
 Provides: weakremover(libgstsdp-1_0-0)
 Provides: weakremover(libgsttag-1_0-0)
 Provides: weakremover(libgsturidownloader-1_0-0)
@@ -22852,6 +22850,7 @@
 Provides: weakremover(putty)
 Provides: weakremover(python)
 Provides: weakremover(python-Twisted-doc)
+Provides: weakremover(python-antlr)
 Provides: weakremover(python-base)
 Provides: weakremover(python-cairo-common-devel)
 Provides: weakremover(python-curses)
@@ -23598,6 +23597,7 @@
 Provides: weakremover(typelib-1_0-GstPlayer-1_0)
 Provides: weakremover(typelib-1_0-GstRtp-1_0)
 Provides: weakremover(typelib-1_0-GstRtsp-1_0)
+Provides: weakremover(typelib-1_0-GstRtspServer-1_0)
 Provides: weakremover(typelib-1_0-GstSdp-1_0)
 Provides: weakremover(typelib-1_0-GstTag-1_0)
 Provides: weakremover(typelib-1_0-GstVideo-1_0)




commit 00Meta for openSUSE:Leap:15.2:Images

2020-04-17 Thread root
Hello community,

here is the log from the commit of package 00Meta for openSUSE:Leap:15.2:Images 
checked in at 2020-04-17 21:16:25

Comparing /work/SRC/openSUSE:Leap:15.2:Images/00Meta (Old)
 and  /work/SRC/openSUSE:Leap:15.2:Images/.00Meta.new.2738 (New)


Package is "00Meta"

Fri Apr 17 21:16:25 2020 rev:329 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ version_totest ++
--- /var/tmp/diff_new_pack.7y9341/_old  2020-04-17 21:16:26.798228574 +0200
+++ /var/tmp/diff_new_pack.7y9341/_new  2020-04-17 21:16:26.802228582 +0200
@@ -1 +1 @@
-29.9
\ No newline at end of file
+29.10
\ No newline at end of file




commit 000update-repos for openSUSE:Factory

2020-04-17 Thread root
Hello community,

here is the log from the commit of package 000update-repos for openSUSE:Factory 
checked in at 2020-04-17 21:07:58

Comparing /work/SRC/openSUSE:Factory/000update-repos (Old)
 and  /work/SRC/openSUSE:Factory/.000update-repos.new.2738 (New)


Package is "000update-repos"

Fri Apr 17 21:07:58 2020 rev:1011 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  15.1:update_1587141832.packages.xz



Other differences:
--
























































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































































commit 000update-repos for openSUSE:Leap:15.2:PowerPC

2020-04-17 Thread root
Hello community,

here is the log from the commit of package 000update-repos for 
openSUSE:Leap:15.2:PowerPC checked in at 2020-04-17 21:03:19

Comparing /work/SRC/openSUSE:Leap:15.2:PowerPC/000update-repos (Old)
 and  /work/SRC/openSUSE:Leap:15.2:PowerPC/.000update-repos.new.2738 (New)


Package is "000update-repos"

Fri Apr 17 21:03:19 2020 rev:171 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  15.2:ppc_207.2.packages.xz



Other differences:
--


































































































































































































































































































































commit 000update-repos for openSUSE:Leap:15.2

2020-04-17 Thread root
Hello community,

here is the log from the commit of package 000update-repos for 
openSUSE:Leap:15.2 checked in at 2020-04-17 21:02:54

Comparing /work/SRC/openSUSE:Leap:15.2/000update-repos (Old)
 and  /work/SRC/openSUSE:Leap:15.2/.000update-repos.new.2738 (New)


Package is "000update-repos"

Fri Apr 17 21:02:54 2020 rev:605 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  15.1:update_1587141832.packages.xz



Other differences:
--












































































































































































































































































































































































































































































































































































































































































commit 000update-repos for openSUSE:Leap:15.2:PowerPC

2020-04-17 Thread root
Hello community,

here is the log from the commit of package 000update-repos for 
openSUSE:Leap:15.2:PowerPC checked in at 2020-04-17 21:03:34

Comparing /work/SRC/openSUSE:Leap:15.2:PowerPC/000update-repos (Old)
 and  /work/SRC/openSUSE:Leap:15.2:PowerPC/.000update-repos.new.2738 (New)


Package is "000update-repos"

Fri Apr 17 21:03:34 2020 rev:172 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  15.1:ppc:update_1587140422.packages.xz



Other differences:
--



































































































































































































































































































































commit 000update-repos for openSUSE:Leap:15.2:ARM

2020-04-17 Thread root
Hello community,

here is the log from the commit of package 000update-repos for 
openSUSE:Leap:15.2:ARM checked in at 2020-04-17 21:02:42

Comparing /work/SRC/openSUSE:Leap:15.2:ARM/000update-repos (Old)
 and  /work/SRC/openSUSE:Leap:15.2:ARM/.000update-repos.new.2738 (New)


Package is "000update-repos"

Fri Apr 17 21:02:42 2020 rev:89 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  15.2:arm_148.3.packages.xz



Other differences:
--




























































































































































































































































































































































commit 000update-repos for openSUSE:Leap:15.2

2020-04-17 Thread root
Hello community,

here is the log from the commit of package 000update-repos for 
openSUSE:Leap:15.2 checked in at 2020-04-17 21:02:45

Comparing /work/SRC/openSUSE:Leap:15.2/000update-repos (Old)
 and  /work/SRC/openSUSE:Leap:15.2/.000update-repos.new.2738 (New)


Package is "000update-repos"

Fri Apr 17 21:02:45 2020 rev:604 rq: version:unknown
Fri Apr 17 21:02:43 2020 rev:603 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  15.2:non-oss_629.2.packages.xz
  15.2_629.2.packages.xz



Other differences:
--










































































































































































































































































































































































































































































































































































































































































commit python-azure-mgmt-compute.12313 for openSUSE:Leap:15.1:Update

2020-04-17 Thread root
Hello community,

here is the log from the commit of package python-azure-mgmt-compute.12313 for 
openSUSE:Leap:15.1:Update checked in at 2020-04-17 18:10:59

Comparing /work/SRC/openSUSE:Leap:15.1:Update/python-azure-mgmt-compute.12313 
(Old)
 and  
/work/SRC/openSUSE:Leap:15.1:Update/.python-azure-mgmt-compute.12313.new.2738 
(New)


Package is "python-azure-mgmt-compute.12313"

Fri Apr 17 18:10:59 2020 rev:1 rq:793904 version:4.6.2

Changes:

New Changes file:

--- /dev/null   2020-04-14 14:47:33.391806949 +0200
+++ 
/work/SRC/openSUSE:Leap:15.1:Update/.python-azure-mgmt-compute.12313.new.2738/python-azure-mgmt-compute.changes
 2020-04-17 18:10:59.816933821 +0200
@@ -0,0 +1,82 @@
+---
+Mon Mar 30 12:41:37 UTC 2020 - John Paul Adrian Glaubitz 

+
+- Update in SLE-15 (bsc#1140565, jsc#ECO-1257, jsc#PM-1598)
+
+---
+Wed Mar  4 13:08:44 UTC 2020 - John Paul Adrian Glaubitz 

+
+- New upstream release
+  + Version 4.6.2
+  + For detailed information about changes see the
+HISTORY.txt file provided with this package
+- Refresh patches for new version
+  + amc_drop-compatible-releases-operator.patch
+- Update Requires from setup.py
+
+---
+Mon Sep  3 14:30:51 UTC 2018 - John Paul Adrian Glaubitz 

+
+- New upstream release
+  + Version 4.0.1
+  + For detailed information about changes see the
+HISTORY.txt file provided with this package
+- Refresh patches for new version
+  + amc_drop-compatible-releases-operator.patch
+- Update Requires from setup.py
+- Update %description from setup.py
+
+---
+Wed Apr 11 12:33:41 UTC 2018 - adrian.glaub...@suse.com
+
+- New upstream release
+  + Version 4.0.0rc1
+- Move LICENSE.txt from %doc to %license section
+- Refresh patches for new version
+  + amc_drop-compatible-releases-operator.patch
+
+---
+Thu Jan 18 13:04:24 UTC 2018 - adrian.glaub...@suse.com
+
+- New upstream release
+  + Version 3.1.0rc3
+  + For detailed information about changes see the
+HISTORY.rst file provided with this package
+- Install HISTORY.rst into doc directory
+- Refresh patches for new version
+  + amc_drop-compatible-releases-operator.patch
+- Update Requires from setup.py
+
+---
+Wed Oct  4 14:22:54 UTC 2017 - adrian.glaub...@suse.com
+
+- Add namespace packages to BuildRequires
+- Remove namespace files in %install target
+- Explicitly specify Python files of the package in %files
+
+---
+Mon Oct  2 07:59:03 UTC 2017 - adrian.glaub...@suse.com
+
+- New upstream release
+  + Version 3.0.1
+- Remove versioning for namespace packages in Requires
+- Update Requires from setup.py
+- Update Summary from README.rst
+- Update %description from README.rst
+- Refresh patches for new version
+  + amc_drop-compatible-releases-operator.patch
+
+---
+Thu Jul 13 12:01:24 UTC 2017 - adrian.glaub...@suse.com
+
+- Add python-azure-nspkg to Requires
+- Add python-azure-mgmt-nspkg to Requires
+
+---
+Fri Jun 30 09:11:27 UTC 2017 - adrian.glaub...@suse.com
+
+- Initial build
+  + Version 2.0.0
+- Add patch to drop compatible releases operator from setup.py,
+  required for SLES12 as the setuptools version is too old
+  + amc_drop-compatible-releases-operator.patch

New:

  LICENSE.txt
  amc_drop-compatible-releases-operator.patch
  azure-mgmt-compute-4.6.2.zip
  python-azure-mgmt-compute.changes
  python-azure-mgmt-compute.spec



Other differences:
--
++ python-azure-mgmt-compute.spec ++
#
# spec file for package python-azure-mgmt-compute
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} 

commit patchinfo.12313 for openSUSE:Leap:15.1:Update

2020-04-17 Thread root
Hello community,

here is the log from the commit of package patchinfo.12313 for 
openSUSE:Leap:15.1:Update checked in at 2020-04-17 18:11:03

Comparing /work/SRC/openSUSE:Leap:15.1:Update/patchinfo.12313 (Old)
 and  /work/SRC/openSUSE:Leap:15.1:Update/.patchinfo.12313.new.2738 (New)


Package is "patchinfo.12313"

Fri Apr 17 18:11:03 2020 rev:1 rq:793904 version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  _patchinfo



Other differences:
--
++ _patchinfo ++

  Update Azure fencing agent

  glaubitz
  moderate
  recommended
  Recommended update for python-azure-mgmt-compute
  This update for python-azure-mgmt-compute fixes the following 
issues:


New upstream release 4.6.2 (bsc#1140565, jsc#ECO-1257, jsc#PM-1598):

+ For detailed information about changes see the
  HISTORY.txt file provided with this package


This update was imported from the SUSE:SLE-15-SP1:Update update 
project.




commit 00Meta for openSUSE:Leap:15.1:Images

2020-04-17 Thread root
Hello community,

here is the log from the commit of package 00Meta for openSUSE:Leap:15.1:Images 
checked in at 2020-04-17 17:45:54

Comparing /work/SRC/openSUSE:Leap:15.1:Images/00Meta (Old)
 and  /work/SRC/openSUSE:Leap:15.1:Images/.00Meta.new.2738 (New)


Package is "00Meta"

Fri Apr 17 17:45:54 2020 rev:353 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ version_snapshot ++
--- /var/tmp/diff_new_pack.DfYDEk/_old  2020-04-17 17:45:55.718057538 +0200
+++ /var/tmp/diff_new_pack.DfYDEk/_new  2020-04-17 17:45:55.718057538 +0200
@@ -1 +1 @@
-8.11.21
\ No newline at end of file
+8.12.1
\ No newline at end of file




commit 000release-packages for openSUSE:Leap:15.2

2020-04-17 Thread root
Hello community,

here is the log from the commit of package 000release-packages for 
openSUSE:Leap:15.2 checked in at 2020-04-17 17:32:48

Comparing /work/SRC/openSUSE:Leap:15.2/000release-packages (Old)
 and  /work/SRC/openSUSE:Leap:15.2/.000release-packages.new.2738 (New)


Package is "000release-packages"

Fri Apr 17 17:32:48 2020 rev:908 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
openSUSE-release.spec: same change
stub.spec: same change
++ weakremovers.inc ++
--- /var/tmp/diff_new_pack.BIUyoB/_old  2020-04-17 17:32:50.492402830 +0200
+++ /var/tmp/diff_new_pack.BIUyoB/_new  2020-04-17 17:32:50.496402837 +0200
@@ -4004,7 +4004,6 @@
 Provides: weakremover(python2-pytest-random-order)
 Provides: weakremover(python3-ibus)
 Provides: weakremover(python3-openvswitch-test)
-Provides: weakremover(python3-scandir)
 Provides: weakremover(python3-susepubliccloudinfo-amazon)
 Provides: weakremover(qtkeychain-devel)
 Provides: weakremover(qtkeychain-lang)
@@ -5814,6 +5813,7 @@
 Provides: weakremover(libedataserverui-1_2-1-32bit)
 Provides: weakremover(libelput1)
 Provides: weakremover(libevtlog-3_19-0)
+Provides: weakremover(libevtlog-3_25-0)
 Provides: weakremover(libfaxutil5_6_1)
 Provides: weakremover(libfaxutil7_0_1)
 Provides: weakremover(libfftw3-gnu-openmpi1-hpc)
@@ -5825,6 +5825,7 @@
 Provides: weakremover(libfftw3_3_3_6-gnu-openmpi3-hpc)
 Provides: weakremover(libfftw3_3_3_8-gnu-openmpi1-hpc)
 Provides: weakremover(libfm-qt3)
+Provides: weakremover(libfmt5)
 Provides: weakremover(libgdal20)
 Provides: weakremover(libgeda42)
 Provides: weakremover(libgeda42-data)
@@ -6086,7 +6087,6 @@
 Provides: weakremover(meson-testsuite)
 Provides: weakremover(metatheme-geeko-common)
 Provides: weakremover(modulemd-validator-v1)
-Provides: weakremover(mp3gain)
 Provides: weakremover(mpiP-gnu-openmpi1-hpc)
 Provides: weakremover(mpiP_3_4_1-gnu-openmpi1-hpc)
 Provides: weakremover(mpiP_3_4_1-gnu-openmpi1-hpc-devel-static)
@@ -6289,6 +6289,7 @@
 Provides: weakremover(python2-gpxpy)
 Provides: weakremover(python2-humanize)
 Provides: weakremover(python2-i3ipc)
+Provides: weakremover(python2-inflection)
 Provides: weakremover(python2-ironic-inspector-client)
 Provides: weakremover(python2-jellyfish)
 Provides: weakremover(python2-jupyter_contrib_core)
@@ -6340,6 +6341,7 @@
 Provides: weakremover(python2-pyperf)
 Provides: weakremover(python2-pyprel)
 Provides: weakremover(python2-pysaml2)
+Provides: weakremover(python2-pytest-socket)
 Provides: weakremover(python2-python-box)
 Provides: weakremover(python2-python-jsonschema-objects)
 Provides: weakremover(python2-python-louvain)
@@ -6456,8 +6458,6 @@
 Provides: weakremover(virtualbox-host-kmp-default)
 Provides: weakremover(vulkan-devel-32bit)
 Provides: weakremover(wesnoth-tools)
-Provides: weakremover(wxmp3gain)
-Provides: weakremover(wxmp3gain-lang)
 Provides: weakremover(xfce4-splash-branding-openSUSE)
 Provides: weakremover(xfce4-volumed)
 Provides: weakremover(xfce4-volumed-pulse)
@@ -9582,6 +9582,7 @@
 Provides: weakremover(pyrex)
 Provides: weakremover(python-4Suite-XML)
 Provides: weakremover(python-Attest)
+Provides: weakremover(python-BTrees-doc)
 Provides: weakremover(python-CDDB)
 Provides: weakremover(python-CherryPy)
 Provides: weakremover(python-Coherence)




commit 000product for openSUSE:Leap:15.2

2020-04-17 Thread root
Hello community,

here is the log from the commit of package 000product for openSUSE:Leap:15.2 
checked in at 2020-04-17 17:32:53

Comparing /work/SRC/openSUSE:Leap:15.2/000product (Old)
 and  /work/SRC/openSUSE:Leap:15.2/.000product.new.2738 (New)


Package is "000product"

Fri Apr 17 17:32:53 2020 rev:1450 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
openSUSE-cd-mini-x86_64.kiwi: same change
openSUSE-dvd5-dvd-x86_64.kiwi: same change
openSUSE-ftp-ftp-x86_64.kiwi: same change
stub.kiwi: same change
++ unsorted.yml ++
--- /var/tmp/diff_new_pack.IoOXpF/_old  2020-04-17 17:32:55.536412325 +0200
+++ /var/tmp/diff_new_pack.IoOXpF/_new  2020-04-17 17:32:55.540412333 +0200
@@ -2180,6 +2180,7 @@
   - cups-devel-32bit 
   - cups-filters-devel 
   - cups-pdf 
+  - cups-rpm-helper 
   - cura 
   - cura-engine 
   - cura-engine-lulzbot 
@@ -9365,7 +9366,7 @@
   - libevt-devel 
   - libevt-tools 
   - libevt1 
-  - libevtlog-3_25-0 
+  - libevtlog-3_26-0 
   - libevtlog-devel 
   - libevtlog0 
   - libevtx-devel 
@@ -9515,7 +9516,7 @@
   - libfm4 
   - libfmapi-devel 
   - libfmapi1 
-  - libfmt5 
+  - libfmt6 
   - libfole-devel 
   - libfole1 
   - libfolks-telepathy25 
@@ -14573,6 +14574,7 @@
   - mp 
   - mp-gtk3 
   - mp3_check 
+  - mp3gain 
   - mpDris2 
   - mpDris2-lang 
   - mpc-devel 
@@ -19037,7 +19039,6 @@
   - python2-Automat 
   - python2-BTrees 
   - python2-BTrees-devel 
-  - python2-BTrees-doc 
   - python2-Babel 
   - python2-Beaker 
   - python2-BitVector 
@@ -19980,7 +19981,6 @@
   - python2-incremental 
   - python2-infinity 
   - python2-inflect 
-  - python2-inflection 
   - python2-influxdb 
   - python2-inifile 
   - python2-iniparse 
@@ -20644,7 +20644,6 @@
   - python2-pytest-runner 
   - python2-pytest-services 
   - python2-pytest-shutil 
-  - python2-pytest-socket 
   - python2-pytest-spec 
   - python2-pytest-subtesthack 
   - python2-pytest-sugar 
@@ -21221,7 +21220,6 @@
   - python3-Automat 
   - python3-BTrees 
   - python3-BTrees-devel 
-  - python3-BTrees-doc 
   - python3-Babel-doc 
   - python3-Beaker 
   - python3-BitVector 
@@ -23324,6 +23322,7 @@
   - python3-sas7bdat 
   - python3-sasl 
   - python3-scales 
+  - python3-scandir 
   - python3-schedule 
   - python3-schema 
   - python3-scikit-dsp-comm 
@@ -33906,6 +33905,8 @@
   - wxhexeditor-lang 
   - wxlua 
   - wxlua-devel 
+  - wxmp3gain 
+  - wxmp3gain-lang 
   - wxsqlite3-devel 
   - wxstedit 
   - wxstedit-devel 




commit 000release-packages for openSUSE:Leap:15.2:PowerPC

2020-04-17 Thread root
Hello community,

here is the log from the commit of package 000release-packages for 
openSUSE:Leap:15.2:PowerPC checked in at 2020-04-17 14:41:21

Comparing /work/SRC/openSUSE:Leap:15.2:PowerPC/000release-packages (Old)
 and  /work/SRC/openSUSE:Leap:15.2:PowerPC/.000release-packages.new.2738 
(New)


Package is "000release-packages"

Fri Apr 17 14:41:21 2020 rev:183 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
openSUSE-release.spec: same change
stub.spec: same change
++ weakremovers.inc ++
--- /var/tmp/diff_new_pack.93cWG9/_old  2020-04-17 14:41:21.594749650 +0200
+++ /var/tmp/diff_new_pack.93cWG9/_new  2020-04-17 14:41:21.598749652 +0200
@@ -5352,6 +5352,7 @@
 Provides: weakremover(MyGUI-demo)
 Provides: weakremover(MyGUI-devel)
 Provides: weakremover(NetworkManager-applet)
+Provides: weakremover(NetworkManager-branding-openSUSE)
 Provides: weakremover(NetworkManager-connection-editor)
 Provides: weakremover(NetworkManager-fortisslvpn)
 Provides: weakremover(NetworkManager-fortisslvpn-gnome)
@@ -5479,6 +5480,21 @@
 Provides: weakremover(actkbd)
 Provides: weakremover(addrwatch)
 Provides: weakremover(ade-devel)
+Provides: weakremover(adios-gnu-mpich-hpc)
+Provides: weakremover(adios-gnu-mpich-hpc-devel)
+Provides: weakremover(adios-gnu-mpich-hpc-devel-static)
+Provides: weakremover(adios-gnu-mvapich2-hpc)
+Provides: weakremover(adios-gnu-mvapich2-hpc-devel)
+Provides: weakremover(adios-gnu-mvapich2-hpc-devel-static)
+Provides: weakremover(adios-gnu-openmpi1-hpc)
+Provides: weakremover(adios-gnu-openmpi1-hpc-devel)
+Provides: weakremover(adios-gnu-openmpi1-hpc-devel-static)
+Provides: weakremover(adios-gnu-openmpi2-hpc)
+Provides: weakremover(adios-gnu-openmpi2-hpc-devel)
+Provides: weakremover(adios-gnu-openmpi2-hpc-devel-static)
+Provides: weakremover(adios-gnu-openmpi3-hpc)
+Provides: weakremover(adios-gnu-openmpi3-hpc-devel)
+Provides: weakremover(adios-gnu-openmpi3-hpc-devel-static)
 Provides: weakremover(adios-openmpi)
 Provides: weakremover(adios-openmpi-devel)
 Provides: weakremover(adios-openmpi-devel-static)
@@ -5971,6 +5987,9 @@
 Provides: weakremover(caffe)
 Provides: weakremover(caffe-devel)
 Provides: weakremover(caffe-examples)
+Provides: weakremover(caffe-gnu-hpc)
+Provides: weakremover(caffe-gnu-hpc-devel)
+Provides: weakremover(caffe-gnu-hpc-examples)
 Provides: weakremover(caffe_1_0-gnu-hpc)
 Provides: weakremover(caffe_1_0-gnu-hpc-devel)
 Provides: weakremover(caffe_1_0-gnu-hpc-examples)
@@ -6156,6 +6175,8 @@
 Provides: weakremover(clisp)
 Provides: weakremover(cln)
 Provides: weakremover(cln-devel)
+Provides: weakremover(cloud-netconfig-azure)
+Provides: weakremover(cloud-netconfig-ec2)
 Provides: weakremover(clpeak)
 Provides: weakremover(clucene-core-devel)
 Provides: weakremover(clutter-devel)
@@ -6495,7 +6516,9 @@
 Provides: weakremover(dnstracer)
 Provides: weakremover(docbook2x)
 Provides: weakremover(docbook2x-doc)
+Provides: weakremover(docker-bash-completion)
 Provides: weakremover(docker-machine-driver-kvm2)
+Provides: weakremover(docker-zsh-completion)
 Provides: weakremover(docky)
 Provides: weakremover(docky-devel)
 Provides: weakremover(doh)
@@ -6504,6 +6527,7 @@
 Provides: weakremover(dosfstools)
 Provides: weakremover(dotconf-devel)
 Provides: weakremover(double-conversion-devel)
+Provides: weakremover(dpdk-doc)
 Provides: weakremover(dpic)
 Provides: weakremover(dpkg)
 Provides: weakremover(dpkg-devel)
@@ -7924,6 +7948,7 @@
 Provides: weakremover(gimp-save-for-web)
 Provides: weakremover(gimp-ufraw)
 Provides: weakremover(ginac)
+Provides: weakremover(gio-branding-openSUSE)
 Provides: weakremover(gio-sharp)
 Provides: weakremover(gio-sharp-devel)
 Provides: weakremover(gio-sharp3)
@@ -7962,6 +7987,9 @@
 Provides: weakremover(glib-sharp2)
 Provides: weakremover(glib-sharp3)
 Provides: weakremover(glib2-tests)
+Provides: weakremover(glibc-html)
+Provides: weakremover(glibc-i18ndata)
+Provides: weakremover(glibc-info)
 Provides: weakremover(glibmm2-devel)
 Provides: weakremover(glibmm2_4-devel)
 Provides: weakremover(glmark2)
@@ -8043,6 +8071,7 @@
 Provides: weakremover(gnome-mahjongg)
 Provides: weakremover(gnome-maps)
 Provides: weakremover(gnome-menus)
+Provides: weakremover(gnome-menus-branding-openSUSE)
 Provides: weakremover(gnome-menus-devel)
 Provides: weakremover(gnome-mines)
 Provides: weakremover(gnome-mpv)
@@ -8092,7 +8121,16 @@
 Provides: weakremover(gnonograms)
 Provides: weakremover(gnote)
 Provides: weakremover(gnu-cobol)
+Provides: weakremover(gnu-compilers-hpc)
+Provides: weakremover(gnu-compilers-hpc-devel)
+Provides: weakremover(gnu-compilers-hpc-macros-devel)
 Provides: weakremover(gnu-netcat)
+Provides: weakremover(gnu8-compilers-hpc)
+Provides: 

commit 000product for openSUSE:Leap:15.2:PowerPC

2020-04-17 Thread root
Hello community,

here is the log from the commit of package 000product for 
openSUSE:Leap:15.2:PowerPC checked in at 2020-04-17 14:41:24

Comparing /work/SRC/openSUSE:Leap:15.2:PowerPC/000product (Old)
 and  /work/SRC/openSUSE:Leap:15.2:PowerPC/.000product.new.2738 (New)


Package is "000product"

Fri Apr 17 14:41:24 2020 rev:208 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ openSUSE-dvd5-dvd-ppc64le.kiwi ++
 3842 lines (skipped)
 between 
/work/SRC/openSUSE:Leap:15.2:PowerPC/000product/openSUSE-dvd5-dvd-ppc64le.kiwi
 and 
/work/SRC/openSUSE:Leap:15.2:PowerPC/.000product.new.2738/openSUSE-dvd5-dvd-ppc64le.kiwi

stub.kiwi: same change
++ dvd.group ++
 4010 lines (skipped)
 between /work/SRC/openSUSE:Leap:15.2:PowerPC/000product/dvd.group
 and /work/SRC/openSUSE:Leap:15.2:PowerPC/.000product.new.2738/dvd.group

++ openSUSE-dvd5-dvd-ppc64le.kwd ++
 3838 lines (skipped)
 between 
/work/SRC/openSUSE:Leap:15.2:PowerPC/000product/openSUSE-dvd5-dvd-ppc64le.kwd
 and 
/work/SRC/openSUSE:Leap:15.2:PowerPC/.000product.new.2738/openSUSE-dvd5-dvd-ppc64le.kwd

++ unsorted.yml ++
 14303 lines (skipped)
 between /work/SRC/openSUSE:Leap:15.2:PowerPC/000product/unsorted.yml
 and /work/SRC/openSUSE:Leap:15.2:PowerPC/.000product.new.2738/unsorted.yml




  1   2   >